!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 00:29             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl1()
      coupl(nGC_1039) = cima*dyup_QED3
      coupl(nGC_GG) = cima*dt_QED1/vev
      coupl(nGC_1141) = cima*dMZ2_QED2
      coupl(nGC_1142) = cima*dMW2_QED2
      coupl(nGC_1143) = coupl(nGC_206)*dMW2_QED2
      coupl(nGC_1251) = coupl(nGC_83)*dZcL_QCD2
      coupl(nGC_1043) = -cima*dys_QED3
      coupl(nGC_1045) = cima*dyc_QED3
      coupl(nGC_1044) = -cima*dys_QED1_QCD2
      coupl(nGC_1046) = cima*dyc_QED1_QCD2
      coupl(nGC_1041) = -cima*dydo_QED3
      coupl(nGC_1040) = cima*dyup_QED1_QCD2
      coupl(nGC_1042) = -cima*dydo_QED1_QCD2
      coupl(nGC_1219) = coupl(nGC_2)*dZcL_QCD2
      coupl(nGC_1049) = cima*dyt_QED3
      coupl(nGC_1048) = -cima*dyb_QED1_QCD2
      coupl(nGC_1139) = -cima*dMB_QED2
      coupl(nGC_1138) = -cima*dMS_QCD2
      coupl(nGC_1131) = -cima*dMC_QED2
      coupl(nGC_1130) = -cima*dMU_QCD2
      coupl(nGC_1133) = -cima*dMT_QED2
      coupl(nGC_1132) = -cima*dMC_QCD2
      coupl(nGC_1135) = -cima*dMD_QED2
      coupl(nGC_1134) = -cima*dMT_QCD2
      coupl(nGC_1137) = -cima*dMS_QED2
      coupl(nGC_1136) = -cima*dMD_QCD2
      coupl(nGC_1418) = coupl(nGC_1)*dZbL_QCD2
      coupl(nGC_1416) = coupl(nGC_I)*dZH_QED2
      coupl(nGC_1314) = coupl(nGC_2)*dZuR_QCD2
      coupl(nGC_1319) = -coupl(nGC_MZ_GF)*dZZA_QED2/2d0
      coupl(nGC_1057) = coupl(nGC_605)*dydo_QED3
      coupl(nGC_996) = cima*coupl(nGC_19)**3d0*sq2**3d0*(coupl(nGC_1) + coupl( &
                       nGC_2))/(64d0*pi**2d0)
      coupl(nGC_995) = cima*coupl(nGC_19)**3d0*sq2**3d0*(-coupl(nGC_1) - coupl(&
                       nGC_2))/(32d0*pi**2d0*Nc)
      coupl(nGC_994) = cima*coupl(nGC_19)**3d0*sq2**3d0*(coupl(nGC_1) + coupl( &
                       nGC_2))/(16d0*pi**2d0*Nc**2d0)
      coupl(nGC_1333) = coupl(nGC_MI)*dZcL_QED2
      coupl(nGC_1214) = coupl(nGC_1048) + coupl(nGC_124)*dZbR_QCD2/2d0 + coupl(&
                        nGC_124)*dZtL_QCD2/2d0
      coupl(nGC_1171) = coupl(nGC_83)*dZtL_QCD2
      coupl(nGC_1128) = -cima*dMTA_QED2
      coupl(nGC_1285) = coupl(nGC_19)*dZsL_QED2
      coupl(nGC_1194) = coupl(nGC_1046) + coupl(nGC_127)*dZcR_QCD2/2d0 + coupl(&
                        nGC_127)*dZsL_QCD2/2d0
      coupl(nGC_1453) = coupl(nGC_1142) + coupl(nGC_MW)*dZWMinus_QED2
      coupl(nGC_1457) = coupl(nGC_1141) + coupl(nGC_MZ)*dZZ_QED2
      coupl(nGC_1454) = coupl(nGC_MI)*dZWMinus_QED2
      coupl(nGC_1455) = -coupl(nGC_MI)*dZWMinus_QED2
      coupl(nGC_1458) = coupl(nGC_MI)*dZZ_QED2
      coupl(nGC_1459) = -coupl(nGC_MI)*dZZ_QED2
      coupl(nGC_1301) = coupl(nGC_19)*dZtL_QED2
      coupl(nGC_735) = cMD*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
      coupl(nGC_1355) = coupl(nGC_19)*dZbR_QED2
      coupl(nGC_1357) = coupl(nGC_1)*dZsL_QCD2
      coupl(nGC_1298) = coupl(nGC_19)*dZuR_QED2
      coupl(nGC_1353) = coupl(nGC_19)*dZbL_QED2
      coupl(nGC_1296) = coupl(nGC_19)*dZuL_QED2
      coupl(nGC_1195) = coupl(nGC_1043) + coupl(nGC_139)*dZcL_QED2/2d0 + coupl(&
                        nGC_139)*dZsR_QED2/2d0
      coupl(nGC_1193) = coupl(nGC_1045) + coupl(nGC_127)*dZcR_QED2/2d0 + coupl(&
                        nGC_127)*dZsL_QED2/2d0
      coupl(nGC_1058) = coupl(nGC_605)*dydo_QED1_QCD2
      coupl(nGC_1056) = coupl(nGC_592)*dyb_QED1_QCD2
      coupl(nGC_HHHH) = -3d0*cima*dt_QED1/vev**3d0
      coupl(nGC_1055) = coupl(nGC_592)*dyb_QED3
      coupl(nGC_1052) = coupl(nGC_636)*dydo_QED1_QCD2
      coupl(nGC_1277) = coupl(nGC_MI)*dZuR_QED2
      coupl(nGC_1163) = coupl(nGC_1041) + coupl(nGC_130)*dZdR_QED2/2d0 + coupl(&
                        nGC_130)*dZuL_QED2/2d0
      coupl(nGC_817) = coupl(nGC_125)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_819) = coupl(nGC_19)**2d0*coupl(nGC_220)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1074) = coupl(nGC_601)*dyc_QED3
      coupl(nGC_1342) = coupl(nGC_1135) + coupl(nGC_MD)*dZdL_QED2/2d0 + coupl( &
                        nGC_MD)*dZdR_QED2/2d0
      coupl(nGC_1340) = coupl(nGC_MI)*dZdR_QED2
      coupl(nGC_1346) = coupl(nGC_MZ)*dZZA_QED2/2d0
      coupl(nGC_1347) = coupl(nGC_MI)*(dZAZ_QED2 + dZZA_QED2)/2d0
      coupl(nGC_1126) = -cima*dME_QED2
      coupl(nGC_1124) = -cima*dMH2_QED2
      coupl(nGC_1084) = coupl(nGC_450)*dZee_QED2
      coupl(nGC_1087) = coupl(nGC_696)*dsw_QED2 + coupl(nGC_697)*dZee_QED2 +   &
                        coupl(nGC_698)*dvev_QED1
      coupl(nGC_708) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(64d0*&
                       pi**2d0*Nc)
      coupl(nGC_1129) = -cima*dMU_QED2
      coupl(nGC_1127) = -cima*dMM_QED2
      coupl(nGC_821) = coupl(nGC_129)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_825) = coupl(nGC_131)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1013) = coupl(nGC_453)*dZee_QED2
      coupl(nGC_1011) = coupl(nGC_474)*dZee_QED2 + coupl(nGC_475)*dcw_QED2
      coupl(nGC_1016) = coupl(nGC_489)*dlam_QED4
      coupl(nGC_1015) = coupl(nGC_477)*dZee_QED2 + coupl(nGC_478)*dcw_QED2
      coupl(nGC_1462) = coupl(nGC_MI)*dZmuMinusL_QED2
      coupl(nGC_1461) = coupl(nGC_1127) + coupl(nGC_MM)*dZmuMinusL_QED2/2d0 +  &
                        coupl(nGC_MM)*dZmuMinusR_QED2/2d0
      coupl(nGC_1467) = coupl(nGC_MI)*dZeMinusR_QED2
      coupl(nGC_1466) = -coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_1396) = -coupl(nGC_MI)*dZA_QED2
      coupl(nGC_1469) = coupl(nGC_MI)*dZeMinusL_QED2
      coupl(nGC_1023) = coupl(nGC_679)*dZee_QED2 + coupl(nGC_680)*dsw_QED2
      coupl(nGC_1468) = coupl(nGC_1126) + coupl(nGC_ME)*dZeMinusL_QED2/2d0 +   &
                        coupl(nGC_ME)*dZeMinusR_QED2/2d0
      coupl(nGC_GPGMGPGM) = -2d0*cima*dt_QED1/vev**3d0
      coupl(nGC_1265) = coupl(nGC_MI)*dZtL_QED2
      coupl(nGC_1267) = coupl(nGC_1016) + coupl(nGC_HHHH)
      coupl(nGC_1266) = coupl(nGC_MI)*dZtL_QCD2
      coupl(nGC_1261) = coupl(nGC_MI)*dZtR_QED2
      coupl(nGC_1263) = coupl(nGC_1133) + coupl(nGC_MT)*dZtL_QED2/2d0 + coupl( &
                        nGC_MT)*dZtR_QED2/2d0
      coupl(nGC_855) = coupl(nGC_132)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1269) = coupl(nGC_1052) + coupl(nGC_131)*dZdL_QCD2/2d0 + coupl(&
                        nGC_131)*dZdR_QCD2/2d0
      coupl(nGC_1018) = -cima*dlam_QED4
      coupl(nGC_1066) = coupl(nGC_608)*dye_QED3
      coupl(nGC_1065) = -cima*dytau_QED3
      coupl(nGC_1064) = -cima*dym_QED3
      coupl(nGC_1063) = -cima*dye_QED3
      coupl(nGC_1309) = coupl(nGC_1066) + coupl(nGC_134)*dZeMinusL_QED2/2d0 +  &
                        coupl(nGC_134)*dZeMinusR_QED2/2d0
      coupl(nGC_1395) = coupl(nGC_MI)*dZA_QED2
      coupl(nGC_1303) = coupl(nGC_19)*dZtR_QED2
      coupl(nGC_1069) = coupl(nGC_609)*dye_QED3
      coupl(nGC_732) = cMC*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
      coupl(nGC_1465) = coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_1464) = coupl(nGC_MZ_GF)*dZZA_QED2/2d0
      coupl(nGC_1460) = coupl(nGC_MI)*dZmuMinusR_QED2
      coupl(nGC_1078) = coupl(nGC_628)*dyup_QED3
      coupl(nGC_1097) = coupl(nGC_690)*dsw_QED2 + coupl(nGC_691)*dZee_QED2 +   &
                        coupl(nGC_692)*dvev_QED1
      coupl(nGC_748) = cMS*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
      coupl(nGC_741) = cima*coupl(nGC_19)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0 + &
                       cMD**2d0 + cMS**2d0 + cMT**2d0 + cMU**2d0)/(16d0*pi**2d0&
                       )
      coupl(nGC_744) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0  &
                        - cMD**2d0 - cMS**2d0 - cMT**2d0 - cMU**2d0)/(16d0*pi**&
                       2d0*Nc)
      coupl(nGC_758) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_125)*   &
                       coupl(nGC_224) + coupl(nGC_1)*coupl(nGC_126)**2d0 + 4d0*&
                       coupl(nGC_1)*coupl(nGC_78)**2d0 + coupl(nGC_124)**2d0*  &
                       coupl(nGC_2))/(32d0*pi**2d0)
      coupl(nGC_HHGG) = -cima*dt_QED1/vev**3d0
      coupl(nGC_1047) = -cima*dyb_QED3
      coupl(nGC_GGH) = -cima*dt_QED1/vev**2d0
      coupl(nGC_1278) = coupl(nGC_MI)*dZuR_QCD2
      coupl(nGC_1083) = coupl(nGC_620)*dyt_QED1_QCD2
      coupl(nGC_1119) = coupl(nGC_555)*dZee_QED2 + coupl(nGC_556)*dsw_QED2 +   &
                        coupl(nGC_557)*dcw_QED2
      coupl(nGC_1118) = coupl(nGC_566)*dZee_QED2 + coupl(nGC_567)*dsw_QED2 +   &
                        coupl(nGC_568)*dcw_QED2
      coupl(nGC_1117) = coupl(nGC_495)*dZee_QED2 + coupl(nGC_496)*dsw_QED2 +   &
                        coupl(nGC_497)*dcw_QED2
      coupl(nGC_1116) = coupl(nGC_569)*dZee_QED2 + coupl(nGC_570)*dsw_QED2
      coupl(nGC_1115) = coupl(nGC_174)*dZgs_QCD2
      coupl(nGC_1111) = coupl(nGC_471)*dZee_QED2 + coupl(nGC_472)*dsw_QED2 +   &
                        coupl(nGC_473)*dcw_QED2
      coupl(nGC_1204) = coupl(nGC_MI)*dZtauMinusL_QED2
      coupl(nGC_1279) = coupl(nGC_1129) + coupl(nGC_MU)*dZuL_QED2/2d0 + coupl( &
                        nGC_MU)*dZuR_QED2/2d0
      coupl(nGC_733) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_79)**2d0)/(16d0*pi &
                       **2d0)
      coupl(nGC_1343) = coupl(nGC_1136) + coupl(nGC_MD)*dZdL_QCD2/2d0 + coupl( &
                        nGC_MD)*dZdR_QCD2/2d0
      coupl(nGC_1140) = -cima*dMB_QCD2
      coupl(nGC_1434) = -coupl(nGC_1055) - coupl(nGC_125)*dZbL_QED2/2d0 - coupl&
                        (nGC_125)*dZbR_QED2/2d0
      coupl(nGC_1435) = -coupl(nGC_1056) - coupl(nGC_125)*dZbL_QCD2/2d0 - coupl&
                        (nGC_125)*dZbR_QCD2/2d0
      coupl(nGC_1432) = coupl(nGC_1055) + coupl(nGC_125)*dZbL_QED2/2d0 + coupl(&
                        nGC_125)*dZbR_QED2/2d0
      coupl(nGC_1433) = coupl(nGC_1056) + coupl(nGC_125)*dZbL_QCD2/2d0 + coupl(&
                        nGC_125)*dZbR_QCD2/2d0
      coupl(nGC_1348) = -coupl(nGC_MI)*(dZAZ_QED2 + dZZA_QED2)/2d0
      coupl(nGC_1349) = coupl(nGC_96)*dZZA_QED2/2d0
      coupl(nGC_1438) = coupl(nGC_MI)*dZnu_muL_QED2
      coupl(nGC_1439) = coupl(nGC_MI)*dZbR_QED2
      coupl(nGC_1186) = coupl(nGC_1115) + coupl(nGC_19)*dZcL_QCD2 + coupl(     &
                        nGC_19)*dZg_QCD2/2d0
      coupl(nGC_1187) = coupl(nGC_19)*dZcL_QED2
      coupl(nGC_1181) = coupl(nGC_1023) + coupl(nGC_70)*dZH_QED2/2d0
      coupl(nGC_1022) = coupl(nGC_645)*dZee_QED2 + coupl(nGC_646)*dsw_QED2 +   &
                        coupl(nGC_647)*dcw_QED2
      coupl(nGC_1021) = coupl(nGC_606)*dZee_QED2 + coupl(nGC_607)*dsw_QED2
      coupl(nGC_1189) = coupl(nGC_19)*dZcR_QED2
      coupl(nGC_1024) = coupl(nGC_671)*dZee_QED2 + coupl(nGC_672)*dcw_QED2 +   &
                        coupl(nGC_673)*dvev_QED1
      coupl(nGC_1341) = coupl(nGC_MI)*dZdR_QCD2
      coupl(nGC_759) = coupl(nGC_1)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                       )/(32d0*pi**2d0*Nc)
      coupl(nGC_888) = coupl(nGC_19)**2d0*coupl(nGC_83)*sq2**2d0*(Nc**2d0 - 1d0&
                       )/(32d0*pi**2d0*Nc)
      coupl(nGC_1334) = coupl(nGC_MI)*dZcL_QCD2
      coupl(nGC_1330) = coupl(nGC_MI)*dZcR_QCD2
      coupl(nGC_1232) = coupl(nGC_2)*dZtR_QCD2
      coupl(nGC_858) = coupl(nGC_138)*(-coupl(nGC_137)**2d0 - coupl(nGC_138)** &
                       2d0 + 8d0*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_80)*coupl(  &
                       nGC_85))/(32d0*pi**2d0)
      coupl(nGC_1344) = coupl(nGC_MI)*dZdL_QED2
      coupl(nGC_1230) = coupl(nGC_2)*dZtL_QCD2
      coupl(nGC_1345) = coupl(nGC_MI)*dZdL_QCD2
      coupl(nGC_852) = coupl(nGC_128)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_751) = cMTA*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_80)*coupl(    &
                       nGC_85))/(8d0*pi**2d0)
      coupl(nGC_750) = cMT*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
      coupl(nGC_711) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_78)**2d0)/(16d0*pi &
                       **2d0)
      coupl(nGC_710) = cMB*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
      coupl(nGC_712) = cima*(Nc*coupl(nGC_124)**2d0 + Nc*coupl(nGC_127)**2d0 + &
                       Nc*coupl(nGC_130)**2d0 + Nc*coupl(nGC_139)**2d0 + Nc*   &
                       coupl(nGC_142)**2d0 + Nc*coupl(nGC_148)**2d0 + coupl(   &
                       nGC_133)**2d0 + coupl(nGC_136)**2d0 + coupl(nGC_145)**  &
                       2d0)/(48d0*pi**2d0)
      coupl(nGC_1090) = coupl(nGC_451)*dZee_QED2
      coupl(nGC_1158) = coupl(nGC_83)*dZuL_QCD2
      coupl(nGC_1094) = coupl(nGC_560)*dZee_QED2 + coupl(nGC_561)*dsw_QED2
      coupl(nGC_868) = coupl(nGC_147)*(-coupl(nGC_146)**2d0 - coupl(nGC_147)** &
                       2d0 + 8d0*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_80)*coupl(  &
                       nGC_85))/(32d0*pi**2d0)
      coupl(nGC_1062) = coupl(nGC_589)*dyb_QED1_QCD2
      coupl(nGC_1426) = coupl(nGC_1)*dZdL_QCD2
      coupl(nGC_789) = coupl(nGC_124)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_782) = (coupl(nGC_1)*coupl(nGC_148)**2d0 + coupl(nGC_149)**2d0*&
                       coupl(nGC_2) + coupl(nGC_150)*coupl(nGC_2)*coupl(nGC_244&
                       ) + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(     &
                       nGC_79)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1420) = coupl(nGC_1)*dZbR_QCD2
      coupl(nGC_1300) = coupl(nGC_1115) + coupl(nGC_19)*dZg_QCD2/2d0 + coupl(  &
                        nGC_19)*dZtL_QCD2
      coupl(nGC_1295) = coupl(nGC_1115) + coupl(nGC_19)*dZg_QCD2/2d0 + coupl(  &
                        nGC_19)*dZuL_QCD2
      coupl(nGC_1471) = -coupl(nGC_1143) - coupl(nGC_MW_GF)*dZWMinus_QED2/2d0
      coupl(nGC_1474) = coupl(nGC_1143) + coupl(nGC_MW_GF)*dZWMinus_QED2/2d0
      coupl(nGC_1359) = coupl(nGC_1)*dZsR_QCD2
      coupl(nGC_1091) = coupl(nGC_562)*dZee_QED2 + coupl(nGC_563)*dsw_QED2
      coupl(nGC_1264) = coupl(nGC_1134) + coupl(nGC_MT)*dZtL_QCD2/2d0 + coupl( &
                        nGC_MT)*dZtR_QCD2/2d0
      coupl(nGC_1291) = coupl(nGC_78)*dZdR_QCD2
      coupl(nGC_1428) = coupl(nGC_1)*dZdR_QCD2
      coupl(nGC_1272) = coupl(nGC_1011) + coupl(nGC_16)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_16)*dZZ_QED2/2d0 + coupl(nGC_72)*dZAZ_QED2/  &
                        2d0
      coupl(nGC_1271) = -coupl(nGC_1052) - coupl(nGC_131)*dZdL_QCD2/2d0 - coupl&
                        (nGC_131)*dZdR_QCD2/2d0
      coupl(nGC_848) = coupl(nGC_126)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1275) = coupl(nGC_1069) + coupl(nGC_135)*dZH_QED2/2d0 + coupl( &
                        nGC_135)*dZeMinusL_QED2/2d0 + coupl(nGC_135)*          &
                        dZeMinusR_QED2/2d0
      coupl(nGC_841) = coupl(nGC_19)**2d0*coupl(nGC_244)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_840) = (-coupl(nGC_130)*coupl(nGC_131)*coupl(nGC_148) - coupl( &
                       nGC_149)**2d0*coupl(nGC_150) - coupl(nGC_150)*coupl(    &
                       nGC_244)**2d0 + 8d0*coupl(nGC_2)**2d0*coupl(nGC_244) +  &
                       8d0*coupl(nGC_244)*coupl(nGC_79)*coupl(nGC_83))/(32d0*pi&
                       **2d0)
      coupl(nGC_843) = coupl(nGC_150)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_859) = coupl(nGC_138)*(-coupl(nGC_138)**2d0 - coupl(nGC_258)** &
                       2d0 + 8d0*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_80)*coupl(  &
                       nGC_85))/(32d0*pi**2d0)
      coupl(nGC_1075) = coupl(nGC_601)*dyc_QED1_QCD2
      coupl(nGC_1071) = coupl(nGC_583)*dytau_QED3
      coupl(nGC_1072) = coupl(nGC_632)*dyup_QED3
      coupl(nGC_1073) = coupl(nGC_632)*dyup_QED1_QCD2
      coupl(nGC_1371) = coupl(nGC_MI)*dZnu_eL_QED2
      coupl(nGC_1079) = coupl(nGC_628)*dyup_QED1_QCD2
      coupl(nGC_1374) = coupl(nGC_MI)*dZnu_tauL_QED2
      coupl(nGC_793) = coupl(nGC_127)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1068) = coupl(nGC_621)*dytau_QED3
      coupl(nGC_1444) = coupl(nGC_MI)*dZbL_QCD2
      coupl(nGC_1050) = cima*dyt_QED1_QCD2
      coupl(nGC_1051) = coupl(nGC_636)*dydo_QED3
      coupl(nGC_1206) = coupl(nGC_1111) + coupl(nGC_55)*dZWMinus_QED2 + coupl( &
                        nGC_55)*dZZ_QED2 - coupl(nGC_77)*dZAZ_QED2/2d0
      coupl(nGC_1203) = coupl(nGC_1128) + coupl(nGC_MTA)*dZtauMinusL_QED2/2d0  &
                         + coupl(nGC_MTA)*dZtauMinusR_QED2/2d0
      coupl(nGC_1202) = coupl(nGC_MI)*dZtauMinusR_QED2
      coupl(nGC_1009) = cima*coupl(nGC_19)**4d0*sq2**4d0/(32d0*pi**2d0*Nc**2d0)
      coupl(nGC_1442) = coupl(nGC_1140) + coupl(nGC_MB)*dZbL_QCD2/2d0 + coupl( &
                        nGC_MB)*dZbR_QCD2/2d0
      coupl(nGC_730) = cMC*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_79)*coupl(     &
                       nGC_83))/(8d0*pi**2d0)
      coupl(nGC_1393) = coupl(nGC_1058) + coupl(nGC_132)*dZdL_QCD2/2d0 + coupl(&
                        nGC_132)*dZdR_QCD2/2d0
      coupl(nGC_1076) = coupl(nGC_625)*dyt_QED3
      coupl(nGC_753) = cMU*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
      coupl(nGC_752) = cMU*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_79)*coupl(     &
                       nGC_83))/(8d0*pi**2d0)
      coupl(nGC_755) = (coupl(nGC_1)*coupl(nGC_127)**2d0 + coupl(nGC_128)**2d0*&
                       coupl(nGC_2) + coupl(nGC_129)*coupl(nGC_2)*coupl(nGC_220&
                       ) + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(     &
                       nGC_79)**2d0)/(32d0*pi**2d0)
      coupl(nGC_756) = coupl(nGC_19)**2d0*coupl(nGC_2)*sq2**2d0*(Nc**2d0 - 1d0 &
                       )/(32d0*pi**2d0*Nc)
      coupl(nGC_1329) = coupl(nGC_MI)*dZcR_QED2
      coupl(nGC_1392) = coupl(nGC_1057) + coupl(nGC_132)*dZH_QED2/2d0 + coupl( &
                        nGC_132)*dZdL_QED2/2d0 + coupl(nGC_132)*dZdR_QED2/2d0
      coupl(nGC_1077) = coupl(nGC_625)*dyt_QED1_QCD2
      coupl(nGC_1223) = coupl(nGC_1063) + coupl(nGC_133)*dZeMinusR_QED2/2d0 +  &
                        coupl(nGC_133)*dZnu_eL_QED2/2d0
      coupl(nGC_1262) = coupl(nGC_MI)*dZtR_QCD2
      coupl(nGC_815) = coupl(nGC_19)**2d0*coupl(nGC_224)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_HHH) = -3d0*cima*dt_QED1/vev**2d0
      coupl(nGC_1108) = coupl(nGC_676)*dZee_QED2 + coupl(nGC_677)*dsw_QED2 +   &
                        coupl(nGC_678)*dcw_QED2
      coupl(nGC_1109) = coupl(nGC_665)*dZee_QED2 + coupl(nGC_666)*dsw_QED2 +   &
                        coupl(nGC_667)*dcw_QED2
      coupl(nGC_1104) = coupl(nGC_480)*dZee_QED2 + coupl(nGC_481)*dcw_QED2
      coupl(nGC_1105) = coupl(nGC_467)*dZee_QED2 + coupl(nGC_468)*dsw_QED2 +   &
                        coupl(nGC_469)*dcw_QED2
      coupl(nGC_1106) = coupl(nGC_651)*dZee_QED2 + coupl(nGC_652)*dcw_QED2 +   &
                        coupl(nGC_653)*dvev_QED1
      coupl(nGC_1107) = coupl(nGC_483)*dZee_QED2 + coupl(nGC_484)*dsw_QED2 +   &
                        coupl(nGC_485)*dcw_QED2
      coupl(nGC_1100) = coupl(nGC_553)*dZee_QED2 + coupl(nGC_554)*dsw_QED2
      coupl(nGC_1101) = coupl(nGC_648)*dZee_QED2 + coupl(nGC_649)*dsw_QED2 +   &
                        coupl(nGC_650)*dcw_QED2
      coupl(nGC_1102) = coupl(nGC_530)*dZee_QED2 + coupl(nGC_531)*dsw_QED2 +   &
                        coupl(nGC_532)*dcw_QED2
      coupl(nGC_1103) = coupl(nGC_633)*dZee_QED2 + coupl(nGC_634)*dsw_QED2 +   &
                        coupl(nGC_635)*dcw_QED2
      coupl(nGC_801) = coupl(nGC_136)*coupl(nGC_80)*coupl(nGC_86)/(4d0*pi**2d0)
      coupl(nGC_800) = coupl(nGC_133)*coupl(nGC_80)*coupl(nGC_86)/(4d0*pi**2d0)
      coupl(nGC_802) = coupl(nGC_145)*coupl(nGC_80)*coupl(nGC_86)/(4d0*pi**2d0)
      coupl(nGC_804) = coupl(nGC_62)*(Nc*coupl(nGC_124)*coupl(nGC_126) - Nc*   &
                       coupl(nGC_127)*coupl(nGC_128) + Nc*coupl(nGC_130)*coupl(&
                       nGC_132) + Nc*coupl(nGC_139)*coupl(nGC_141) - Nc*coupl( &
                       nGC_142)*coupl(nGC_143) - Nc*coupl(nGC_148)*coupl(      &
                       nGC_149) + coupl(nGC_133)*coupl(nGC_135) + coupl(nGC_136&
                       )*coupl(nGC_138) + coupl(nGC_145)*coupl(nGC_147))/(24d0*&
                       pi**2d0)
      coupl(nGC_806) = (8d0*coupl(nGC_1)*coupl(nGC_124)*coupl(nGC_2) + 8d0*    &
                       coupl(nGC_124)*coupl(nGC_78)*coupl(nGC_83) - coupl(     &
                       nGC_125)*coupl(nGC_142)*coupl(nGC_144) - coupl(nGC_126)*&
                       coupl(nGC_142)*coupl(nGC_143))/(32d0*pi**2d0)
      coupl(nGC_809) = (8d0*coupl(nGC_1)*coupl(nGC_139)*coupl(nGC_2) - coupl(  &
                       nGC_127)*coupl(nGC_128)*coupl(nGC_141) - coupl(nGC_127)*&
                       coupl(nGC_129)*coupl(nGC_140) + 8d0*coupl(nGC_139)*coupl&
                       (nGC_78)*coupl(nGC_83))/(32d0*pi**2d0)
      coupl(nGC_1400) = coupl(nGC_1103) + coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(  &
                        nGC_85)*dZZ_QED2/2d0 + coupl(nGC_85)*dZmuMinusL_QED2
      coupl(nGC_1403) = coupl(nGC_MI)*dZsR_QCD2
      coupl(nGC_1402) = coupl(nGC_MI)*dZsR_QED2
      coupl(nGC_1405) = coupl(nGC_1138) + coupl(nGC_MS)*dZsL_QCD2/2d0 + coupl( &
                        nGC_MS)*dZsR_QCD2/2d0
      coupl(nGC_1404) = coupl(nGC_1137) + coupl(nGC_MS)*dZsL_QED2/2d0 + coupl( &
                        nGC_MS)*dZsR_QED2/2d0
      coupl(nGC_1407) = coupl(nGC_MI)*dZsL_QCD2
      coupl(nGC_1406) = coupl(nGC_MI)*dZsL_QED2
      coupl(nGC_1409) = coupl(nGC_123)*dZZA_QED2/2d0
      coupl(nGC_1038) = coupl(nGC_470)*dZgs_QCD2
      coupl(nGC_1030) = coupl(nGC_452)*dZee_QED2
      coupl(nGC_1031) = coupl(nGC_448)*dZee_QED2
      coupl(nGC_1032) = coupl(nGC_444)*dZee_QED2
    end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
