!******************************************************************************!
!                                                                              !
!    vertices_info10.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info10.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 00:29             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info10
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl10()
      allocate(vertices(887)%branchR2(0:0))
      call avR2(887, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_786/))

      allocate(vertices(4009)%branchR2(0:0))
      call avR2(4009, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_942/))

      allocate(vertices(3910)%branchR2(0:0))
      call avR2(3910, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_957/))

      allocate(vertices(3286)%branchR2(0:0))
      call avR2(3286, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_881/))

      allocate(vertices(3623)%branchR2(0:0))
      call avR2(3623, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_964/))

      allocate(vertices(2822)%branchR2(0:0))
      call avR2(2822, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_877/))

      allocate(vertices(1956)%branchR2(0:0))
      call avR2(1956, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_944/))

      allocate(vertices(2666)%branchR2(0:0))
      call avR2(2666, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_946/))

      allocate(vertices(1092)%branchR2(0:0))
      call avR2(1092, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_828, nGC_829/))

      allocate(vertices(4010)%branchR2(0:1))
      call avR2(4010, 0, 137, 1, 0, SVVS0, (/2, 2/), (/nGC_987/))

      call avR2(4010, 1, 138, 1, 0, SVVS0, (/2, 2/), (/nGC_988/))

      allocate(vertices(3814)%branchR2(0:0))
      call avR2(3814, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_898/))

      allocate(vertices(3897)%branchR2(0:0))
      call avR2(3897, 0, 13, 1, 0, FFa3, (/0, 2/), (/nGC_736, nGC_737, nGC_745 &
      , nGC_745/))

      allocate(vertices(3871)%branchR2(0:0))
      call avR2(3871, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_958/))

      allocate(vertices(3539)%branchR2(0:0))
      call avR2(3539, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_878/))

      allocate(vertices(2722)%branchR2(0:1))
      call avR2(2722, 0, 18, 1, 0, SFaF1, (/0, 3/), (/nGC_792, nGC_794/))

      call avR2(2722, 1, 18, 1, 0, SFaF1, (/2, 1/), (/nGC_793, nGC_795/))

      allocate(vertices(589)%branchR2(0:0))
      call avR2(589, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_982/))

      allocate(vertices(3839)%branchR2(0:0))
      call avR2(3839, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_958/))

      allocate(vertices(2561)%branchR2(0:0))
      call avR2(2561, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_805/))

      allocate(vertices(3466)%branchR2(0:0))
      call avR2(3466, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_963/))

      allocate(vertices(627)%branchR2(0:1))
      call avR2(627, 0, 21, 1, 0, FaVF0, (/0, 3/), (/nGC_754, nGC_755/))

      call avR2(627, 1, 21, 1, 0, FaVF0, (/2, 1/), (/nGC_756, nGC_756/))

      allocate(vertices(2780)%branchR2(0:0))
      call avR2(2780, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_941/))

      allocate(vertices(4011)%branchR2(0:1))
      call avR2(4011, 0, 141, 1, 0, VVVV0, (/2, 2/), (/nGC_973, nGC_973,       &
      nGC_973/))

      call avR2(4011, 1, 142, 1, 0, VVVV0, (/2, 2/), (/nGC_974, nGC_974,       &
      nGC_974/))

      allocate(vertices(3857)%branchR2(0:0))
      call avR2(3857, 0, 13, 1, 0, FFa1, (/0, 2/), (/nGC_746/))

      allocate(vertices(639)%branchR2(0:0))
      call avR2(639, 0, 1, 1, 0, SFaF1, (/0, 3/), (/nGC_856, nGC_857/))

      allocate(vertices(3222)%branchR2(0:0))
      call avR2(3222, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_981, nGC_980, nGC_981 &
      /))

      allocate(vertices(1817)%branchR2(0:1))
      call avR2(1817, 0, 18, 1, 0, VFaF0, (/0, 3/), (/nGC_754, nGC_755/))

      call avR2(1817, 1, 18, 1, 0, VFaF0, (/2, 1/), (/nGC_756, nGC_756/))

      allocate(vertices(2559)%branchR2(0:3))
      call avR2(2559, 0, 11, 1, 0, FFaV0, (/1, 2/), (/nGC_916, nGC_917/))

      call avR2(2559, 1, 11, 1, 0, FFaV0, (/3, 0/), (/nGC_912, nGC_912/))

      call avR2(2559, 2, 12, 1, 0, FFaV0, (/3, 0/), (/nGC_909, nGC_909/))

      call avR2(2559, 3, 12, 1, 0, FFaV0, (/1, 2/), (/nGC_914, nGC_915/))

      allocate(vertices(1947)%branchR2(0:1))
      call avR2(1947, 0, 18, 1, 0, VFaF0, (/0, 3/), (/nGC_887, nGC_889/))

      call avR2(1947, 1, 18, 1, 0, VFaF0, (/2, 1/), (/nGC_888, nGC_890/))

      allocate(vertices(1692)%branchR2(0:0))
      call avR2(1692, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_945/))

      allocate(vertices(975)%branchR2(0:0))
      call avR2(975, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_964/))

      allocate(vertices(918)%branchR2(0:1))
      call avR2(918, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_887, nGC_889/))

      call avR2(918, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_888, nGC_890/))

      allocate(vertices(2147)%branchR2(0:0))
      call avR2(2147, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_964/))

      allocate(vertices(1246)%branchR2(0:0))
      call avR2(1246, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_881/))

      allocate(vertices(3841)%branchR2(0:0))
      call avR2(3841, 0, 13, 1, 0, FFa1, (/0, 2/), (/nGC_746/))

      allocate(vertices(2836)%branchR2(0:0))
      call avR2(2836, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_967/))

      allocate(vertices(4012)%branchR2(0:1))
      call avR2(4012, 0, 144, 1, 0, VSSV0, (/2, 2/), (/nGC_969/))

      call avR2(4012, 1, 143, 1, 0, VSSV0, (/2, 2/), (/nGC_970/))

      allocate(vertices(3306)%branchR2(0:0))
      call avR2(3306, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_878/))

      allocate(vertices(791)%branchR2(0:0))
      call avR2(791, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_948/))

      allocate(vertices(3782)%branchR2(0:1))
      call avR2(3782, 0, 18, 1, 0, SFaF1, (/0, 3/), (/nGC_816, nGC_814/))

      call avR2(3782, 1, 18, 1, 0, SFaF1, (/2, 1/), (/nGC_817, nGC_815/))

      allocate(vertices(3550)%branchR2(0:0))
      call avR2(3550, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_960/))

      allocate(vertices(1709)%branchR2(0:0))
      call avR2(1709, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_1480/))

      allocate(vertices(2868)%branchR2(0:0))
      call avR2(2868, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_905, nGC_904/))

      allocate(vertices(622)%branchR2(0:3))
      call avR2(622, 0, 11, 1, 0, FFaV0, (/1, 2/), (/nGC_920, nGC_921/))

      call avR2(622, 1, 11, 1, 0, FFaV0, (/3, 0/), (/nGC_912, nGC_912/))

      call avR2(622, 2, 12, 1, 0, FFaV0, (/1, 2/), (/nGC_918, nGC_919/))

      call avR2(622, 3, 12, 1, 0, FFaV0, (/3, 0/), (/nGC_909, nGC_909/))

      allocate(vertices(3294)%branchR2(0:0))
      call avR2(3294, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_959/))

      allocate(vertices(1981)%branchR2(0:1))
      call avR2(1981, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_809, nGC_808/))

      call avR2(1981, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_795, nGC_793/))

      allocate(vertices(2888)%branchR2(0:1))
      call avR2(2888, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_891, nGC_892/))

      call avR2(2888, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_883, nGC_885/))

      allocate(vertices(2815)%branchR2(0:0))
      call avR2(2815, 0, 1, 1, 0, FaFS2, (/0, 3/), (/nGC_800/))

      allocate(vertices(186)%branchR2(0:0))
      call avR2(186, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_947/))

      allocate(vertices(1391)%branchR2(0:1))
      call avR2(1391, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_781, nGC_782/))

      call avR2(1391, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_756, nGC_756/))

      allocate(vertices(3224)%branchR2(0:0))
      call avR2(3224, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_980, nGC_981, nGC_981 &
      /))

      allocate(vertices(1977)%branchR2(0:0))
      call avR2(1977, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_944/))

      allocate(vertices(3356)%branchR2(0:0))
      call avR2(3356, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_953, nGC_955, nGC_954 &
      /))

      allocate(vertices(2839)%branchR2(0:0))
      call avR2(2839, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_948/))

      allocate(vertices(3308)%branchR2(0:1))
      call avR2(3308, 0, 20, 1, 0, FSFa0, (/0, 3/), (/nGC_854, nGC_853/))

      call avR2(3308, 1, 20, 1, 0, FSFa0, (/2, 1/), (/nGC_855, nGC_855/))

      allocate(vertices(3072)%branchR2(0:1))
      call avR2(3072, 0, 18, 1, 0, SFaF1, (/0, 3/), (/nGC_824, nGC_822/))

      call avR2(3072, 1, 18, 1, 0, SFaF1, (/2, 1/), (/nGC_825, nGC_823/))

      allocate(vertices(3876)%branchR2(0:0))
      call avR2(3876, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_957/))

      allocate(vertices(1047)%branchR2(0:0))
      call avR2(1047, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_1478/))

      allocate(vertices(3401)%branchR2(0:1))
      call avR2(3401, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_871, nGC_870/))

      call avR2(3401, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_872, nGC_872/))

      allocate(vertices(2250)%branchR2(0:0))
      call avR2(2250, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_946/))

      allocate(vertices(2090)%branchR2(0:0))
      call avR2(2090, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_940, nGC_939, nGC_938 &
      /))

      allocate(vertices(764)%branchR2(0:0))
      call avR2(764, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_940, nGC_938, nGC_939/))

      allocate(vertices(1814)%branchR2(0:0))
      call avR2(1814, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_873/))

      allocate(vertices(533)%branchR2(0:0))
      call avR2(533, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_961/))

      allocate(vertices(3075)%branchR2(0:1))
      call avR2(3075, 0, 20, 1, 0, FVFa0, (/0, 3/), (/nGC_775, nGC_776/))

      call avR2(3075, 1, 20, 1, 0, FVFa0, (/2, 1/), (/nGC_759, nGC_759/))

      allocate(vertices(3428)%branchR2(0:0))
      call avR2(3428, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_780, nGC_779/))

      allocate(vertices(3331)%branchR2(0:1))
      call avR2(3331, 0, 21, 1, 0, FaVF1, (/0, 3/), (/nGC_874/))

      call avR2(3331, 1, 21, 1, 0, FaVF1, (/2, 1/), (/nGC_875/))

      allocate(vertices(2997)%branchR2(0:0))
      call avR2(2997, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_849/))

      allocate(vertices(1844)%branchR2(0:0))
      call avR2(1844, 0, 1, 1, 0, FaFS2, (/0, 3/), (/nGC_802/))

      allocate(vertices(3223)%branchR2(0:0))
      call avR2(3223, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_947/))

      allocate(vertices(1877)%branchR2(0:0))
      call avR2(1877, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_980, nGC_981, nGC_981 &
      /))

      allocate(vertices(4013)%branchR2(0:1))
      call avR2(4013, 0, 136, 1, 0, VVVV0, (/2, 2/), (/nGC_984, nGC_984,       &
      nGC_984/))

      call avR2(4013, 1, 135, 1, 0, VVVV0, (/2, 2/), (/nGC_983, nGC_983,       &
      nGC_983/))

      allocate(vertices(3559)%branchR2(0:0))
      call avR2(3559, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_771, nGC_770/))

      allocate(vertices(3537)%branchR2(0:3))
      call avR2(3537, 0, 24, 1, 0, VFaF0, (/3, 0/), (/nGC_927, nGC_927/))

      call avR2(3537, 1, 24, 1, 0, VFaF0, (/1, 2/), (/nGC_925, nGC_926/))

      call avR2(3537, 2, 25, 1, 0, VFaF0, (/3, 0/), (/nGC_924, nGC_924/))

      call avR2(3537, 3, 25, 1, 0, VFaF0, (/1, 2/), (/nGC_922, nGC_923/))

      allocate(vertices(3855)%branchR2(0:0))
      call avR2(3855, 0, 13, 1, 0, SS1, (/0, 2/), (/nGC_713, nGC_712/))

      allocate(vertices(598)%branchR2(0:0))
      call avR2(598, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_963/))

      allocate(vertices(19)%branchR2(0:1))
      call avR2(19, 0, 17, 1, 0, VFFa0, (/0, 3/), (/nGC_882, nGC_884/))

      call avR2(19, 1, 17, 1, 0, VFFa0, (/2, 1/), (/nGC_883, nGC_885/))

      allocate(vertices(1031)%branchR2(0:0))
      call avR2(1031, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_960/))

      allocate(vertices(1608)%branchR2(0:0))
      call avR2(1608, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_946/))

      allocate(vertices(96)%branchR2(0:0))
      call avR2(96, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_802/))

      allocate(vertices(256)%branchR2(0:1))
      call avR2(256, 0, 18, 1, 0, VFaF0, (/0, 3/), (/nGC_900, nGC_901/))

      call avR2(256, 1, 18, 1, 0, VFaF0, (/2, 1/), (/nGC_883, nGC_885/))

      allocate(vertices(1056)%branchR2(0:0))
      call avR2(1056, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_762/))

      allocate(vertices(770)%branchR2(0:1))
      call avR2(770, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_880/))

      call avR2(770, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_875/))

      allocate(vertices(818)%branchR2(0:0))
      call avR2(818, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_977/))

      allocate(vertices(2367)%branchR2(0:1))
      call avR2(2367, 0, 21, 1, 0, FaVF0, (/0, 3/), (/nGC_775, nGC_776/))

      call avR2(2367, 1, 21, 1, 0, FaVF0, (/2, 1/), (/nGC_759, nGC_759/))

      allocate(vertices(944)%branchR2(0:0))
      call avR2(944, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_945/))

      allocate(vertices(1627)%branchR2(0:0))
      call avR2(1627, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_945/))

      allocate(vertices(1785)%branchR2(0:0))
      call avR2(1785, 0, 1, 1, 0, FaSF2, (/0, 3/), (/nGC_802/))

      allocate(vertices(1835)%branchR2(0:0))
      call avR2(1835, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_786/))

      allocate(vertices(2480)%branchR2(0:3))
      call avR2(2480, 0, 56, 1, 0, FaVF0, (/1, 2/), (/nGC_916, nGC_917/))

      call avR2(2480, 1, 56, 1, 0, FaVF0, (/3, 0/), (/nGC_912, nGC_912/))

      call avR2(2480, 2, 57, 1, 0, FaVF0, (/3, 0/), (/nGC_909, nGC_909/))

      call avR2(2480, 3, 57, 1, 0, FaVF0, (/1, 2/), (/nGC_914, nGC_915/))

      allocate(vertices(831)%branchR2(0:0))
      call avR2(831, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_960/))

      allocate(vertices(451)%branchR2(0:3))
      call avR2(451, 0, 59, 1, 0, FVFa0, (/3, 0/), (/nGC_924, nGC_924/))

      call avR2(451, 1, 59, 1, 0, FVFa0, (/1, 2/), (/nGC_922, nGC_923/))

      call avR2(451, 2, 58, 1, 0, FVFa0, (/3, 0/), (/nGC_927, nGC_927/))

      call avR2(451, 3, 58, 1, 0, FVFa0, (/1, 2/), (/nGC_925, nGC_926/))

      allocate(vertices(302)%branchR2(0:0))
      call avR2(302, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_962/))

      allocate(vertices(1524)%branchR2(0:1))
      call avR2(1524, 0, 17, 1, 0, VFFa0, (/0, 3/), (/nGC_781, nGC_782/))

      call avR2(1524, 1, 17, 1, 0, VFFa0, (/2, 1/), (/nGC_756, nGC_756/))

      allocate(vertices(2954)%branchR2(0:0))
      call avR2(2954, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_946/))

      allocate(vertices(951)%branchR2(0:0))
      call avR2(951, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_1481/))

      allocate(vertices(3316)%branchR2(0:3))
      call avR2(3316, 0, 59, 1, 0, FVFa0, (/3, 0/), (/nGC_909, nGC_909/))

      call avR2(3316, 1, 59, 1, 0, FVFa0, (/1, 2/), (/nGC_914, nGC_915/))

      call avR2(3316, 2, 58, 1, 0, FVFa0, (/1, 2/), (/nGC_916, nGC_917/))

      call avR2(3316, 3, 58, 1, 0, FVFa0, (/3, 0/), (/nGC_912, nGC_912/))

      allocate(vertices(3134)%branchR2(0:0))
      call avR2(3134, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_897/))

      allocate(vertices(3154)%branchR2(0:1))
      call avR2(3154, 0, 20, 1, 0, FSFa0, (/0, 3/), (/nGC_847, nGC_846/))

      call avR2(3154, 1, 20, 1, 0, FSFa0, (/2, 1/), (/nGC_848, nGC_848/))

      allocate(vertices(1961)%branchR2(0:0))
      call avR2(1961, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_961/))

      allocate(vertices(2854)%branchR2(0:0))
      call avR2(2854, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_967/))

      allocate(vertices(1290)%branchR2(0:0))
      call avR2(1290, 0, 1, 1, 0, FaSF1, (/0, 3/), (/nGC_800/))

      allocate(vertices(1567)%branchR2(0:0))
      call avR2(1567, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_944/))

      allocate(vertices(1508)%branchR2(0:0))
      call avR2(1508, 0, 1, 1, 0, FFaS1, (/0, 3/), (/nGC_826, nGC_827/))

      allocate(vertices(3097)%branchR2(0:1))
      call avR2(3097, 0, 18, 1, 0, VFaF1, (/0, 3/), (/nGC_880/))

      call avR2(3097, 1, 18, 1, 0, VFaF1, (/2, 1/), (/nGC_875/))

      allocate(vertices(3893)%branchR2(0:0))
      call avR2(3893, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_772/))

      allocate(vertices(2164)%branchR2(0:0))
      call avR2(2164, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_967/))

      allocate(vertices(517)%branchR2(0:1))
      call avR2(517, 0, 20, 1, 0, FSFa0, (/0, 3/), (/nGC_824, nGC_822/))

      call avR2(517, 1, 20, 1, 0, FSFa0, (/2, 1/), (/nGC_825, nGC_823/))

      allocate(vertices(356)%branchR2(0:1))
      call avR2(356, 0, 21, 1, 0, FaSF0, (/0, 3/), (/nGC_851, nGC_850/))

      call avR2(356, 1, 21, 1, 0, FaSF0, (/2, 1/), (/nGC_852, nGC_852/))

      allocate(vertices(276)%branchR2(0:0))
      call avR2(276, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_944/))

      allocate(vertices(2584)%branchR2(0:0))
      call avR2(2584, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_812/))

      allocate(vertices(4014)%branchR2(0:1))
      call avR2(4014, 0, 145, 1, 0, VVSS0, (/2, 2/), (/nGC_970/))

      call avR2(4014, 1, 146, 1, 0, VVSS0, (/2, 2/), (/nGC_969/))

      allocate(vertices(3012)%branchR2(0:0))
      call avR2(3012, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_948/))

    end subroutine fill_vertices_mdl10
end module vertices_info10
