!******************************************************************************!
!                                                                              !
!    vertices_info6.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info6.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 00:29             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info6
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl6()
      allocate(vertices(268)%branchCT(0:0))
      call avCT(268, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1283/))

      allocate(vertices(269)%branchCT(0:0))
      call avCT(269, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1174/))

      allocate(vertices(270)%branchCT(0:3))
      call avCT(270, 0, 56, 3, 0, FaVF0, (/1, 2/), (/nGC_1285, nGC_1287/))

      call avCT(270, 1, 56, 3, 0, FaVF0, (/3, 0/), (/nGC_1284, nGC_1286/))

      call avCT(270, 2, 57, 2, 0, FaVF0, (/1, 2/), (/nGC_1285, nGC_1287/))

      call avCT(270, 3, 57, 2, 0, FaVF0, (/3, 0/), (/nGC_1284, nGC_1286/))

      allocate(vertices(2530)%branchCT(0:0))
      call avCT(2530, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(276)%branchCT(0:0))
      call avCT(276, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1227/))

      allocate(vertices(278)%branchCT(0:0))
      call avCT(278, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(279)%branchCT(0:0))
      call avCT(279, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1244/))

      allocate(vertices(281)%branchCT(0:1))
      call avCT(281, 0, 19, 1, 0, FaFV0, (/0, 3/), (/nGC_1288, nGC_1290/))

      call avCT(281, 1, 19, 1, 0, FaFV0, (/2, 1/), (/nGC_1289, nGC_1291/))

      allocate(vertices(283)%branchCT(0:0))
      call avCT(283, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(284)%branchCT(0:0))
      call avCT(284, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1212/))

      allocate(vertices(285)%branchCT(0:0))
      call avCT(285, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(286)%branchCT(0:1))
      call avCT(286, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1170, nGC_1172/))

      call avCT(286, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1171, nGC_1173/))

      allocate(vertices(3575)%branchCT(0:0))
      call avCT(3575, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(2796)%branchCT(0:0))
      call avCT(2796, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(3158)%branchCT(0:1))
      call avCT(3158, 0, 21, 1, 0, FaVF1, (/0, 3/), (/nGC_1255/))

      call avCT(3158, 1, 21, 1, 0, FaVF1, (/2, 1/), (/nGC_1256/))

      allocate(vertices(290)%branchCT(0:0))
      call avCT(290, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(292)%branchCT(0:0))
      call avCT(292, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1013/))

      allocate(vertices(3309)%branchCT(0:0))
      call avCT(3309, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(296)%branchCT(0:0))
      call avCT(296, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1272/))

      allocate(vertices(297)%branchCT(0:0))
      call avCT(297, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1222/))

      allocate(vertices(1859)%branchCT(0:0))
      call avCT(1859, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1012/))

      allocate(vertices(3111)%branchCT(0:0))
      call avCT(3111, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_1292/))

      allocate(vertices(2590)%branchCT(0:0))
      call avCT(2590, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(1863)%branchCT(0:0))
      call avCT(1863, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_1201/))

      allocate(vertices(306)%branchCT(0:0))
      call avCT(306, 0, 1, 1, 0, UaUV1, (/0, 3/), (/nGC_1293/))

      allocate(vertices(307)%branchCT(0:0))
      call avCT(307, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(309)%branchCT(0:0))
      call avCT(309, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1200/))

      allocate(vertices(1955)%branchCT(0:0))
      call avCT(1955, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(315)%branchCT(0:0))
      call avCT(315, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_1294/))

      allocate(vertices(1256)%branchCT(0:0))
      call avCT(1256, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1260/))

      allocate(vertices(317)%branchCT(0:0))
      call avCT(317, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1234/))

      allocate(vertices(318)%branchCT(0:0))
      call avCT(318, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1014/))

      allocate(vertices(319)%branchCT(0:3))
      call avCT(319, 0, 11, 3, 0, FFaV0, (/1, 2/), (/nGC_1296, nGC_1298/))

      call avCT(319, 1, 11, 3, 0, FFaV0, (/3, 0/), (/nGC_1295, nGC_1297/))

      call avCT(319, 2, 12, 2, 0, FFaV0, (/1, 2/), (/nGC_1296, nGC_1298/))

      call avCT(319, 3, 12, 2, 0, FFaV0, (/3, 0/), (/nGC_1295, nGC_1297/))

      allocate(vertices(3224)%branchCT(0:0))
      call avCT(3224, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1205, nGC_1206,       &
      nGC_1206/))

      allocate(vertices(2098)%branchCT(0:0))
      call avCT(2098, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(323)%branchCT(0:0))
      call avCT(323, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1021/))

      allocate(vertices(2016)%branchCT(0:0))
      call avCT(2016, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(327)%branchCT(0:0))
      call avCT(327, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_1299/))

      allocate(vertices(328)%branchCT(0:0))
      call avCT(328, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1012/))

      allocate(vertices(329)%branchCT(0:3))
      call avCT(329, 0, 59, 2, 0, FVFa0, (/1, 2/), (/nGC_1301, nGC_1303/))

      call avCT(329, 1, 59, 2, 0, FVFa0, (/3, 0/), (/nGC_1300, nGC_1302/))

      call avCT(329, 2, 58, 3, 0, FVFa0, (/1, 2/), (/nGC_1301, nGC_1303/))

      call avCT(329, 3, 58, 3, 0, FVFa0, (/3, 0/), (/nGC_1300, nGC_1302/))

      allocate(vertices(330)%branchCT(0:0))
      call avCT(330, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1011/))

      allocate(vertices(3567)%branchCT(0:0))
      call avCT(3567, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1276/))

      allocate(vertices(332)%branchCT(0:0))
      call avCT(332, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1029/))

      allocate(vertices(2038)%branchCT(0:0))
      call avCT(2038, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1183/))

      allocate(vertices(334)%branchCT(0:0))
      call avCT(334, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_1304/))

      allocate(vertices(709)%branchCT(0:0))
      call avCT(709, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(2834)%branchCT(0:0))
      call avCT(2834, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1012/))

      allocate(vertices(51)%branchCT(0:0))
      call avCT(51, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1234/))

      allocate(vertices(340)%branchCT(0:0))
      call avCT(340, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1161/))

      allocate(vertices(341)%branchCT(0:0))
      call avCT(341, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1020/))

      allocate(vertices(344)%branchCT(0:0))
      call avCT(344, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_1305/))

      allocate(vertices(345)%branchCT(0:0))
      call avCT(345, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1222/))

      allocate(vertices(346)%branchCT(0:0))
      call avCT(346, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(3714)%branchCT(0:0))
      call avCT(3714, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1022/))

      allocate(vertices(1674)%branchCT(0:0))
      call avCT(1674, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(351)%branchCT(0:0))
      call avCT(351, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_1245/))

      allocate(vertices(352)%branchCT(0:0))
      call avCT(352, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1260/))

      allocate(vertices(354)%branchCT(0:0))
      call avCT(354, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1014/))

      allocate(vertices(355)%branchCT(0:0))
      call avCT(355, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1155/))

      allocate(vertices(356)%branchCT(0:1))
      call avCT(356, 0, 21, 1, 0, FaSF0, (/0, 3/), (/nGC_1306, nGC_1306/))

      call avCT(356, 1, 21, 1, 0, FaSF0, (/2, 1/), (/nGC_1307, nGC_1307/))

      allocate(vertices(357)%branchCT(0:0))
      call avCT(357, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(359)%branchCT(0:0))
      call avCT(359, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(2964)%branchCT(0:0))
      call avCT(2964, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_1198/))

      allocate(vertices(1263)%branchCT(0:0))
      call avCT(1263, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(2226)%branchCT(0:0))
      call avCT(2226, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(2496)%branchCT(0:0))
      call avCT(2496, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(365)%branchCT(0:0))
      call avCT(365, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1259/))

      allocate(vertices(2244)%branchCT(0:0))
      call avCT(2244, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1308/))

      allocate(vertices(2254)%branchCT(0:0))
      call avCT(2254, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1012/))

      allocate(vertices(369)%branchCT(0:0))
      call avCT(369, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(370)%branchCT(0:0))
      call avCT(370, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1022/))

      allocate(vertices(3704)%branchCT(0:0))
      call avCT(3704, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1020/))

      allocate(vertices(372)%branchCT(0:0))
      call avCT(372, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_1201/))

      allocate(vertices(1016)%branchCT(0:0))
      call avCT(1016, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(2312)%branchCT(0:0))
      call avCT(2312, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(2596)%branchCT(0:0))
      call avCT(2596, 0, 1, 1, 0, SFFa1, (/0, 3/), (/nGC_1309, nGC_1310/))

      allocate(vertices(380)%branchCT(0:1))
      call avCT(380, 0, 21, 1, 0, FaVF0, (/0, 3/), (/nGC_1311, nGC_1313/))

      call avCT(380, 1, 21, 1, 0, FaVF0, (/2, 1/), (/nGC_1312, nGC_1314/))

      allocate(vertices(3160)%branchCT(0:0))
      call avCT(3160, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1315/))

      allocate(vertices(382)%branchCT(0:0))
      call avCT(382, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1308/))

      allocate(vertices(384)%branchCT(0:0))
      call avCT(384, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1208, nGC_1208,        &
      nGC_1209/))

      allocate(vertices(385)%branchCT(0:1))
      call avCT(385, 0, 20, 1, 0, FSFa0, (/0, 3/), (/nGC_1316, nGC_1316/))

      call avCT(385, 1, 20, 1, 0, FSFa0, (/2, 1/), (/nGC_1317, nGC_1317/))

      allocate(vertices(386)%branchCT(0:0))
      call avCT(386, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(387)%branchCT(0:0))
      call avCT(387, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_1201/))

      allocate(vertices(388)%branchCT(0:0))
      call avCT(388, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1156/))

      allocate(vertices(389)%branchCT(0:0))
      call avCT(389, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1318/))

      allocate(vertices(391)%branchCT(0:0))
      call avCT(391, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1161/))

      allocate(vertices(393)%branchCT(0:0))
      call avCT(393, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1260/))

      allocate(vertices(2431)%branchCT(0:0))
      call avCT(2431, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_1233/))

      allocate(vertices(395)%branchCT(0:0))
      call avCT(395, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1227/))

      allocate(vertices(397)%branchCT(0:1))
      call avCT(397, 0, 21, 1, 0, FaVF1, (/0, 3/), (/nGC_1248/))

      call avCT(397, 1, 21, 1, 0, FaVF1, (/2, 1/), (/nGC_1249/))

      allocate(vertices(60)%branchCT(0:0))
      call avCT(60, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1185/))

      allocate(vertices(399)%branchCT(0:0))
      call avCT(399, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1156/))

      allocate(vertices(401)%branchCT(0:0))
      call avCT(401, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1012/))

      allocate(vertices(3827)%branchCT(0:0))
      call avCT(3827, 0, 13, 1, 0, SV0, (/0, 2/), (/nGC_1319/))

      allocate(vertices(1572)%branchCT(0:0))
      call avCT(1572, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1209, nGC_1208,       &
      nGC_1208/))

      allocate(vertices(403)%branchCT(0:0))
      call avCT(403, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(404)%branchCT(0:1))
      call avCT(404, 0, 116, 6, 0, VUaU0, (/3, 0/), (/nGC_1320/))

      call avCT(404, 1, 117, 7, 0, VUaU0, (/3, 0/), (/nGC_1320/))

      allocate(vertices(405)%branchCT(0:0))
      call avCT(405, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(409)%branchCT(0:0))
      call avCT(409, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1272/))

      allocate(vertices(410)%branchCT(0:1))
      call avCT(410, 0, 20, 1, 0, FSFa0, (/0, 3/), (/nGC_1240, nGC_1242/))

      call avCT(410, 1, 20, 1, 0, FSFa0, (/2, 1/), (/nGC_1241, nGC_1243/))

      allocate(vertices(411)%branchCT(0:0))
      call avCT(411, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1161/))

      allocate(vertices(412)%branchCT(0:0))
      call avCT(412, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1321/))

      allocate(vertices(3203)%branchCT(0:0))
      call avCT(3203, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_1223/))

      allocate(vertices(417)%branchCT(0:1))
      call avCT(417, 0, 18, 1, 0, VFaF0, (/0, 3/), (/nGC_1288, nGC_1290/))

      call avCT(417, 1, 18, 1, 0, VFaF0, (/2, 1/), (/nGC_1289, nGC_1291/))

      allocate(vertices(418)%branchCT(0:0))
      call avCT(418, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1156/))

      allocate(vertices(424)%branchCT(0:1))
      call avCT(424, 0, 17, 1, 0, VFFa0, (/0, 3/), (/nGC_1322, nGC_1324/))

      call avCT(424, 1, 17, 1, 0, VFFa0, (/2, 1/), (/nGC_1323, nGC_1325/))

      allocate(vertices(3064)%branchCT(0:0))
      call avCT(3064, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1211/))

      allocate(vertices(425)%branchCT(0:0))
      call avCT(425, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(3269)%branchCT(0:0))
      call avCT(3269, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(427)%branchCT(0:0))
      call avCT(427, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1234/))

      allocate(vertices(428)%branchCT(0:0))
      call avCT(428, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1326, nGC_1326,        &
      nGC_1327/))

      allocate(vertices(429)%branchCT(0:0))
      call avCT(429, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_1328/))

      allocate(vertices(672)%branchCT(0:0))
      call avCT(672, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(433)%branchCT(0:0))
      call avCT(433, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1234/))

      allocate(vertices(434)%branchCT(0:0))
      call avCT(434, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_1309, nGC_1310/))

      allocate(vertices(436)%branchCT(0:0))
      call avCT(436, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(437)%branchCT(0:0))
      call avCT(437, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1024/))

      allocate(vertices(438)%branchCT(0:0))
      call avCT(438, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1013/))

      allocate(vertices(2848)%branchCT(0:0))
      call avCT(2848, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(3828)%branchCT(0:1))
      call avCT(3828, 0, 14, 1, 0, FFa0, (/0, 2/), (/nGC_1329, nGC_1331,       &
      nGC_1331, nGC_1333/))

      call avCT(3828, 1, 14, 1, 0, FFa0, (/2, 0/), (/nGC_1330, nGC_1332,       &
      nGC_1332, nGC_1334/))

      allocate(vertices(3829)%branchCT(0:0))
      call avCT(3829, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_GG/))

      allocate(vertices(3830)%branchCT(0:0))
      call avCT(3830, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_1190/))

      allocate(vertices(445)%branchCT(0:0))
      call avCT(445, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1200/))

      allocate(vertices(3097)%branchCT(0:1))
      call avCT(3097, 0, 18, 1, 0, VFaF1, (/0, 3/), (/nGC_1335/))

      call avCT(3097, 1, 18, 1, 0, VFaF1, (/2, 1/), (/nGC_1336/))

      allocate(vertices(447)%branchCT(0:0))
      call avCT(447, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1010/))

      allocate(vertices(448)%branchCT(0:0))
      call avCT(448, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_1337, nGC_1337/))

      allocate(vertices(450)%branchCT(0:0))
      call avCT(450, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(451)%branchCT(0:3))
      call avCT(451, 0, 59, 2, 0, FVFa0, (/1, 2/), (/nGC_1285, nGC_1287/))

      call avCT(451, 1, 59, 2, 0, FVFa0, (/3, 0/), (/nGC_1284, nGC_1286/))

      call avCT(451, 2, 58, 3, 0, FVFa0, (/1, 2/), (/nGC_1285, nGC_1287/))

      call avCT(451, 3, 58, 3, 0, FVFa0, (/3, 0/), (/nGC_1284, nGC_1286/))

      allocate(vertices(452)%branchCT(0:0))
      call avCT(452, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1155/))

      allocate(vertices(454)%branchCT(0:0))
      call avCT(454, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1212/))

      allocate(vertices(459)%branchCT(0:0))
      call avCT(459, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1013/))

      allocate(vertices(3831)%branchCT(0:0))
      call avCT(3831, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_1228/))

      allocate(vertices(461)%branchCT(0:1))
      call avCT(461, 0, 19, 1, 0, FaFS0, (/0, 3/), (/nGC_1235, nGC_1237/))

      call avCT(461, 1, 19, 1, 0, FaFS0, (/2, 1/), (/nGC_1236, nGC_1238/))

      allocate(vertices(3550)%branchCT(0:0))
      call avCT(3550, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1161/))

      allocate(vertices(1276)%branchCT(0:0))
      call avCT(1276, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(464)%branchCT(0:0))
      call avCT(464, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1205, nGC_1206,        &
      nGC_1206/))

      allocate(vertices(2901)%branchCT(0:0))
      call avCT(2901, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(2802)%branchCT(0:0))
      call avCT(2802, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1029/))

      allocate(vertices(470)%branchCT(0:0))
      call avCT(470, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1254/))

      allocate(vertices(473)%branchCT(0:0))
      call avCT(473, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1022/))

      allocate(vertices(474)%branchCT(0:1))
      call avCT(474, 0, 21, 1, 0, FaSF0, (/0, 3/), (/nGC_1193, nGC_1195/))

      call avCT(474, 1, 21, 1, 0, FaSF0, (/2, 1/), (/nGC_1194, nGC_1196/))

      allocate(vertices(475)%branchCT(0:1))
      call avCT(475, 0, 19, 1, 0, FaFS0, (/0, 3/), (/nGC_1165, nGC_1163/))

      call avCT(475, 1, 19, 1, 0, FaFS0, (/2, 1/), (/nGC_1166, nGC_1164/))

      allocate(vertices(476)%branchCT(0:5))
      call avCT(476, 0, 73, 4, 0, UVVUa0, (/4, 0/), (/nGC_1338/))

      call avCT(476, 1, 72, 4, 0, UVVUa0, (/4, 0/), (/nGC_1338/))

      call avCT(476, 2, 77, 5, 0, UVVUa0, (/4, 0/), (/nGC_1339/))

      call avCT(476, 3, 76, 5, 0, UVVUa0, (/4, 0/), (/nGC_1339/))

      call avCT(476, 4, 75, 4, 0, UVVUa0, (/4, 0/), (/nGC_1338/))

      call avCT(476, 5, 74, 4, 0, UVVUa0, (/4, 0/), (/nGC_1338/))

      allocate(vertices(2965)%branchCT(0:0))
      call avCT(2965, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(2968)%branchCT(0:0))
      call avCT(2968, 0, 1, 1, 0, SFaF1, (/0, 3/), (/nGC_1257, nGC_1258/))

      allocate(vertices(479)%branchCT(0:0))
      call avCT(479, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(480)%branchCT(0:0))
      call avCT(480, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_1207/))

      allocate(vertices(3832)%branchCT(0:1))
      call avCT(3832, 0, 124, 1, 0, FaF0, (/0, 2/), (/nGC_1340, nGC_1342,      &
      nGC_1342, nGC_1344/))

      call avCT(3832, 1, 124, 1, 0, FaF0, (/2, 0/), (/nGC_1341, nGC_1343,      &
      nGC_1343, nGC_1345/))

      allocate(vertices(3015)%branchCT(0:0))
      call avCT(3015, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1022/))

      allocate(vertices(3833)%branchCT(0:0))
      call avCT(3833, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_1346, nGC_1347,        &
      nGC_1348/))

      allocate(vertices(485)%branchCT(0:0))
      call avCT(485, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1234/))

      allocate(vertices(491)%branchCT(0:0))
      call avCT(491, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(492)%branchCT(0:0))
      call avCT(492, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_1182/))

      allocate(vertices(2985)%branchCT(0:0))
      call avCT(2985, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1200/))

      allocate(vertices(2438)%branchCT(0:0))
      call avCT(2438, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1276/))

      allocate(vertices(495)%branchCT(0:0))
      call avCT(495, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(496)%branchCT(0:0))
      call avCT(496, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_1293/))

      allocate(vertices(1001)%branchCT(0:0))
      call avCT(1001, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(2663)%branchCT(0:0))
      call avCT(2663, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(501)%branchCT(0:0))
      call avCT(501, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(2908)%branchCT(0:0))
      call avCT(2908, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1011/))

      allocate(vertices(504)%branchCT(0:0))
      call avCT(504, 0, 1, 1, 0, FFaS1, (/0, 3/), (/nGC_1337, nGC_1337/))

      allocate(vertices(505)%branchCT(0:0))
      call avCT(505, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1012/))

      allocate(vertices(1897)%branchCT(0:0))
      call avCT(1897, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(510)%branchCT(0:0))
      call avCT(510, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1222/))

      allocate(vertices(753)%branchCT(0:0))
      call avCT(753, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(513)%branchCT(0:0))
      call avCT(513, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1020/))

      allocate(vertices(516)%branchCT(0:0))
      call avCT(516, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(517)%branchCT(0:1))
      call avCT(517, 0, 20, 1, 0, FSFa0, (/0, 3/), (/nGC_1268, nGC_1270/))

      call avCT(517, 1, 20, 1, 0, FSFa0, (/2, 1/), (/nGC_1269, nGC_1271/))

      allocate(vertices(3834)%branchCT(0:0))
      call avCT(3834, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1349/))

      allocate(vertices(522)%branchCT(0:1))
      call avCT(522, 0, 17, 1, 0, SFFa1, (/0, 3/), (/nGC_1179, nGC_1179/))

      call avCT(522, 1, 17, 1, 0, SFFa1, (/2, 1/), (/nGC_1180, nGC_1180/))

      allocate(vertices(3271)%branchCT(0:0))
      call avCT(3271, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1260/))

      allocate(vertices(2141)%branchCT(0:0))
      call avCT(2141, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_1350/))

      allocate(vertices(524)%branchCT(0:0))
      call avCT(524, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(529)%branchCT(0:0))
      call avCT(529, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_1351/))

      allocate(vertices(3332)%branchCT(0:0))
      call avCT(3332, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1174/))

      allocate(vertices(533)%branchCT(0:0))
      call avCT(533, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1276/))

      allocate(vertices(535)%branchCT(0:3))
      call avCT(535, 0, 59, 2, 0, FVFa0, (/3, 0/), (/nGC_1352, nGC_1354/))

      call avCT(535, 1, 59, 2, 0, FVFa0, (/1, 2/), (/nGC_1353, nGC_1355/))

      call avCT(535, 2, 58, 3, 0, FVFa0, (/3, 0/), (/nGC_1352, nGC_1354/))

      call avCT(535, 3, 58, 3, 0, FVFa0, (/1, 2/), (/nGC_1353, nGC_1355/))

      allocate(vertices(2519)%branchCT(0:0))
      call avCT(2519, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(3340)%branchCT(0:0))
      call avCT(3340, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1011/))

      allocate(vertices(538)%branchCT(0:0))
      call avCT(538, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1012/))

      allocate(vertices(539)%branchCT(0:1))
      call avCT(539, 0, 19, 1, 0, FaFV0, (/0, 3/), (/nGC_1356, nGC_1358/))

      call avCT(539, 1, 19, 1, 0, FaFV0, (/2, 1/), (/nGC_1357, nGC_1359/))

      allocate(vertices(2887)%branchCT(0:0))
      call avCT(2887, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1200/))

      allocate(vertices(3435)%branchCT(0:0))
      call avCT(3435, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1013/))

      allocate(vertices(2521)%branchCT(0:0))
      call avCT(2521, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(545)%branchCT(0:0))
      call avCT(545, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1254/))

      allocate(vertices(547)%branchCT(0:0))
      call avCT(547, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(2105)%branchCT(0:0))
      call avCT(2105, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(3485)%branchCT(0:0))
      call avCT(3485, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1260/))

      allocate(vertices(553)%branchCT(0:0))
      call avCT(553, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1185/))

      allocate(vertices(3509)%branchCT(0:0))
      call avCT(3509, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(557)%branchCT(0:0))
      call avCT(557, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1209, nGC_1208,        &
      nGC_1208/))

      allocate(vertices(700)%branchCT(0:1))
      call avCT(700, 0, 21, 1, 0, FaVF1, (/0, 3/), (/nGC_1335/))

      call avCT(700, 1, 21, 1, 0, FaVF1, (/2, 1/), (/nGC_1336/))

      allocate(vertices(85)%branchCT(0:0))
      call avCT(85, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1326, nGC_1327, nGC_1326&
      /))

      allocate(vertices(3552)%branchCT(0:0))
      call avCT(3552, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(562)%branchCT(0:0))
      call avCT(562, 0, 1, 1, 0, FFaS1, (/0, 3/), (/nGC_1257, nGC_1258/))

      allocate(vertices(563)%branchCT(0:0))
      call avCT(563, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1276/))

      allocate(vertices(1909)%branchCT(0:1))
      call avCT(1909, 0, 20, 1, 0, FVFa1, (/0, 3/), (/nGC_1248/))

      call avCT(1909, 1, 20, 1, 0, FVFa1, (/2, 1/), (/nGC_1249/))

      allocate(vertices(565)%branchCT(0:0))
      call avCT(565, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1209, nGC_1208,        &
      nGC_1208/))

      allocate(vertices(3835)%branchCT(0:0))
      call avCT(3835, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1349/))

      allocate(vertices(701)%branchCT(0:0))
      call avCT(701, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1315/))

      allocate(vertices(568)%branchCT(0:0))
      call avCT(568, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1010/))

      allocate(vertices(570)%branchCT(0:0))
      call avCT(570, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1022/))

      allocate(vertices(574)%branchCT(0:3))
      call avCT(574, 0, 27, 2, 0, FaFV0, (/3, 0/), (/nGC_1352, nGC_1354/))

      call avCT(574, 1, 27, 2, 0, FaFV0, (/1, 2/), (/nGC_1353, nGC_1355/))

      call avCT(574, 2, 26, 3, 0, FaFV0, (/3, 0/), (/nGC_1352, nGC_1354/))

      call avCT(574, 3, 26, 3, 0, FaFV0, (/1, 2/), (/nGC_1353, nGC_1355/))

      allocate(vertices(3600)%branchCT(0:0))
      call avCT(3600, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1012/))

      allocate(vertices(576)%branchCT(0:0))
      call avCT(576, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(577)%branchCT(0:0))
      call avCT(577, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1013/))

      allocate(vertices(2526)%branchCT(0:0))
      call avCT(2526, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1161/))

      allocate(vertices(3677)%branchCT(0:0))
      call avCT(3677, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1206, nGC_1206,       &
      nGC_1205/))

      allocate(vertices(582)%branchCT(0:0))
      call avCT(582, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1283/))

      allocate(vertices(583)%branchCT(0:3))
      call avCT(583, 0, 27, 2, 0, FaFV0, (/1, 2/), (/nGC_1301, nGC_1303/))

      call avCT(583, 1, 27, 2, 0, FaFV0, (/3, 0/), (/nGC_1300, nGC_1302/))

      call avCT(583, 2, 26, 3, 0, FaFV0, (/1, 2/), (/nGC_1301, nGC_1303/))

      call avCT(583, 3, 26, 3, 0, FaFV0, (/3, 0/), (/nGC_1300, nGC_1302/))

      allocate(vertices(584)%branchCT(0:0))
      call avCT(584, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1197/))

      allocate(vertices(585)%branchCT(0:0))
      call avCT(585, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(586)%branchCT(0:0))
      call avCT(586, 0, 1, 1, 0, VUUa1, (/0, 3/), (/nGC_1154/))

      allocate(vertices(587)%branchCT(0:0))
      call avCT(587, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1318/))

      allocate(vertices(589)%branchCT(0:0))
      call avCT(589, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1315/))

      allocate(vertices(590)%branchCT(0:1))
      call avCT(590, 0, 17, 1, 0, VFFa0, (/0, 3/), (/nGC_1288, nGC_1290/))

      call avCT(590, 1, 17, 1, 0, VFFa0, (/2, 1/), (/nGC_1289, nGC_1291/))

      allocate(vertices(3764)%branchCT(0:0))
      call avCT(3764, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1011/))

      allocate(vertices(591)%branchCT(0:0))
      call avCT(591, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(592)%branchCT(0:1))
      call avCT(592, 0, 20, 1, 0, FSFa0, (/0, 3/), (/nGC_1360, nGC_1360/))

      call avCT(592, 1, 20, 1, 0, FSFa0, (/2, 1/), (/nGC_1361, nGC_1361/))

      allocate(vertices(593)%branchCT(0:0))
      call avCT(593, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(595)%branchCT(0:0))
      call avCT(595, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1247/))

      allocate(vertices(596)%branchCT(0:0))
      call avCT(596, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1183/))

      allocate(vertices(2531)%branchCT(0:0))
      call avCT(2531, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1362/))

      allocate(vertices(2632)%branchCT(0:0))
      call avCT(2632, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1021/))

      allocate(vertices(1036)%branchCT(0:0))
      call avCT(1036, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_1363, nGC_1364/))

      allocate(vertices(33)%branchCT(0:0))
      call avCT(33, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1020/))

      allocate(vertices(604)%branchCT(0:1))
      call avCT(604, 0, 20, 1, 0, FSFa0, (/0, 3/), (/nGC_1195, nGC_1193/))

      call avCT(604, 1, 20, 1, 0, FSFa0, (/2, 1/), (/nGC_1196, nGC_1194/))

      allocate(vertices(606)%branchCT(0:0))
      call avCT(606, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(47)%branchCT(0:0))
      call avCT(47, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1234/))

      allocate(vertices(610)%branchCT(0:3))
      call avCT(610, 0, 22, 3, 0, VFFa0, (/1, 2/), (/nGC_1301, nGC_1303/))

      call avCT(610, 1, 22, 3, 0, VFFa0, (/3, 0/), (/nGC_1300, nGC_1302/))

      call avCT(610, 2, 23, 2, 0, VFFa0, (/1, 2/), (/nGC_1301, nGC_1303/))

      call avCT(610, 3, 23, 2, 0, VFFa0, (/3, 0/), (/nGC_1300, nGC_1302/))

      allocate(vertices(613)%branchCT(0:1))
      call avCT(613, 0, 20, 1, 0, FSFa0, (/0, 3/), (/nGC_1215, nGC_1213/))

      call avCT(613, 1, 20, 1, 0, FSFa0, (/2, 1/), (/nGC_1216, nGC_1214/))

      allocate(vertices(614)%branchCT(0:0))
      call avCT(614, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(1418)%branchCT(0:0))
      call avCT(1418, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(96)%branchCT(0:0))
      call avCT(96, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_1182/))

      allocate(vertices(618)%branchCT(0:0))
      call avCT(618, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_1365/))

      allocate(vertices(620)%branchCT(0:0))
      call avCT(620, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1234/))

      allocate(vertices(3836)%branchCT(0:0))
      call avCT(3836, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_1228/))

      allocate(vertices(622)%branchCT(0:3))
      call avCT(622, 0, 11, 3, 0, FFaV0, (/1, 2/), (/nGC_1367, nGC_1369/))

      call avCT(622, 1, 11, 3, 0, FFaV0, (/3, 0/), (/nGC_1366, nGC_1368/))

      call avCT(622, 2, 12, 2, 0, FFaV0, (/1, 2/), (/nGC_1367, nGC_1369/))

      call avCT(622, 3, 12, 2, 0, FFaV0, (/3, 0/), (/nGC_1366, nGC_1368/))

      allocate(vertices(132)%branchCT(0:0))
      call avCT(132, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(625)%branchCT(0:0))
      call avCT(625, 0, 1, 1, 0, UaUV1, (/0, 3/), (/nGC_1370/))

      allocate(vertices(627)%branchCT(0:1))
      call avCT(627, 0, 21, 1, 0, FaVF0, (/0, 3/), (/nGC_1218, nGC_1220/))

      call avCT(627, 1, 21, 1, 0, FaVF0, (/2, 1/), (/nGC_1219, nGC_1221/))

      allocate(vertices(150)%branchCT(0:0))
      call avCT(150, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1208, nGC_1208,        &
      nGC_1209/))

      allocate(vertices(2122)%branchCT(0:0))
      call avCT(2122, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1247/))

      allocate(vertices(3837)%branchCT(0:0))
      call avCT(3837, 0, 13, 1, 0, FaF1, (/0, 2/), (/nGC_1371/))

      allocate(vertices(634)%branchCT(0:0))
      call avCT(634, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1024/))

      allocate(vertices(638)%branchCT(0:0))
      call avCT(638, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1184/))

      allocate(vertices(639)%branchCT(0:0))
      call avCT(639, 0, 1, 1, 0, SFaF1, (/0, 3/), (/nGC_1275, nGC_1275/))

      allocate(vertices(640)%branchCT(0:1))
      call avCT(640, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1175, nGC_1177/))

      call avCT(640, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1176, nGC_1178/))

      allocate(vertices(1567)%branchCT(0:0))
      call avCT(1567, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1227/))

      allocate(vertices(644)%branchCT(0:0))
      call avCT(644, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_1372/))

      allocate(vertices(646)%branchCT(0:0))
      call avCT(646, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(651)%branchCT(0:0))
      call avCT(651, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1014/))

      allocate(vertices(649)%branchCT(0:0))
      call avCT(649, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(652)%branchCT(0:0))
      call avCT(652, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1184/))

      allocate(vertices(656)%branchCT(0:0))
      call avCT(656, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(657)%branchCT(0:1))
      call avCT(657, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_1163, nGC_1165/))

      call avCT(657, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_1164, nGC_1166/))

      allocate(vertices(3838)%branchCT(0:0))
      call avCT(3838, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_1346, nGC_1347,        &
      nGC_1348/))

      allocate(vertices(659)%branchCT(0:0))
      call avCT(659, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_1373/))

      allocate(vertices(660)%branchCT(0:0))
      call avCT(660, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1155/))

      allocate(vertices(661)%branchCT(0:0))
      call avCT(661, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1272/))

      allocate(vertices(663)%branchCT(0:0))
      call avCT(663, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(664)%branchCT(0:0))
      call avCT(664, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(665)%branchCT(0:1))
      call avCT(665, 0, 18, 1, 0, SFaF1, (/0, 3/), (/nGC_1163, nGC_1165/))

      call avCT(665, 1, 18, 1, 0, SFaF1, (/2, 1/), (/nGC_1164, nGC_1166/))

      allocate(vertices(666)%branchCT(0:0))
      call avCT(666, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1012/))

      allocate(vertices(1932)%branchCT(0:0))
      call avCT(1932, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(3839)%branchCT(0:0))
      call avCT(3839, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1349/))

      allocate(vertices(3840)%branchCT(0:0))
      call avCT(3840, 0, 13, 1, 0, FaF1, (/0, 2/), (/nGC_1374/))

      allocate(vertices(671)%branchCT(0:0))
      call avCT(671, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_1299/))

      allocate(vertices(432)%branchCT(0:0))
      call avCT(432, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1183/))

      allocate(vertices(673)%branchCT(0:3))
      call avCT(673, 0, 22, 3, 0, VFFa0, (/1, 2/), (/nGC_1367, nGC_1369/))

      call avCT(673, 1, 22, 3, 0, VFFa0, (/3, 0/), (/nGC_1366, nGC_1368/))

      call avCT(673, 2, 23, 2, 0, VFFa0, (/1, 2/), (/nGC_1367, nGC_1369/))

      call avCT(673, 3, 23, 2, 0, VFFa0, (/3, 0/), (/nGC_1366, nGC_1368/))

      allocate(vertices(993)%branchCT(0:0))
      call avCT(993, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1375/))

      allocate(vertices(3358)%branchCT(0:0))
      call avCT(3358, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1209, nGC_1208,       &
      nGC_1208/))

      allocate(vertices(1313)%branchCT(0:0))
      call avCT(1313, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1012/))

      allocate(vertices(682)%branchCT(0:1))
      call avCT(682, 0, 19, 1, 0, FaFS0, (/0, 3/), (/nGC_1316, nGC_1316/))

      call avCT(682, 1, 19, 1, 0, FaFS0, (/2, 1/), (/nGC_1317, nGC_1317/))

      allocate(vertices(2776)%branchCT(0:0))
      call avCT(2776, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_1376/))

      allocate(vertices(686)%branchCT(0:0))
      call avCT(686, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_1377, nGC_1378/))

      allocate(vertices(512)%branchCT(0:0))
      call avCT(512, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1011/))

      allocate(vertices(515)%branchCT(0:1))
      call avCT(515, 0, 17, 1, 0, SFFa1, (/0, 3/), (/nGC_1224, nGC_1224/))

      call avCT(515, 1, 17, 1, 0, SFFa1, (/2, 1/), (/nGC_1225, nGC_1225/))

      allocate(vertices(1936)%branchCT(0:0))
      call avCT(1936, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1375/))

      allocate(vertices(3650)%branchCT(0:0))
      call avCT(3650, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1234/))

      allocate(vertices(693)%branchCT(0:0))
      call avCT(693, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(695)%branchCT(0:0))
      call avCT(695, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1315/))

      allocate(vertices(696)%branchCT(0:0))
      call avCT(696, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1029/))

      allocate(vertices(3841)%branchCT(0:0))
      call avCT(3841, 0, 13, 1, 0, FFa1, (/0, 2/), (/nGC_1371/))

      allocate(vertices(698)%branchCT(0:0))
      call avCT(698, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1184/))

      allocate(vertices(699)%branchCT(0:0))
      call avCT(699, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1211/))

      allocate(vertices(3008)%branchCT(0:1))
      call avCT(3008, 0, 18, 1, 0, SFaF1, (/0, 3/), (/nGC_1360, nGC_1360/))

      call avCT(3008, 1, 18, 1, 0, SFaF1, (/2, 1/), (/nGC_1361, nGC_1361/))

      allocate(vertices(3842)%branchCT(0:0))
      call avCT(3842, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1349/))

      allocate(vertices(3697)%branchCT(0:0))
      call avCT(3697, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1012/))

      allocate(vertices(703)%branchCT(0:0))
      call avCT(703, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1029/))

      allocate(vertices(704)%branchCT(0:0))
      call avCT(704, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1021/))

      allocate(vertices(705)%branchCT(0:0))
      call avCT(705, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_1292/))

      allocate(vertices(1940)%branchCT(0:0))
      call avCT(1940, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(707)%branchCT(0:0))
      call avCT(707, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1227/))

      allocate(vertices(710)%branchCT(0:0))
      call avCT(710, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(712)%branchCT(0:0))
      call avCT(712, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1021/))

      allocate(vertices(626)%branchCT(0:1))
      call avCT(626, 0, 20, 1, 0, FSFa0, (/0, 3/), (/nGC_1379, nGC_1381/))

      call avCT(626, 1, 20, 1, 0, FSFa0, (/2, 1/), (/nGC_1380, nGC_1382/))

      allocate(vertices(714)%branchCT(0:0))
      call avCT(714, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1012/))

      allocate(vertices(3843)%branchCT(0:0))
      call avCT(3843, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1349/))

      allocate(vertices(667)%branchCT(0:0))
      call avCT(667, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1362/))

      allocate(vertices(674)%branchCT(0:0))
      call avCT(674, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(57)%branchCT(0:0))
      call avCT(57, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1383, nGC_1384, nGC_1384&
      /))

      allocate(vertices(723)%branchCT(0:0))
      call avCT(723, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(727)%branchCT(0:0))
      call avCT(727, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1183/))

      allocate(vertices(726)%branchCT(0:0))
      call avCT(726, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_1385/))

      allocate(vertices(724)%branchCT(0:0))
      call avCT(724, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(3756)%branchCT(0:0))
      call avCT(3756, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(729)%branchCT(0:1))
      call avCT(729, 0, 20, 1, 0, FSFa0, (/0, 3/), (/nGC_1179, nGC_1179/))

      call avCT(729, 1, 20, 1, 0, FSFa0, (/2, 1/), (/nGC_1180, nGC_1180/))

      allocate(vertices(732)%branchCT(0:0))
      call avCT(732, 0, 1, 1, 0, SFFa1, (/0, 3/), (/nGC_1337, nGC_1337/))

      allocate(vertices(734)%branchCT(0:0))
      call avCT(734, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1156/))

      allocate(vertices(737)%branchCT(0:0))
      call avCT(737, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1184/))

      allocate(vertices(1787)%branchCT(0:0))
      call avCT(1787, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(1587)%branchCT(0:0))
      call avCT(1587, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(1241)%branchCT(0:0))
      call avCT(1241, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(740)%branchCT(0:0))
      call avCT(740, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(741)%branchCT(0:0))
      call avCT(741, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_1217/))

      allocate(vertices(742)%branchCT(0:0))
      call avCT(742, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1021/))

      allocate(vertices(743)%branchCT(0:0))
      call avCT(743, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_1386/))

      allocate(vertices(836)%branchCT(0:0))
      call avCT(836, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1227/))

      allocate(vertices(745)%branchCT(0:1))
      call avCT(745, 0, 17, 1, 0, SFFa1, (/0, 3/), (/nGC_1387, nGC_1389/))

      call avCT(745, 1, 17, 1, 0, SFFa1, (/2, 1/), (/nGC_1388, nGC_1390/))

      allocate(vertices(845)%branchCT(0:0))
      call avCT(845, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1022/))

      allocate(vertices(747)%branchCT(0:0))
      call avCT(747, 0, 1, 1, 0, FFaS2, (/0, 3/), (/nGC_1391/))

      allocate(vertices(748)%branchCT(0:0))
      call avCT(748, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(854)%branchCT(0:0))
      call avCT(854, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1156/))

      allocate(vertices(2012)%branchCT(0:0))
      call avCT(2012, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1012/))

      allocate(vertices(754)%branchCT(0:0))
      call avCT(754, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1184/))

      allocate(vertices(2257)%branchCT(0:0))
      call avCT(2257, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(2459)%branchCT(0:0))
      call avCT(2459, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(756)%branchCT(0:0))
      call avCT(756, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1010/))

      allocate(vertices(760)%branchCT(0:0))
      call avCT(760, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(924)%branchCT(0:0))
      call avCT(924, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1029/))

      allocate(vertices(762)%branchCT(0:0))
      call avCT(762, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1022/))

      allocate(vertices(3238)%branchCT(0:0))
      call avCT(3238, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1259/))

      allocate(vertices(764)%branchCT(0:0))
      call avCT(764, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1384, nGC_1384,        &
      nGC_1383/))

      allocate(vertices(765)%branchCT(0:1))
      call avCT(765, 0, 18, 1, 0, SFaF1, (/0, 3/), (/nGC_1392, nGC_1392/))

      call avCT(765, 1, 18, 1, 0, SFaF1, (/2, 1/), (/nGC_1393, nGC_1393/))

      allocate(vertices(964)%branchCT(0:0))
      call avCT(964, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1011/))

      allocate(vertices(770)%branchCT(0:1))
      call avCT(770, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1335/))

      call avCT(770, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1336/))

      allocate(vertices(772)%branchCT(0:0))
      call avCT(772, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1254/))

      allocate(vertices(773)%branchCT(0:1))
      call avCT(773, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_1360, nGC_1360/))

      call avCT(773, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_1361, nGC_1361/))

      allocate(vertices(995)%branchCT(0:0))
      call avCT(995, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(775)%branchCT(0:0))
      call avCT(775, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1227/))

      allocate(vertices(777)%branchCT(0:0))
      call avCT(777, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_1394/))

      allocate(vertices(780)%branchCT(0:0))
      call avCT(780, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(781)%branchCT(0:0))
      call avCT(781, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1013/))

      allocate(vertices(784)%branchCT(0:0))
      call avCT(784, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1276/))

      allocate(vertices(786)%branchCT(0:0))
      call avCT(786, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(787)%branchCT(0:0))
      call avCT(787, 0, 1, 1, 0, FaFS1, (/0, 3/), (/nGC_1182/))

      allocate(vertices(2046)%branchCT(0:0))
      call avCT(2046, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1012/))

      allocate(vertices(3844)%branchCT(0:0))
      call avCT(3844, 0, 13, 1, 0, VV1, (/0, 2/), (/nGC_1395, nGC_1396/))

      allocate(vertices(791)%branchCT(0:0))
      call avCT(791, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1156/))

      allocate(vertices(1112)%branchCT(0:0))
      call avCT(1112, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1155/))

      allocate(vertices(3365)%branchCT(0:0))
      call avCT(3365, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1022/))

      allocate(vertices(1131)%branchCT(0:0))
      call avCT(1131, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1155/))

      allocate(vertices(798)%branchCT(0:0))
      call avCT(798, 0, 1, 1, 0, UaUV1, (/0, 3/), (/nGC_1397/))

      allocate(vertices(799)%branchCT(0:0))
      call avCT(799, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_1273, nGC_1274/))

      allocate(vertices(1149)%branchCT(0:0))
      call avCT(1149, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1234/))

      allocate(vertices(801)%branchCT(0:0))
      call avCT(801, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1212/))

      allocate(vertices(803)%branchCT(0:0))
      call avCT(803, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1183/))

      allocate(vertices(807)%branchCT(0:0))
      call avCT(807, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1022/))

      allocate(vertices(3247)%branchCT(0:0))
      call avCT(3247, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1155/))

      allocate(vertices(809)%branchCT(0:0))
      call avCT(809, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(810)%branchCT(0:0))
      call avCT(810, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_1398, nGC_1399/))

      allocate(vertices(812)%branchCT(0:0))
      call avCT(812, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(1217)%branchCT(0:1))
      call avCT(1217, 0, 21, 1, 0, FaSF0, (/0, 3/), (/nGC_1195, nGC_1193/))

      call avCT(1217, 1, 21, 1, 0, FaSF0, (/2, 1/), (/nGC_1196, nGC_1194/))

      allocate(vertices(815)%branchCT(0:0))
      call avCT(815, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1321/))

      allocate(vertices(817)%branchCT(0:0))
      call avCT(817, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1321/))

      allocate(vertices(818)%branchCT(0:0))
      call avCT(818, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1375/))

      allocate(vertices(2102)%branchCT(0:0))
      call avCT(2102, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(2287)%branchCT(0:0))
      call avCT(2287, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_1400, nGC_1401/))

      allocate(vertices(1323)%branchCT(0:0))
      call avCT(1323, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1174/))

      allocate(vertices(828)%branchCT(0:0))
      call avCT(828, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1200/))

      allocate(vertices(1961)%branchCT(0:0))
      call avCT(1961, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1276/))

      allocate(vertices(830)%branchCT(0:0))
      call avCT(830, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(832)%branchCT(0:0))
      call avCT(832, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1222/))

      allocate(vertices(834)%branchCT(0:0))
      call avCT(834, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1161/))

      allocate(vertices(1396)%branchCT(0:0))
      call avCT(1396, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1183/))

      allocate(vertices(744)%branchCT(0:5))
      call avCT(744, 0, 9, 4, 0, UaUVV0, (/4, 0/), (/nGC_1338/))

      call avCT(744, 1, 7, 4, 0, UaUVV0, (/4, 0/), (/nGC_1338/))

      call avCT(744, 2, 8, 4, 0, UaUVV0, (/4, 0/), (/nGC_1338/))

      call avCT(744, 3, 6, 4, 0, UaUVV0, (/4, 0/), (/nGC_1338/))

      call avCT(744, 4, 5, 5, 0, UaUVV0, (/4, 0/), (/nGC_1339/))

      call avCT(744, 5, 4, 5, 0, UaUVV0, (/4, 0/), (/nGC_1339/))

      allocate(vertices(837)%branchCT(0:0))
      call avCT(837, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1247/))

      allocate(vertices(1419)%branchCT(0:0))
      call avCT(1419, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1021/))

      allocate(vertices(134)%branchCT(0:0))
      call avCT(134, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(840)%branchCT(0:1))
      call avCT(840, 0, 17, 1, 0, SFFa1, (/0, 3/), (/nGC_1316, nGC_1316/))

      call avCT(840, 1, 17, 1, 0, SFFa1, (/2, 1/), (/nGC_1317, nGC_1317/))

      allocate(vertices(842)%branchCT(0:1))
      call avCT(842, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_1213, nGC_1215/))

      call avCT(842, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_1214, nGC_1216/))

      allocate(vertices(843)%branchCT(0:0))
      call avCT(843, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1156/))

      allocate(vertices(1469)%branchCT(0:0))
      call avCT(1469, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(3584)%branchCT(0:0))
      call avCT(3584, 0, 1, 1, 0, FSFa2, (/0, 3/), (/nGC_1391/))

      allocate(vertices(3512)%branchCT(0:0))
      call avCT(3512, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(851)%branchCT(0:0))
      call avCT(851, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1234/))

      allocate(vertices(749)%branchCT(0:0))
      call avCT(749, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1020/))

      allocate(vertices(3502)%branchCT(0:0))
      call avCT(3502, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(859)%branchCT(0:0))
      call avCT(859, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(1344)%branchCT(0:0))
      call avCT(1344, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(3076)%branchCT(0:0))
      call avCT(3076, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1321/))

      allocate(vertices(862)%branchCT(0:0))
      call avCT(862, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_1309, nGC_1310/))

      allocate(vertices(863)%branchCT(0:0))
      call avCT(863, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1260/))

      allocate(vertices(864)%branchCT(0:0))
      call avCT(864, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_1239/))

      allocate(vertices(866)%branchCT(0:0))
      call avCT(866, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1211/))

      allocate(vertices(868)%branchCT(0:0))
      call avCT(868, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(870)%branchCT(0:0))
      call avCT(870, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(871)%branchCT(0:0))
      call avCT(871, 0, 1, 1, 0, VUaU0, (/0, 3/), (/nGC_1370/))

      allocate(vertices(873)%branchCT(0:0))
      call avCT(873, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(875)%branchCT(0:3))
      call avCT(875, 0, 11, 3, 0, FFaV0, (/3, 0/), (/nGC_1352, nGC_1354/))

      call avCT(875, 1, 11, 3, 0, FFaV0, (/1, 2/), (/nGC_1353, nGC_1355/))

      call avCT(875, 2, 12, 2, 0, FFaV0, (/3, 0/), (/nGC_1352, nGC_1354/))

      call avCT(875, 3, 12, 2, 0, FFaV0, (/1, 2/), (/nGC_1353, nGC_1355/))

      allocate(vertices(2579)%branchCT(0:0))
      call avCT(2579, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1362/))

      allocate(vertices(878)%branchCT(0:1))
      call avCT(878, 0, 19, 1, 0, FaFS0, (/0, 3/), (/nGC_1215, nGC_1213/))

      call avCT(878, 1, 19, 1, 0, FaFS0, (/2, 1/), (/nGC_1216, nGC_1214/))

      allocate(vertices(881)%branchCT(0:0))
      call avCT(881, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1247/))

      allocate(vertices(883)%branchCT(0:0))
      call avCT(883, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1022/))

      allocate(vertices(885)%branchCT(0:0))
      call avCT(885, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1272/))

      allocate(vertices(887)%branchCT(0:0))
      call avCT(887, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_1365/))

      allocate(vertices(755)%branchCT(0:0))
      call avCT(755, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1174/))

      allocate(vertices(3845)%branchCT(0:1))
      call avCT(3845, 0, 14, 1, 0, FFa0, (/0, 2/), (/nGC_1402, nGC_1404,       &
      nGC_1404, nGC_1406/))

      call avCT(3845, 1, 14, 1, 0, FFa0, (/2, 0/), (/nGC_1403, nGC_1405,       &
      nGC_1405, nGC_1407/))

      allocate(vertices(1732)%branchCT(0:0))
      call avCT(1732, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1200/))

      allocate(vertices(891)%branchCT(0:0))
      call avCT(891, 0, 1, 1, 0, VUUa1, (/0, 3/), (/nGC_1217/))

      allocate(vertices(892)%branchCT(0:0))
      call avCT(892, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(893)%branchCT(0:0))
      call avCT(893, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1321/))

      allocate(vertices(894)%branchCT(0:0))
      call avCT(894, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_1245/))

      allocate(vertices(3846)%branchCT(0:0))
      call avCT(3846, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_1228/))

      allocate(vertices(898)%branchCT(0:0))
      call avCT(898, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1283/))

      allocate(vertices(899)%branchCT(0:0))
      call avCT(899, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1260/))

      allocate(vertices(900)%branchCT(0:0))
      call avCT(900, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1024/))

      allocate(vertices(901)%branchCT(0:0))
      call avCT(901, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(1790)%branchCT(0:0))
      call avCT(1790, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1254/))

      allocate(vertices(903)%branchCT(0:0))
      call avCT(903, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1024/))

      allocate(vertices(1735)%branchCT(0:0))
      call avCT(1735, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(907)%branchCT(0:0))
      call avCT(907, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1244/))

      allocate(vertices(908)%branchCT(0:0))
      call avCT(908, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(910)%branchCT(0:0))
      call avCT(910, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1200/))

      allocate(vertices(2583)%branchCT(0:0))
      call avCT(2583, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(3847)%branchCT(0:1))
      call avCT(3847, 0, 14, 1, 0, FFa0, (/0, 2/), (/nGC_1340, nGC_1342,       &
      nGC_1342, nGC_1344/))

      call avCT(3847, 1, 14, 1, 0, FFa0, (/2, 0/), (/nGC_1341, nGC_1343,       &
      nGC_1343, nGC_1345/))

      allocate(vertices(912)%branchCT(0:1))
      call avCT(912, 0, 20, 1, 0, FSFa0, (/0, 3/), (/nGC_1235, nGC_1237/))

      call avCT(912, 1, 20, 1, 0, FSFa0, (/2, 1/), (/nGC_1236, nGC_1238/))

      allocate(vertices(3653)%branchCT(0:0))
      call avCT(3653, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_1328/))

      allocate(vertices(961)%branchCT(0:5))
      call avCT(961, 0, 105, 4, 0, VUUaV0, (/4, 0/), (/nGC_1338/))

      call avCT(961, 1, 103, 4, 0, VUUaV0, (/4, 0/), (/nGC_1338/))

      call avCT(961, 2, 104, 4, 0, VUUaV0, (/4, 0/), (/nGC_1338/))

      call avCT(961, 3, 102, 4, 0, VUUaV0, (/4, 0/), (/nGC_1338/))

      call avCT(961, 4, 106, 5, 0, VUUaV0, (/4, 0/), (/nGC_1339/))

      call avCT(961, 5, 107, 5, 0, VUUaV0, (/4, 0/), (/nGC_1339/))

      allocate(vertices(1877)%branchCT(0:0))
      call avCT(1877, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1205, nGC_1206,       &
      nGC_1206/))

      allocate(vertices(1889)%branchCT(0:0))
      call avCT(1889, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(918)%branchCT(0:1))
      call avCT(918, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1250, nGC_1252/))

      call avCT(918, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1251, nGC_1253/))

      allocate(vertices(3505)%branchCT(0:0))
      call avCT(3505, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1174/))

      allocate(vertices(1928)%branchCT(0:5))
      call avCT(1928, 0, 82, 5, 0, VUaVU0, (/4, 0/), (/nGC_1339/))

      call avCT(1928, 1, 81, 4, 0, VUaVU0, (/4, 0/), (/nGC_1338/))

      call avCT(1928, 2, 79, 4, 0, VUaVU0, (/4, 0/), (/nGC_1338/))

      call avCT(1928, 3, 80, 4, 0, VUaVU0, (/4, 0/), (/nGC_1338/))

      call avCT(1928, 4, 78, 4, 0, VUaVU0, (/4, 0/), (/nGC_1338/))

      call avCT(1928, 5, 83, 5, 0, VUaVU0, (/4, 0/), (/nGC_1339/))

      allocate(vertices(761)%branchCT(0:0))
      call avCT(761, 0, 1, 1, 0, FSFa1, (/0, 3/), (/nGC_1182/))

      allocate(vertices(2159)%branchCT(0:0))
      call avCT(2159, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1183/))

      allocate(vertices(928)%branchCT(0:0))
      call avCT(928, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(3268)%branchCT(0:0))
      call avCT(3268, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1209, nGC_1208,       &
      nGC_1208/))

      allocate(vertices(1988)%branchCT(0:0))
      call avCT(1988, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1161/))

      allocate(vertices(932)%branchCT(0:0))
      call avCT(932, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_1408/))

      allocate(vertices(2398)%branchCT(0:0))
      call avCT(2398, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(146)%branchCT(0:0))
      call avCT(146, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1321/))

      allocate(vertices(938)%branchCT(0:0))
      call avCT(938, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_1400, nGC_1401/))

      allocate(vertices(941)%branchCT(0:0))
      call avCT(941, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1247/))

      allocate(vertices(2045)%branchCT(0:0))
      call avCT(2045, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1183/))

      allocate(vertices(3848)%branchCT(0:0))
      call avCT(3848, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1409/))

      allocate(vertices(944)%branchCT(0:0))
      call avCT(944, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1155/))

      allocate(vertices(945)%branchCT(0:0))
      call avCT(945, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1024/))

      allocate(vertices(2070)%branchCT(0:0))
      call avCT(2070, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(947)%branchCT(0:3))
      call avCT(947, 0, 56, 3, 0, FaVF0, (/1, 2/), (/nGC_1301, nGC_1303/))

      call avCT(947, 1, 56, 3, 0, FaVF0, (/3, 0/), (/nGC_1300, nGC_1302/))

      call avCT(947, 2, 57, 2, 0, FaVF0, (/1, 2/), (/nGC_1301, nGC_1303/))

      call avCT(947, 3, 57, 2, 0, FaVF0, (/3, 0/), (/nGC_1300, nGC_1302/))

      allocate(vertices(949)%branchCT(0:0))
      call avCT(949, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(950)%branchCT(0:0))
      call avCT(950, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(951)%branchCT(0:0))
      call avCT(951, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_1305/))

      allocate(vertices(952)%branchCT(0:0))
      call avCT(952, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1321/))

      allocate(vertices(957)%branchCT(0:0))
      call avCT(957, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_1223/))

      allocate(vertices(958)%branchCT(0:0))
      call avCT(958, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1029/))

      allocate(vertices(959)%branchCT(0:0))
      call avCT(959, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1283/))

      allocate(vertices(962)%branchCT(0:0))
      call avCT(962, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1184/))

      allocate(vertices(3274)%branchCT(0:1))
      call avCT(3274, 0, 19, 1, 0, FaFV1, (/0, 3/), (/nGC_1255/))

      call avCT(3274, 1, 19, 1, 0, FaFV1, (/2, 1/), (/nGC_1256/))

      allocate(vertices(768)%branchCT(0:0))
      call avCT(768, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1020/))

      allocate(vertices(1807)%branchCT(0:0))
      call avCT(1807, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_1410/))

      allocate(vertices(965)%branchCT(0:1))
      call avCT(965, 0, 17, 1, 0, VFFa1, (/0, 3/), (/nGC_1248/))

      call avCT(965, 1, 17, 1, 0, VFFa1, (/2, 1/), (/nGC_1249/))

      allocate(vertices(966)%branchCT(0:0))
      call avCT(966, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1211/))

      allocate(vertices(967)%branchCT(0:1))
      call avCT(967, 0, 17, 1, 0, SFFa1, (/0, 3/), (/nGC_1215, nGC_1213/))

      call avCT(967, 1, 17, 1, 0, SFFa1, (/2, 1/), (/nGC_1216, nGC_1214/))

      allocate(vertices(3644)%branchCT(0:0))
      call avCT(3644, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(969)%branchCT(0:0))
      call avCT(969, 0, 1, 1, 0, VUaU0, (/0, 3/), (/nGC_1411/))

      allocate(vertices(970)%branchCT(0:0))
      call avCT(970, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(973)%branchCT(0:1))
      call avCT(973, 0, 20, 1, 0, FVFa0, (/0, 3/), (/nGC_1250, nGC_1252/))

      call avCT(973, 1, 20, 1, 0, FVFa0, (/2, 1/), (/nGC_1251, nGC_1253/))

      allocate(vertices(975)%branchCT(0:0))
      call avCT(975, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1234/))

      allocate(vertices(976)%branchCT(0:0))
      call avCT(976, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(977)%branchCT(0:0))
      call avCT(977, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_1412/))

      allocate(vertices(979)%branchCT(0:0))
      call avCT(979, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_1299/))

      allocate(vertices(3276)%branchCT(0:0))
      call avCT(3276, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(3849)%branchCT(0:0))
      call avCT(3849, 0, 13, 1, 0, SV0, (/0, 2/), (/nGC_1413/))

      allocate(vertices(984)%branchCT(0:0))
      call avCT(984, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(985)%branchCT(0:0))
      call avCT(985, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1414/))

      allocate(vertices(1061)%branchCT(0:0))
      call avCT(1061, 0, 1, 1, 0, UaUV1, (/0, 3/), (/nGC_1293/))

      allocate(vertices(987)%branchCT(0:0))
      call avCT(987, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1012/))

      allocate(vertices(988)%branchCT(0:0))
      call avCT(988, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1020/))

      allocate(vertices(2372)%branchCT(0:0))
      call avCT(2372, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(3163)%branchCT(0:0))
      call avCT(3163, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1183/))

      allocate(vertices(2407)%branchCT(0:0))
      call avCT(2407, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1276/))

      allocate(vertices(2417)%branchCT(0:0))
      call avCT(2417, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(1002)%branchCT(0:0))
      call avCT(1002, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1011/))

      allocate(vertices(3850)%branchCT(0:0))
      call avCT(3850, 0, 13, 1, 0, SS1, (/0, 2/), (/nGC_1415, nGC_1416/))

      allocate(vertices(2598)%branchCT(0:0))
      call avCT(2598, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1259/))

      allocate(vertices(162)%branchCT(0:0))
      call avCT(162, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1012/))

      allocate(vertices(1007)%branchCT(0:0))
      call avCT(1007, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1308/))

      allocate(vertices(1996)%branchCT(0:3))
      call avCT(1996, 0, 56, 3, 0, FaVF0, (/1, 2/), (/nGC_1367, nGC_1369/))

      call avCT(1996, 1, 56, 3, 0, FaVF0, (/3, 0/), (/nGC_1366, nGC_1368/))

      call avCT(1996, 2, 57, 2, 0, FaVF0, (/1, 2/), (/nGC_1367, nGC_1369/))

      call avCT(1996, 3, 57, 2, 0, FaVF0, (/3, 0/), (/nGC_1366, nGC_1368/))

      allocate(vertices(1369)%branchCT(0:0))
      call avCT(1369, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(1012)%branchCT(0:0))
      call avCT(1012, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1211/))

      allocate(vertices(1014)%branchCT(0:0))
      call avCT(1014, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1260/))

      allocate(vertices(2518)%branchCT(0:0))
      call avCT(2518, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(3634)%branchCT(0:0))
      call avCT(3634, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(2561)%branchCT(0:0))
      call avCT(2561, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1212/))

      allocate(vertices(3851)%branchCT(0:0))
      call avCT(3851, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1349/))

      allocate(vertices(2553)%branchCT(0:1))
      call avCT(2553, 0, 21, 1, 0, FaSF0, (/0, 3/), (/nGC_1316, nGC_1316/))

      call avCT(2553, 1, 21, 1, 0, FaSF0, (/2, 1/), (/nGC_1317, nGC_1317/))

      allocate(vertices(304)%branchCT(0:0))
      call avCT(304, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(2595)%branchCT(0:0))
      call avCT(2595, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(2083)%branchCT(0:0))
      call avCT(2083, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1020/))

      allocate(vertices(1029)%branchCT(0:0))
      call avCT(1029, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1211/))

      allocate(vertices(1031)%branchCT(0:0))
      call avCT(1031, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1161/))

      allocate(vertices(1032)%branchCT(0:1))
      call avCT(1032, 0, 18, 1, 0, VFaF0, (/0, 3/), (/nGC_1417, nGC_1419/))

      call avCT(1032, 1, 18, 1, 0, VFaF0, (/2, 1/), (/nGC_1418, nGC_1420/))

      allocate(vertices(2641)%branchCT(0:0))
      call avCT(2641, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(1035)%branchCT(0:1))
      call avCT(1035, 0, 20, 1, 0, FSFa0, (/0, 3/), (/nGC_1387, nGC_1389/))

      call avCT(1035, 1, 20, 1, 0, FSFa0, (/2, 1/), (/nGC_1388, nGC_1390/))

      allocate(vertices(1039)%branchCT(0:0))
      call avCT(1039, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(1040)%branchCT(0:0))
      call avCT(1040, 0, 1, 1, 0, UaUV1, (/0, 3/), (/nGC_1397/))

      allocate(vertices(1377)%branchCT(0:0))
      call avCT(1377, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_1376/))

      allocate(vertices(1043)%branchCT(0:0))
      call avCT(1043, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1011/))

      allocate(vertices(1044)%branchCT(0:0))
      call avCT(1044, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1244/))

      allocate(vertices(1046)%branchCT(0:0))
      call avCT(1046, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1022/))

      allocate(vertices(1047)%branchCT(0:0))
      call avCT(1047, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_1421/))

      allocate(vertices(1049)%branchCT(0:0))
      call avCT(1049, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(1050)%branchCT(0:0))
      call avCT(1050, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1272/))

      allocate(vertices(1052)%branchCT(0:0))
      call avCT(1052, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(1053)%branchCT(0:3))
      call avCT(1053, 0, 27, 2, 0, FaFV0, (/1, 2/), (/nGC_1296, nGC_1298/))

      call avCT(1053, 1, 27, 2, 0, FaFV0, (/3, 0/), (/nGC_1295, nGC_1297/))

      call avCT(1053, 2, 26, 3, 0, FaFV0, (/1, 2/), (/nGC_1296, nGC_1298/))

      call avCT(1053, 3, 26, 3, 0, FaFV0, (/3, 0/), (/nGC_1295, nGC_1297/))

      allocate(vertices(1944)%branchCT(0:0))
      call avCT(1944, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1183/))

      allocate(vertices(1055)%branchCT(0:0))
      call avCT(1055, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1197/))

      allocate(vertices(1056)%branchCT(0:0))
      call avCT(1056, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1244/))

      allocate(vertices(1060)%branchCT(0:0))
      call avCT(1060, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1247/))

      allocate(vertices(2799)%branchCT(0:0))
      call avCT(2799, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(1063)%branchCT(0:1))
      call avCT(1063, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_1306, nGC_1306/))

      call avCT(1063, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_1307, nGC_1307/))

      allocate(vertices(1064)%branchCT(0:0))
      call avCT(1064, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(2841)%branchCT(0:0))
      call avCT(2841, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(2608)%branchCT(0:0))
      call avCT(2608, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1247/))

      allocate(vertices(1067)%branchCT(0:0))
      call avCT(1067, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1211/))

      allocate(vertices(1069)%branchCT(0:0))
      call avCT(1069, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_1422/))

      allocate(vertices(173)%branchCT(0:0))
      call avCT(173, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1260/))

      allocate(vertices(1071)%branchCT(0:0))
      call avCT(1071, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(2296)%branchCT(0:0))
      call avCT(2296, 0, 1, 1, 0, VUaU0, (/0, 3/), (/nGC_1423/))

      allocate(vertices(1075)%branchCT(0:0))
      call avCT(1075, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1211/))

      allocate(vertices(2914)%branchCT(0:0))
      call avCT(2914, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1021/))

      allocate(vertices(789)%branchCT(0:0))
      call avCT(789, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(1081)%branchCT(0:0))
      call avCT(1081, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1011/))

      allocate(vertices(1082)%branchCT(0:0))
      call avCT(1082, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1156/))

      allocate(vertices(1083)%branchCT(0:0))
      call avCT(1083, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1011/))

      allocate(vertices(1084)%branchCT(0:0))
      call avCT(1084, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_1201/))

      allocate(vertices(2980)%branchCT(0:3))
      call avCT(2980, 0, 22, 3, 0, VFFa0, (/3, 0/), (/nGC_1186, nGC_1188/))

      call avCT(2980, 1, 22, 3, 0, VFFa0, (/1, 2/), (/nGC_1187, nGC_1189/))

      call avCT(2980, 2, 23, 2, 0, VFFa0, (/3, 0/), (/nGC_1186, nGC_1188/))

      call avCT(2980, 3, 23, 2, 0, VFFa0, (/1, 2/), (/nGC_1187, nGC_1189/))

      allocate(vertices(3852)%branchCT(0:0))
      call avCT(3852, 0, 13, 1, 0, FFa1, (/0, 2/), (/nGC_1374/))

      allocate(vertices(1091)%branchCT(0:0))
      call avCT(1091, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(1092)%branchCT(0:0))
      call avCT(1092, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_1257, nGC_1258/))

      allocate(vertices(3192)%branchCT(0:0))
      call avCT(3192, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1021/))

      allocate(vertices(1095)%branchCT(0:0))
      call avCT(1095, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1162/))

      allocate(vertices(1096)%branchCT(0:1))
      call avCT(1096, 0, 17, 1, 0, VFFa1, (/0, 3/), (/nGC_1255/))

      call avCT(1096, 1, 17, 1, 0, VFFa1, (/2, 1/), (/nGC_1256/))

      allocate(vertices(1097)%branchCT(0:3))
      call avCT(1097, 0, 24, 3, 0, VFaF0, (/3, 0/), (/nGC_1352, nGC_1354/))

      call avCT(1097, 1, 24, 3, 0, VFaF0, (/1, 2/), (/nGC_1353, nGC_1355/))

      call avCT(1097, 2, 25, 2, 0, VFaF0, (/3, 0/), (/nGC_1352, nGC_1354/))

      call avCT(1097, 3, 25, 2, 0, VFaF0, (/1, 2/), (/nGC_1353, nGC_1355/))

      allocate(vertices(1099)%branchCT(0:0))
      call avCT(1099, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_1246, nGC_1246/))

      allocate(vertices(1102)%branchCT(0:0))
      call avCT(1102, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1156/))

      allocate(vertices(1103)%branchCT(0:0))
      call avCT(1103, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_1385/))

      allocate(vertices(3070)%branchCT(0:0))
      call avCT(3070, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1183/))

      allocate(vertices(1105)%branchCT(0:0))
      call avCT(1105, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1234/))

      allocate(vertices(1107)%branchCT(0:0))
      call avCT(1107, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1012/))

      allocate(vertices(630)%branchCT(0:0))
      call avCT(630, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(1109)%branchCT(0:0))
      call avCT(1109, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(1110)%branchCT(0:0))
      call avCT(1110, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(1111)%branchCT(0:1))
      call avCT(1111, 0, 17, 1, 0, VFFa0, (/0, 3/), (/nGC_1170, nGC_1172/))

      call avCT(1111, 1, 17, 1, 0, VFFa0, (/2, 1/), (/nGC_1171, nGC_1173/))

      allocate(vertices(794)%branchCT(0:0))
      call avCT(794, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1234/))

      allocate(vertices(1113)%branchCT(0:0))
      call avCT(1113, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1272/))

      allocate(vertices(1114)%branchCT(0:0))
      call avCT(1114, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(2199)%branchCT(0:3))
      call avCT(2199, 0, 56, 3, 0, FaVF0, (/1, 2/), (/nGC_1296, nGC_1298/))

      call avCT(2199, 1, 56, 3, 0, FaVF0, (/3, 0/), (/nGC_1295, nGC_1297/))

      call avCT(2199, 2, 57, 2, 0, FaVF0, (/1, 2/), (/nGC_1296, nGC_1298/))

      call avCT(2199, 3, 57, 2, 0, FaVF0, (/3, 0/), (/nGC_1295, nGC_1297/))

      allocate(vertices(1117)%branchCT(0:0))
      call avCT(1117, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(1118)%branchCT(0:0))
      call avCT(1118, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1183/))

      allocate(vertices(3205)%branchCT(0:0))
      call avCT(3205, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(1125)%branchCT(0:3))
      call avCT(1125, 0, 11, 3, 0, FFaV0, (/1, 2/), (/nGC_1301, nGC_1303/))

      call avCT(1125, 1, 11, 3, 0, FFaV0, (/3, 0/), (/nGC_1300, nGC_1302/))

      call avCT(1125, 2, 12, 2, 0, FFaV0, (/1, 2/), (/nGC_1301, nGC_1303/))

      call avCT(1125, 3, 12, 2, 0, FFaV0, (/3, 0/), (/nGC_1300, nGC_1302/))

      allocate(vertices(1127)%branchCT(0:0))
      call avCT(1127, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1254/))

      allocate(vertices(3313)%branchCT(0:0))
      call avCT(3313, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1012/))

      allocate(vertices(1129)%branchCT(0:0))
      call avCT(1129, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1012/))

      allocate(vertices(1130)%branchCT(0:0))
      call avCT(1130, 0, 1, 1, 0, SFaF2, (/0, 3/), (/nGC_1223/))

      allocate(vertices(797)%branchCT(0:0))
      call avCT(797, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1211/))

      allocate(vertices(3293)%branchCT(0:0))
      call avCT(3293, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1211/))

      allocate(vertices(1133)%branchCT(0:0))
      call avCT(1133, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1212/))

      allocate(vertices(3307)%branchCT(0:0))
      call avCT(3307, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1021/))

      allocate(vertices(1135)%branchCT(0:0))
      call avCT(1135, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1211/))

      allocate(vertices(1137)%branchCT(0:0))
      call avCT(1137, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1156/))

      allocate(vertices(857)%branchCT(0:0))
      call avCT(857, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1211/))

      allocate(vertices(3388)%branchCT(0:0))
      call avCT(3388, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1014/))

      allocate(vertices(1144)%branchCT(0:0))
      call avCT(1144, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(1145)%branchCT(0:0))
      call avCT(1145, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(3319)%branchCT(0:0))
      call avCT(3319, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1022/))

      allocate(vertices(3429)%branchCT(0:0))
      call avCT(3429, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1155/))

      allocate(vertices(1148)%branchCT(0:0))
      call avCT(1148, 0, 1, 1, 0, UaUV1, (/0, 3/), (/nGC_1304/))

      allocate(vertices(936)%branchCT(0:0))
      call avCT(936, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1234/))

      allocate(vertices(1150)%branchCT(0:0))
      call avCT(1150, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1161/))

      allocate(vertices(2982)%branchCT(0:0))
      call avCT(2982, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1212/))

      allocate(vertices(1152)%branchCT(0:0))
      call avCT(1152, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_1424/))

      allocate(vertices(1154)%branchCT(0:0))
      call avCT(1154, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(3495)%branchCT(0:0))
      call avCT(3495, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1012/))

      allocate(vertices(1156)%branchCT(0:1))
      call avCT(1156, 0, 20, 1, 0, FVFa0, (/0, 3/), (/nGC_1218, nGC_1220/))

      call avCT(1156, 1, 20, 1, 0, FVFa0, (/2, 1/), (/nGC_1219, nGC_1221/))

      allocate(vertices(1158)%branchCT(0:0))
      call avCT(1158, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1162/))

      allocate(vertices(3853)%branchCT(0:0))
      call avCT(3853, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1349/))

      allocate(vertices(1161)%branchCT(0:0))
      call avCT(1161, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(1163)%branchCT(0:0))
      call avCT(1163, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1020/))

      allocate(vertices(1164)%branchCT(0:0))
      call avCT(1164, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(3571)%branchCT(0:1))
      call avCT(3571, 0, 17, 1, 0, VFFa0, (/0, 3/), (/nGC_1356, nGC_1358/))

      call avCT(3571, 1, 17, 1, 0, VFFa0, (/2, 1/), (/nGC_1357, nGC_1359/))

      allocate(vertices(1167)%branchCT(0:0))
      call avCT(1167, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1020/))

      allocate(vertices(1168)%branchCT(0:0))
      call avCT(1168, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1200/))

      allocate(vertices(1169)%branchCT(0:0))
      call avCT(1169, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_1198/))

      allocate(vertices(1172)%branchCT(0:0))
      call avCT(1172, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1183/))

      allocate(vertices(1174)%branchCT(0:0))
      call avCT(1174, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1283/))

      allocate(vertices(1399)%branchCT(0:0))
      call avCT(1399, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1272/))

      allocate(vertices(1177)%branchCT(0:0))
      call avCT(1177, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1011/))

      allocate(vertices(3684)%branchCT(0:0))
      call avCT(3684, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1234/))

      allocate(vertices(3712)%branchCT(0:0))
      call avCT(3712, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1162/))

      allocate(vertices(3721)%branchCT(0:0))
      call avCT(3721, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(1187)%branchCT(0:1))
      call avCT(1187, 0, 19, 1, 0, FaFV0, (/0, 3/), (/nGC_1218, nGC_1220/))

      call avCT(1187, 1, 19, 1, 0, FaFV0, (/2, 1/), (/nGC_1219, nGC_1221/))

      allocate(vertices(1189)%branchCT(0:0))
      call avCT(1189, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(1190)%branchCT(0:0))
      call avCT(1190, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(1191)%branchCT(0:0))
      call avCT(1191, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1022/))

      allocate(vertices(3854)%branchCT(0:0))
      call avCT(3854, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_1228/))

      allocate(vertices(1193)%branchCT(0:0))
      call avCT(1193, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1211/))

      allocate(vertices(1194)%branchCT(0:0))
      call avCT(1194, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(2023)%branchCT(0:0))
      call avCT(2023, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1012/))

      allocate(vertices(1199)%branchCT(0:0))
      call avCT(1199, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(2805)%branchCT(0:0))
      call avCT(2805, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1161/))

      allocate(vertices(2813)%branchCT(0:1))
      call avCT(2813, 0, 17, 1, 0, SFFa1, (/0, 3/), (/nGC_1360, nGC_1360/))

      call avCT(2813, 1, 17, 1, 0, SFFa1, (/2, 1/), (/nGC_1361, nGC_1361/))

      allocate(vertices(8)%branchCT(0:0))
      call avCT(8, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1022/))

      allocate(vertices(1204)%branchCT(0:0))
      call avCT(1204, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(29)%branchCT(0:0))
      call avCT(29, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1012/))

      allocate(vertices(1209)%branchCT(0:0))
      call avCT(1209, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(53)%branchCT(0:0))
      call avCT(53, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1020/))

      allocate(vertices(1216)%branchCT(0:1))
      call avCT(1216, 0, 17, 1, 0, SFFa1, (/0, 3/), (/nGC_1240, nGC_1242/))

      call avCT(1216, 1, 17, 1, 0, SFFa1, (/2, 1/), (/nGC_1241, nGC_1243/))

      allocate(vertices(3295)%branchCT(0:1))
      call avCT(3295, 0, 17, 1, 0, SFFa1, (/0, 3/), (/nGC_1268, nGC_1270/))

      call avCT(3295, 1, 17, 1, 0, SFFa1, (/2, 1/), (/nGC_1269, nGC_1271/))

      allocate(vertices(1218)%branchCT(0:1))
      call avCT(1218, 0, 19, 1, 0, FaFV0, (/0, 3/), (/nGC_1425, nGC_1427/))

      call avCT(1218, 1, 19, 1, 0, FaFV0, (/2, 1/), (/nGC_1426, nGC_1428/))

      allocate(vertices(1221)%branchCT(0:0))
      call avCT(1221, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1244/))

      allocate(vertices(1222)%branchCT(0:0))
      call avCT(1222, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1022/))

      allocate(vertices(1408)%branchCT(0:0))
      call avCT(1408, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1211/))

      allocate(vertices(137)%branchCT(0:0))
      call avCT(137, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1234/))

      allocate(vertices(145)%branchCT(0:0))
      call avCT(145, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1013/))

      allocate(vertices(2029)%branchCT(0:0))
      call avCT(2029, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1162/))

      allocate(vertices(158)%branchCT(0:0))
      call avCT(158, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1155/))

      allocate(vertices(537)%branchCT(0:0))
      call avCT(537, 0, 1, 1, 0, VUaU0, (/0, 3/), (/nGC_1293/))

      allocate(vertices(170)%branchCT(0:0))
      call avCT(170, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(3334)%branchCT(0:0))
      call avCT(3334, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(1234)%branchCT(0:0))
      call avCT(1234, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_1305/))

      allocate(vertices(1235)%branchCT(0:0))
      call avCT(1235, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(3342)%branchCT(0:0))
      call avCT(3342, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(1558)%branchCT(0:0))
      call avCT(1558, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(1238)%branchCT(0:1))
      call avCT(1238, 0, 20, 1, 0, FVFa0, (/0, 3/), (/nGC_1322, nGC_1324/))

      call avCT(1238, 1, 20, 1, 0, FVFa0, (/2, 1/), (/nGC_1323, nGC_1325/))

      allocate(vertices(1240)%branchCT(0:0))
      call avCT(1240, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1211/))

      allocate(vertices(1242)%branchCT(0:0))
      call avCT(1242, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1429/))

      allocate(vertices(1668)%branchCT(0:0))
      call avCT(1668, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1021/))

      allocate(vertices(1246)%branchCT(0:0))
      call avCT(1246, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_1201/))

      allocate(vertices(271)%branchCT(0:0))
      call avCT(271, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1022/))

      allocate(vertices(3674)%branchCT(0:0))
      call avCT(3674, 0, 1, 1, 0, VUUa1, (/0, 3/), (/nGC_1430/))

      allocate(vertices(3855)%branchCT(0:0))
      call avCT(3855, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_GG/))

      allocate(vertices(3665)%branchCT(0:0))
      call avCT(3665, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_1421/))

      allocate(vertices(316)%branchCT(0:0))
      call avCT(316, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(1260)%branchCT(0:0))
      call avCT(1260, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(1261)%branchCT(0:0))
      call avCT(1261, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_1201/))

      allocate(vertices(1262)%branchCT(0:0))
      call avCT(1262, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(361)%branchCT(0:0))
      call avCT(361, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(1264)%branchCT(0:0))
      call avCT(1264, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(1265)%branchCT(0:0))
      call avCT(1265, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1227/))

      allocate(vertices(2215)%branchCT(0:0))
      call avCT(2215, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(1267)%branchCT(0:0))
      call avCT(1267, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(2033)%branchCT(0:0))
      call avCT(2033, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1211/))

      allocate(vertices(1271)%branchCT(0:0))
      call avCT(1271, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(1273)%branchCT(0:0))
      call avCT(1273, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(1274)%branchCT(0:0))
      call avCT(1274, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(1275)%branchCT(0:0))
      call avCT(1275, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_1299/))

      allocate(vertices(2311)%branchCT(0:0))
      call avCT(2311, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(1277)%branchCT(0:0))
      call avCT(1277, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_1305/))

      allocate(vertices(3007)%branchCT(0:0))
      call avCT(3007, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(1282)%branchCT(0:0))
      call avCT(1282, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1211/))

      allocate(vertices(1283)%branchCT(0:0))
      call avCT(1283, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1260/))

      allocate(vertices(1284)%branchCT(0:3))
      call avCT(1284, 0, 22, 3, 0, VFFa0, (/1, 2/), (/nGC_1285, nGC_1287/))

      call avCT(1284, 1, 22, 3, 0, VFFa0, (/3, 0/), (/nGC_1284, nGC_1286/))

      call avCT(1284, 2, 23, 2, 0, VFFa0, (/1, 2/), (/nGC_1285, nGC_1287/))

      call avCT(1284, 3, 23, 2, 0, VFFa0, (/3, 0/), (/nGC_1284, nGC_1286/))

      allocate(vertices(1287)%branchCT(0:0))
      call avCT(1287, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1022/))

      allocate(vertices(1288)%branchCT(0:0))
      call avCT(1288, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1024/))

      allocate(vertices(1289)%branchCT(0:0))
      call avCT(1289, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(1291)%branchCT(0:0))
      call avCT(1291, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1260/))

      allocate(vertices(1292)%branchCT(0:0))
      call avCT(1292, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_1372/))

      allocate(vertices(1423)%branchCT(0:0))
      call avCT(1423, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(1294)%branchCT(0:0))
      call avCT(1294, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(1529)%branchCT(0:0))
      call avCT(1529, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_1273, nGC_1274/))

      allocate(vertices(1297)%branchCT(0:3))
      call avCT(1297, 0, 59, 2, 0, FVFa0, (/1, 2/), (/nGC_1367, nGC_1369/))

      call avCT(1297, 1, 59, 2, 0, FVFa0, (/3, 0/), (/nGC_1366, nGC_1368/))

      call avCT(1297, 2, 58, 3, 0, FVFa0, (/1, 2/), (/nGC_1367, nGC_1369/))

      call avCT(1297, 3, 58, 3, 0, FVFa0, (/3, 0/), (/nGC_1366, nGC_1368/))

      allocate(vertices(1300)%branchCT(0:0))
      call avCT(1300, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(1302)%branchCT(0:0))
      call avCT(1302, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_1245/))

      allocate(vertices(1304)%branchCT(0:0))
      call avCT(1304, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_1167, nGC_1168/))

      allocate(vertices(3351)%branchCT(0:0))
      call avCT(3351, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(641)%branchCT(0:0))
      call avCT(641, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1014/))

      allocate(vertices(1308)%branchCT(0:0))
      call avCT(1308, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_1372/))

      allocate(vertices(1309)%branchCT(0:0))
      call avCT(1309, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(1310)%branchCT(0:1))
      call avCT(1310, 0, 19, 1, 0, FaFS0, (/0, 3/), (/nGC_1195, nGC_1193/))

      call avCT(1310, 1, 19, 1, 0, FaFS0, (/2, 1/), (/nGC_1196, nGC_1194/))

      allocate(vertices(2599)%branchCT(0:0))
      call avCT(2599, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1259/))

      allocate(vertices(681)%branchCT(0:0))
      call avCT(681, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1012/))

      allocate(vertices(1426)%branchCT(0:0))
      call avCT(1426, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(1316)%branchCT(0:0))
      call avCT(1316, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(1317)%branchCT(0:0))
      call avCT(1317, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1183/))

      allocate(vertices(1318)%branchCT(0:0))
      call avCT(1318, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(3507)%branchCT(0:0))
      call avCT(3507, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_1233/))

      allocate(vertices(730)%branchCT(0:0))
      call avCT(730, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(2870)%branchCT(0:0))
      call avCT(2870, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1020/))

      allocate(vertices(752)%branchCT(0:0))
      call avCT(752, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1021/))

      allocate(vertices(1327)%branchCT(0:0))
      call avCT(1327, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(1329)%branchCT(0:0))
      call avCT(1329, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1012/))

      allocate(vertices(1543)%branchCT(0:0))
      call avCT(1543, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1222/))

      allocate(vertices(1332)%branchCT(0:0))
      call avCT(1332, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1247/))

      allocate(vertices(2101)%branchCT(0:0))
      call avCT(2101, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(1335)%branchCT(0:0))
      call avCT(1335, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(831)%branchCT(0:0))
      call avCT(831, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1161/))

      allocate(vertices(1339)%branchCT(0:0))
      call avCT(1339, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_1245/))

      allocate(vertices(1340)%branchCT(0:0))
      call avCT(1340, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1156/))

      allocate(vertices(2591)%branchCT(0:0))
      call avCT(2591, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(861)%branchCT(0:0))
      call avCT(861, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1272/))

      allocate(vertices(884)%branchCT(0:0))
      call avCT(884, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(1347)%branchCT(0:0))
      call avCT(1347, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(1348)%branchCT(0:0))
      call avCT(1348, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1183/))

      allocate(vertices(218)%branchCT(0:0))
      call avCT(218, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1234/))

      allocate(vertices(1354)%branchCT(0:0))
      call avCT(1354, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1362/))

      allocate(vertices(939)%branchCT(0:0))
      call avCT(939, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(3359)%branchCT(0:0))
      call avCT(3359, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(1358)%branchCT(0:0))
      call avCT(1358, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(1359)%branchCT(0:0))
      call avCT(1359, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1024/))

      allocate(vertices(1361)%branchCT(0:0))
      call avCT(1361, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1024/))

      allocate(vertices(1362)%branchCT(0:0))
      call avCT(1362, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1211/))

      allocate(vertices(1363)%branchCT(0:0))
      call avCT(1363, 0, 1, 1, 0, VUUa1, (/0, 3/), (/nGC_1410/))

      allocate(vertices(1365)%branchCT(0:0))
      call avCT(1365, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(3856)%branchCT(0:0))
      call avCT(3856, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1349/))

      allocate(vertices(1367)%branchCT(0:1))
      call avCT(1367, 0, 118, 6, 0, VUUa1, (/3, 0/), (/nGC_1431/))

      call avCT(1367, 1, 119, 7, 0, VUUa1, (/3, 0/), (/nGC_1431/))

      allocate(vertices(1436)%branchCT(0:0))
      call avCT(1436, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1155/))

      allocate(vertices(1010)%branchCT(0:0))
      call avCT(1010, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1011/))

      allocate(vertices(1437)%branchCT(0:0))
      call avCT(1437, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1013/))

      allocate(vertices(1374)%branchCT(0:0))
      call avCT(1374, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1155/))

      allocate(vertices(1375)%branchCT(0:0))
      call avCT(1375, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1029/))

      allocate(vertices(1376)%branchCT(0:0))
      call avCT(1376, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(1541)%branchCT(0:0))
      call avCT(1541, 0, 1, 1, 0, FSFa2, (/0, 3/), (/nGC_1182/))

      allocate(vertices(1380)%branchCT(0:0))
      call avCT(1380, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(3144)%branchCT(0:0))
      call avCT(3144, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(1382)%branchCT(0:0))
      call avCT(1382, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(1703)%branchCT(0:1))
      call avCT(1703, 0, 17, 1, 0, SFFa1, (/0, 3/), (/nGC_1432, nGC_1434/))

      call avCT(1703, 1, 17, 1, 0, SFFa1, (/2, 1/), (/nGC_1433, nGC_1435/))

      allocate(vertices(463)%branchCT(0:0))
      call avCT(463, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1013/))

      allocate(vertices(3221)%branchCT(0:1))
      call avCT(3221, 0, 19, 1, 0, FaFV0, (/0, 3/), (/nGC_1417, nGC_1419/))

      call avCT(3221, 1, 19, 1, 0, FaFV0, (/2, 1/), (/nGC_1418, nGC_1420/))

      allocate(vertices(1385)%branchCT(0:0))
      call avCT(1385, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1254/))

      allocate(vertices(1386)%branchCT(0:0))
      call avCT(1386, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_1436, nGC_1437/))

      allocate(vertices(548)%branchCT(0:0))
      call avCT(548, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(1391)%branchCT(0:1))
      call avCT(1391, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1311, nGC_1313/))

      call avCT(1391, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1312, nGC_1314/))

      allocate(vertices(1395)%branchCT(0:0))
      call avCT(1395, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_1328/))

      allocate(vertices(1397)%branchCT(0:1))
      call avCT(1397, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_1432, nGC_1434/))

      call avCT(1397, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_1433, nGC_1435/))

      allocate(vertices(3857)%branchCT(0:0))
      call avCT(3857, 0, 13, 1, 0, FFa1, (/0, 2/), (/nGC_1438/))

      allocate(vertices(1176)%branchCT(0:0))
      call avCT(1176, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1184/))

      allocate(vertices(1402)%branchCT(0:0))
      call avCT(1402, 0, 1, 1, 0, UaUV1, (/0, 3/), (/nGC_1411/))

      allocate(vertices(1200)%branchCT(0:0))
      call avCT(1200, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1272/))

      allocate(vertices(1405)%branchCT(0:0))
      call avCT(1405, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1308/))

      allocate(vertices(1407)%branchCT(0:0))
      call avCT(1407, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(1223)%branchCT(0:0))
      call avCT(1223, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1384, nGC_1383,       &
      nGC_1384/))

      allocate(vertices(1409)%branchCT(0:0))
      call avCT(1409, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1029/))

      allocate(vertices(1410)%branchCT(0:0))
      call avCT(1410, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(1411)%branchCT(0:0))
      call avCT(1411, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_1370/))

      allocate(vertices(1413)%branchCT(0:0))
      call avCT(1413, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1155/))

      allocate(vertices(1414)%branchCT(0:0))
      call avCT(1414, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_1257, nGC_1258/))

      allocate(vertices(3548)%branchCT(0:0))
      call avCT(3548, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1183/))

      allocate(vertices(616)%branchCT(0:0))
      call avCT(616, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1362/))

      allocate(vertices(1420)%branchCT(0:0))
      call avCT(1420, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(1421)%branchCT(0:1))
      call avCT(1421, 0, 17, 1, 0, SFFa1, (/0, 3/), (/nGC_1235, nGC_1237/))

      call avCT(1421, 1, 17, 1, 0, SFFa1, (/2, 1/), (/nGC_1236, nGC_1238/))

      allocate(vertices(1293)%branchCT(0:0))
      call avCT(1293, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1200/))

      allocate(vertices(1424)%branchCT(0:0))
      call avCT(1424, 0, 1, 1, 0, FFaS2, (/0, 3/), (/nGC_1223/))

      allocate(vertices(2158)%branchCT(0:0))
      call avCT(2158, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1156/))

      allocate(vertices(1315)%branchCT(0:0))
      call avCT(1315, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1012/))

      allocate(vertices(1427)%branchCT(0:1))
      call avCT(1427, 0, 17, 1, 0, VFFa0, (/0, 3/), (/nGC_1157, nGC_1159/))

      call avCT(1427, 1, 17, 1, 0, VFFa0, (/2, 1/), (/nGC_1158, nGC_1160/))

      allocate(vertices(1430)%branchCT(0:0))
      call avCT(1430, 0, 1, 1, 0, VUUa1, (/0, 3/), (/nGC_1217/))

      allocate(vertices(1432)%branchCT(0:0))
      call avCT(1432, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(1433)%branchCT(0:0))
      call avCT(1433, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(1368)%branchCT(0:0))
      call avCT(1368, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1247/))

      allocate(vertices(1438)%branchCT(0:0))
      call avCT(1438, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(1343)%branchCT(0:0))
      call avCT(1343, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(1523)%branchCT(0:0))
      call avCT(1523, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1014/))

      allocate(vertices(1443)%branchCT(0:0))
      call avCT(1443, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(1444)%branchCT(0:0))
      call avCT(1444, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1021/))

      allocate(vertices(3858)%branchCT(0:1))
      call avCT(3858, 0, 14, 1, 0, FFa0, (/0, 2/), (/nGC_1439, nGC_1441,       &
      nGC_1441, nGC_1443/))

      call avCT(3858, 1, 14, 1, 0, FFa0, (/2, 0/), (/nGC_1440, nGC_1442,       &
      nGC_1442, nGC_1444/))

      allocate(vertices(804)%branchCT(0:0))
      call avCT(804, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1024/))

      allocate(vertices(2678)%branchCT(0:0))
      call avCT(2678, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(2333)%branchCT(0:3))
      call avCT(2333, 0, 59, 2, 0, FVFa0, (/1, 2/), (/nGC_1296, nGC_1298/))

      call avCT(2333, 1, 59, 2, 0, FVFa0, (/3, 0/), (/nGC_1295, nGC_1297/))

      call avCT(2333, 2, 58, 3, 0, FVFa0, (/1, 2/), (/nGC_1296, nGC_1298/))

      call avCT(2333, 3, 58, 3, 0, FVFa0, (/3, 0/), (/nGC_1295, nGC_1297/))

      allocate(vertices(1453)%branchCT(0:0))
      call avCT(1453, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1021/))

      allocate(vertices(1985)%branchCT(0:0))
      call avCT(1985, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(1457)%branchCT(0:0))
      call avCT(1457, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1234/))

      allocate(vertices(1459)%branchCT(0:1))
      call avCT(1459, 0, 18, 1, 0, SFaF1, (/0, 3/), (/nGC_1306, nGC_1306/))

      call avCT(1459, 1, 18, 1, 0, SFaF1, (/2, 1/), (/nGC_1307, nGC_1307/))

      allocate(vertices(3532)%branchCT(0:0))
      call avCT(3532, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(1462)%branchCT(0:0))
      call avCT(1462, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1185/))

      allocate(vertices(1566)%branchCT(0:0))
      call avCT(1566, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(3613)%branchCT(0:0))
      call avCT(3613, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1276/))

      allocate(vertices(1467)%branchCT(0:1))
      call avCT(1467, 0, 18, 1, 0, VFaF1, (/0, 3/), (/nGC_1335/))

      call avCT(1467, 1, 18, 1, 0, VFaF1, (/2, 1/), (/nGC_1336/))

      allocate(vertices(3732)%branchCT(0:0))
      call avCT(3732, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1156/))

      allocate(vertices(1470)%branchCT(0:0))
      call avCT(1470, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(1471)%branchCT(0:1))
      call avCT(1471, 0, 21, 1, 0, FaSF0, (/0, 3/), (/nGC_1432, nGC_1434/))

      call avCT(1471, 1, 21, 1, 0, FaSF0, (/2, 1/), (/nGC_1433, nGC_1435/))

      allocate(vertices(1185)%branchCT(0:0))
      call avCT(1185, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1308/))

      allocate(vertices(1392)%branchCT(0:0))
      call avCT(1392, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1254/))

      allocate(vertices(1477)%branchCT(0:0))
      call avCT(1477, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1211/))

      allocate(vertices(1478)%branchCT(0:0))
      call avCT(1478, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1276/))

      allocate(vertices(3799)%branchCT(0:0))
      call avCT(3799, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1200/))

      allocate(vertices(1482)%branchCT(0:0))
      call avCT(1482, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1029/))

      allocate(vertices(1483)%branchCT(0:0))
      call avCT(1483, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(1484)%branchCT(0:0))
      call avCT(1484, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1227/))

      allocate(vertices(1486)%branchCT(0:0))
      call avCT(1486, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1012/))

      allocate(vertices(1488)%branchCT(0:0))
      call avCT(1488, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(1490)%branchCT(0:1))
      call avCT(1490, 0, 19, 1, 0, FaFV0, (/0, 3/), (/nGC_1157, nGC_1159/))

      call avCT(1490, 1, 19, 1, 0, FaFV0, (/2, 1/), (/nGC_1158, nGC_1160/))

      allocate(vertices(2686)%branchCT(0:5))
      call avCT(2686, 0, 53, 5, 0, UUaVV0, (/4, 0/), (/nGC_1339/))

      call avCT(2686, 1, 52, 4, 0, UUaVV0, (/4, 0/), (/nGC_1338/))

      call avCT(2686, 2, 69, 4, 0, UUaVV0, (/4, 0/), (/nGC_1338/))

      call avCT(2686, 3, 54, 4, 0, UUaVV0, (/4, 0/), (/nGC_1338/))

      call avCT(2686, 4, 68, 4, 0, UUaVV0, (/4, 0/), (/nGC_1338/))

      call avCT(2686, 5, 55, 5, 0, UUaVV0, (/4, 0/), (/nGC_1339/))

      allocate(vertices(1492)%branchCT(0:0))
      call avCT(1492, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(1493)%branchCT(0:0))
      call avCT(1493, 0, 1, 1, 0, FFaS1, (/0, 3/), (/nGC_1246, nGC_1246/))

      allocate(vertices(1494)%branchCT(0:0))
      call avCT(1494, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1169/))

    end subroutine fill_vertices_mdl6
end module vertices_info6
