!******************************************************************************!
!                                                                              !
!    ctparameter69.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter69.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 00:30             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter69
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter69()
  dZg_QCD2 = (Nc*Ten90*(coupl(nGC_17)**2d0 + 40d0*coupl(nGC_18)**2d0)/12d0 +   &
             4d0*Ten115*cMU_reg**2d0*coupl(nGC_19)**2d0 + 4d0*Ten116*cMC_reg** &
             2d0*coupl(nGC_19)**2d0 + 4d0*Ten117*cMT**2d0*coupl(nGC_19)**2d0 + &
             4d0*Ten118*cMD_reg**2d0*coupl(nGC_19)**2d0 + 4d0*Ten119*cMS_reg** &
             2d0*coupl(nGC_19)**2d0 + 4d0*Ten120*cMB_reg**2d0*coupl(nGC_19)**  &
             2d0 - 8d0*Ten121*coupl(nGC_19)**2d0 - 8d0*Ten122*coupl(nGC_19)**  &
             2d0 - 8d0*Ten123*coupl(nGC_19)**2d0 - 8d0*Ten124*coupl(nGC_19)**  &
             2d0 - 8d0*Ten125*coupl(nGC_19)**2d0 - 8d0*Ten126*coupl(nGC_19)**  &
             2d0 - 2d0*Ten127*coupl(nGC_19)**2d0/3d0 - 2d0*Ten128*coupl(nGC_19 &
             )**2d0/3d0 - 2d0*Ten129*coupl(nGC_19)**2d0/3d0 - 2d0*Ten130*coupl(&
             nGC_19)**2d0/3d0 - 2d0*Ten131*coupl(nGC_19)**2d0/3d0 - 2d0*coupl( &
             nGC_19)**2d0/3d0)/(16d0*pi**2d0)
  dZg_QCD2 = cone*real(dZg_QCD2,kind=dp)
end subroutine set_ctparameter69
end module ctparameter69
