!******************************************************************************!
!                                                                              !
!    ctparameter96.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter96.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 00:30             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter96
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter96()
  if (dZsR_QED2_scheme .eq. 0) then
    dZsR_QED2 = (2d0*Ten204*coupl(nGC_1)**2d0 + Ten205*(-coupl(nGC_140)**2d0 + &
                2d0*coupl(nGC_78)**2d0) + Ten206*coupl(nGC_139)**2d0 - Ten207* &
                coupl(nGC_141)**2d0 + 2d0*Ten208*coupl(nGC_1)**2d0 + Ten209*(- &
                coupl(nGC_140)**2d0 + 2d0*coupl(nGC_78)**2d0) + Ten210*coupl(  &
                nGC_139)**2d0 + 2d0*Ten212*cMS**2d0*coupl(nGC_141)**2d0 - 4d0* &
                Ten213*cMS**2d0*coupl(nGC_1)**2d0 + 2d0*Ten214*cMS**2d0*(coupl(&
                nGC_78)**2d0 - 4d0*coupl(nGC_78)*coupl(nGC_82) + coupl(nGC_82  &
                )**2d0) + Ten215*cMS*(2d0*cMC*coupl(nGC_127)*coupl(nGC_139) +  &
                cMS*coupl(nGC_127)**2d0 + cMS*coupl(nGC_139)**2d0 + 2d0*cMS*   &
                coupl(nGC_62)**2d0) - 2d0*Ten216*cMS**2d0*coupl(nGC_141)**2d0  &
                 + 4d0*Ten217*cMS**2d0*coupl(nGC_1)**2d0 + 2d0*Ten218*cMS**2d0 &
                *(-coupl(nGC_140)**2d0 + coupl(nGC_78)**2d0 + coupl(nGC_82)**  &
                2d0) + Ten219*cMS**2d0*(coupl(nGC_127)**2d0 + coupl(nGC_139)** &
                2d0 + 2d0*coupl(nGC_62)**2d0) - coupl(nGC_1)**2d0 - coupl(     &
                nGC_78)**2d0)/(16d0*pi**2d0)
    dZsR_QED2 = cone*real(dZsR_QED2,kind=dp)
  end if 
end subroutine set_ctparameter96
end module ctparameter96
