!******************************************************************************!
!                                                                              !
!    vertices_info7.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info7.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 00:29             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info7
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl7()
      allocate(vertices(1496)%branchCT(0:0))
      call avCT(1496, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1211/))

      allocate(vertices(3389)%branchCT(0:0))
      call avCT(3389, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(1499)%branchCT(0:1))
      call avCT(1499, 0, 18, 1, 0, SFaF1, (/0, 3/), (/nGC_1240, nGC_1242/))

      call avCT(1499, 1, 18, 1, 0, SFaF1, (/2, 1/), (/nGC_1241, nGC_1243/))

      allocate(vertices(849)%branchCT(0:0))
      call avCT(849, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1174/))

      allocate(vertices(3189)%branchCT(0:0))
      call avCT(3189, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1254/))

      allocate(vertices(1502)%branchCT(0:0))
      call avCT(1502, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(194)%branchCT(0:0))
      call avCT(194, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1174/))

      allocate(vertices(1507)%branchCT(0:0))
      call avCT(1507, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(1508)%branchCT(0:0))
      call avCT(1508, 0, 1, 1, 0, FFaS1, (/0, 3/), (/nGC_1309, nGC_1310/))

      allocate(vertices(2272)%branchCT(0:0))
      call avCT(2272, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(1510)%branchCT(0:1))
      call avCT(1510, 0, 114, 6, 0, UUaV1, (/3, 0/), (/nGC_1431/))

      call avCT(1510, 1, 115, 7, 0, UUaV1, (/3, 0/), (/nGC_1431/))

      allocate(vertices(1512)%branchCT(0:0))
      call avCT(1512, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1155/))

      allocate(vertices(1514)%branchCT(0:0))
      call avCT(1514, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1174/))

      allocate(vertices(1515)%branchCT(0:0))
      call avCT(1515, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1011/))

      allocate(vertices(1948)%branchCT(0:0))
      call avCT(1948, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(1517)%branchCT(0:0))
      call avCT(1517, 0, 1, 1, 0, SFFa2, (/0, 3/), (/nGC_1223/))

      allocate(vertices(1520)%branchCT(0:0))
      call avCT(1520, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1234/))

      allocate(vertices(1524)%branchCT(0:1))
      call avCT(1524, 0, 17, 1, 0, VFFa0, (/0, 3/), (/nGC_1311, nGC_1313/))

      call avCT(1524, 1, 17, 1, 0, VFFa0, (/2, 1/), (/nGC_1312, nGC_1314/))

      allocate(vertices(1526)%branchCT(0:0))
      call avCT(1526, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(3859)%branchCT(0:0))
      call avCT(3859, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_1228/))

      allocate(vertices(2756)%branchCT(0:5))
      call avCT(2756, 0, 91, 4, 0, VVUaU0, (/4, 0/), (/nGC_1338/))

      call avCT(2756, 1, 90, 4, 0, VVUaU0, (/4, 0/), (/nGC_1338/))

      call avCT(2756, 2, 93, 4, 0, VVUaU0, (/4, 0/), (/nGC_1338/))

      call avCT(2756, 3, 92, 4, 0, VVUaU0, (/4, 0/), (/nGC_1338/))

      call avCT(2756, 4, 95, 5, 0, VVUaU0, (/4, 0/), (/nGC_1339/))

      call avCT(2756, 5, 94, 5, 0, VVUaU0, (/4, 0/), (/nGC_1339/))

      allocate(vertices(3710)%branchCT(0:0))
      call avCT(3710, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(1536)%branchCT(0:1))
      call avCT(1536, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_1387, nGC_1389/))

      call avCT(1536, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_1388, nGC_1390/))

      allocate(vertices(2080)%branchCT(0:0))
      call avCT(2080, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1021/))

      allocate(vertices(250)%branchCT(0:0))
      call avCT(250, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1259/))

      allocate(vertices(2090)%branchCT(0:0))
      call avCT(2090, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1384, nGC_1383,       &
      nGC_1384/))

      allocate(vertices(1540)%branchCT(0:0))
      call avCT(1540, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(1525)%branchCT(0:0))
      call avCT(1525, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1013/))

      allocate(vertices(1548)%branchCT(0:0))
      call avCT(1548, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1184/))

      allocate(vertices(2885)%branchCT(0:0))
      call avCT(2885, 0, 1, 1, 0, VUaU0, (/0, 3/), (/nGC_1370/))

      allocate(vertices(2157)%branchCT(0:0))
      call avCT(2157, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1022/))

      allocate(vertices(1555)%branchCT(0:0))
      call avCT(1555, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1254/))

      allocate(vertices(2176)%branchCT(0:0))
      call avCT(2176, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1012/))

      allocate(vertices(2204)%branchCT(0:0))
      call avCT(2204, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1200/))

      allocate(vertices(1564)%branchCT(0:0))
      call avCT(1564, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1200/))

      allocate(vertices(3860)%branchCT(0:0))
      call avCT(3860, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_1228/))

      allocate(vertices(525)%branchCT(0:0))
      call avCT(525, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1321/))

      allocate(vertices(3649)%branchCT(0:1))
      call avCT(3649, 0, 21, 1, 0, FaSF0, (/0, 3/), (/nGC_1360, nGC_1360/))

      call avCT(3649, 1, 21, 1, 0, FaSF0, (/2, 1/), (/nGC_1361, nGC_1361/))

      allocate(vertices(1569)%branchCT(0:0))
      call avCT(1569, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1022/))

      allocate(vertices(2193)%branchCT(0:0))
      call avCT(2193, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1318/))

      allocate(vertices(518)%branchCT(0:0))
      call avCT(518, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1208, nGC_1209,        &
      nGC_1208/))

      allocate(vertices(3169)%branchCT(0:0))
      call avCT(3169, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1308/))

      allocate(vertices(201)%branchCT(0:0))
      call avCT(201, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(2279)%branchCT(0:0))
      call avCT(2279, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1211/))

      allocate(vertices(1577)%branchCT(0:5))
      call avCT(1577, 0, 62, 4, 0, UaVVU0, (/4, 0/), (/nGC_1338/))

      call avCT(1577, 1, 65, 5, 0, UaVVU0, (/4, 0/), (/nGC_1339/))

      call avCT(1577, 2, 64, 5, 0, UaVVU0, (/4, 0/), (/nGC_1339/))

      call avCT(1577, 3, 61, 4, 0, UaVVU0, (/4, 0/), (/nGC_1338/))

      call avCT(1577, 4, 60, 4, 0, UaVVU0, (/4, 0/), (/nGC_1338/))

      call avCT(1577, 5, 63, 4, 0, UaVVU0, (/4, 0/), (/nGC_1338/))

      allocate(vertices(256)%branchCT(0:1))
      call avCT(256, 0, 18, 1, 0, VFaF0, (/0, 3/), (/nGC_1322, nGC_1324/))

      call avCT(256, 1, 18, 1, 0, VFaF0, (/2, 1/), (/nGC_1323, nGC_1325/))

      allocate(vertices(1466)%branchCT(0:0))
      call avCT(1466, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1234/))

      allocate(vertices(1580)%branchCT(0:0))
      call avCT(1580, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1327, nGC_1326,       &
      nGC_1326/))

      allocate(vertices(1581)%branchCT(0:0))
      call avCT(1581, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(1582)%branchCT(0:0))
      call avCT(1582, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1212/))

      allocate(vertices(2315)%branchCT(0:0))
      call avCT(2315, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1021/))

      allocate(vertices(1584)%branchCT(0:0))
      call avCT(1584, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_1350/))

      allocate(vertices(1586)%branchCT(0:0))
      call avCT(1586, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(1896)%branchCT(0:0))
      call avCT(1896, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(1588)%branchCT(0:0))
      call avCT(1588, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1011/))

      allocate(vertices(2353)%branchCT(0:0))
      call avCT(2353, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1013/))

      allocate(vertices(1591)%branchCT(0:0))
      call avCT(1591, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_1394/))

      allocate(vertices(1592)%branchCT(0:0))
      call avCT(1592, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1260/))

      allocate(vertices(1593)%branchCT(0:0))
      call avCT(1593, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(2705)%branchCT(0:0))
      call avCT(2705, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1211/))

      allocate(vertices(1597)%branchCT(0:0))
      call avCT(1597, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1211/))

      allocate(vertices(1598)%branchCT(0:1))
      call avCT(1598, 0, 21, 1, 0, FaSF0, (/0, 3/), (/nGC_1268, nGC_1270/))

      call avCT(1598, 1, 21, 1, 0, FaSF0, (/2, 1/), (/nGC_1269, nGC_1271/))

      allocate(vertices(2295)%branchCT(0:0))
      call avCT(2295, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1022/))

      allocate(vertices(3166)%branchCT(0:0))
      call avCT(3166, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_1372/))

      allocate(vertices(1609)%branchCT(0:1))
      call avCT(1609, 0, 19, 1, 0, FaFS0, (/0, 3/), (/nGC_1379, nGC_1381/))

      call avCT(1609, 1, 19, 1, 0, FaFS0, (/2, 1/), (/nGC_1380, nGC_1382/))

      allocate(vertices(1610)%branchCT(0:1))
      call avCT(1610, 0, 18, 1, 0, VFaF0, (/0, 3/), (/nGC_1425, nGC_1427/))

      call avCT(1610, 1, 18, 1, 0, VFaF0, (/2, 1/), (/nGC_1426, nGC_1428/))

      allocate(vertices(1611)%branchCT(0:0))
      call avCT(1611, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1260/))

      allocate(vertices(1613)%branchCT(0:0))
      call avCT(1613, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1022/))

      allocate(vertices(1614)%branchCT(0:1))
      call avCT(1614, 0, 20, 1, 0, FVFa0, (/0, 3/), (/nGC_1229, nGC_1231/))

      call avCT(1614, 1, 20, 1, 0, FVFa0, (/2, 1/), (/nGC_1230, nGC_1232/))

      allocate(vertices(1615)%branchCT(0:0))
      call avCT(1615, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1020/))

      allocate(vertices(1616)%branchCT(0:0))
      call avCT(1616, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(1617)%branchCT(0:0))
      call avCT(1617, 0, 1, 1, 0, VUUa1, (/0, 3/), (/nGC_1445/))

      allocate(vertices(2538)%branchCT(0:0))
      call avCT(2538, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1276/))

      allocate(vertices(1621)%branchCT(0:0))
      call avCT(1621, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(1474)%branchCT(0:1))
      call avCT(1474, 0, 18, 1, 0, SFaF1, (/0, 3/), (/nGC_1215, nGC_1213/))

      call avCT(1474, 1, 18, 1, 0, SFaF1, (/2, 1/), (/nGC_1216, nGC_1214/))

      allocate(vertices(2593)%branchCT(0:0))
      call avCT(2593, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1012/))

      allocate(vertices(2097)%branchCT(0:0))
      call avCT(2097, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1208, nGC_1209,       &
      nGC_1208/))

      allocate(vertices(1628)%branchCT(0:0))
      call avCT(1628, 0, 1, 1, 0, FaFS1, (/0, 3/), (/nGC_1391/))

      allocate(vertices(1629)%branchCT(0:0))
      call avCT(1629, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(608)%branchCT(0:0))
      call avCT(608, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1197/))

      allocate(vertices(1630)%branchCT(0:0))
      call avCT(1630, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(1631)%branchCT(0:0))
      call avCT(1631, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(3416)%branchCT(0:0))
      call avCT(3416, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_1328/))

      allocate(vertices(1633)%branchCT(0:0))
      call avCT(1633, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1234/))

      allocate(vertices(1635)%branchCT(0:0))
      call avCT(1635, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1185/))

      allocate(vertices(2673)%branchCT(0:1))
      call avCT(2673, 0, 19, 1, 0, FaFS0, (/0, 3/), (/nGC_1179, nGC_1179/))

      call avCT(2673, 1, 19, 1, 0, FaFS0, (/2, 1/), (/nGC_1180, nGC_1180/))

      allocate(vertices(2858)%branchCT(0:0))
      call avCT(2858, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(2099)%branchCT(0:1))
      call avCT(2099, 0, 21, 1, 0, FaSF0, (/0, 3/), (/nGC_1213, nGC_1215/))

      call avCT(2099, 1, 21, 1, 0, FaSF0, (/2, 1/), (/nGC_1214, nGC_1216/))

      allocate(vertices(1638)%branchCT(0:0))
      call avCT(1638, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(1639)%branchCT(0:0))
      call avCT(1639, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(1640)%branchCT(0:0))
      call avCT(1640, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1024/))

      allocate(vertices(598)%branchCT(0:0))
      call avCT(598, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1184/))

      allocate(vertices(1643)%branchCT(0:0))
      call avCT(1643, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(1644)%branchCT(0:0))
      call avCT(1644, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1212/))

      allocate(vertices(266)%branchCT(0:0))
      call avCT(266, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_1445/))

      allocate(vertices(1646)%branchCT(0:0))
      call avCT(1646, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1022/))

      allocate(vertices(3181)%branchCT(0:0))
      call avCT(3181, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1260/))

      allocate(vertices(1973)%branchCT(0:0))
      call avCT(1973, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(2981)%branchCT(0:0))
      call avCT(2981, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(3241)%branchCT(0:0))
      call avCT(3241, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1022/))

      allocate(vertices(1653)%branchCT(0:0))
      call avCT(1653, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(2836)%branchCT(0:0))
      call avCT(2836, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1234/))

      allocate(vertices(1657)%branchCT(0:0))
      call avCT(1657, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_1400, nGC_1401/))

      allocate(vertices(571)%branchCT(0:1))
      call avCT(571, 0, 20, 1, 0, FSFa0, (/0, 3/), (/nGC_1163, nGC_1165/))

      call avCT(571, 1, 20, 1, 0, FSFa0, (/2, 1/), (/nGC_1164, nGC_1166/))

      allocate(vertices(1662)%branchCT(0:1))
      call avCT(1662, 0, 20, 1, 0, FVFa0, (/0, 3/), (/nGC_1311, nGC_1313/))

      call avCT(1662, 1, 20, 1, 0, FVFa0, (/2, 1/), (/nGC_1312, nGC_1314/))

      allocate(vertices(2104)%branchCT(0:0))
      call avCT(2104, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(1665)%branchCT(0:1))
      call avCT(1665, 0, 18, 1, 0, VFaF0, (/0, 3/), (/nGC_1356, nGC_1358/))

      call avCT(1665, 1, 18, 1, 0, VFaF0, (/2, 1/), (/nGC_1357, nGC_1359/))

      allocate(vertices(1667)%branchCT(0:0))
      call avCT(1667, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1234/))

      allocate(vertices(2920)%branchCT(0:0))
      call avCT(2920, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_1446/))

      allocate(vertices(3428)%branchCT(0:0))
      call avCT(3428, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_1377, nGC_1378/))

      allocate(vertices(3517)%branchCT(0:0))
      call avCT(3517, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1247/))

      allocate(vertices(2945)%branchCT(0:0))
      call avCT(2945, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(1675)%branchCT(0:0))
      call avCT(1675, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(1676)%branchCT(0:0))
      call avCT(1676, 0, 1, 1, 0, SFaF1, (/0, 3/), (/nGC_1337, nGC_1337/))

      allocate(vertices(1677)%branchCT(0:0))
      call avCT(1677, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(1678)%branchCT(0:0))
      call avCT(1678, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1029/))

      allocate(vertices(1741)%branchCT(0:0))
      call avCT(1741, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1321/))

      allocate(vertices(2988)%branchCT(0:1))
      call avCT(2988, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1255/))

      call avCT(2988, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1256/))

      allocate(vertices(2721)%branchCT(0:0))
      call avCT(2721, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1012/))

      allocate(vertices(1686)%branchCT(0:0))
      call avCT(1686, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(2722)%branchCT(0:1))
      call avCT(2722, 0, 18, 1, 0, SFaF1, (/0, 3/), (/nGC_1193, nGC_1195/))

      call avCT(2722, 1, 18, 1, 0, SFaF1, (/2, 1/), (/nGC_1194, nGC_1196/))

      allocate(vertices(1688)%branchCT(0:0))
      call avCT(1688, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1011/))

      allocate(vertices(3306)%branchCT(0:0))
      call avCT(3306, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_1299/))

      allocate(vertices(1690)%branchCT(0:1))
      call avCT(1690, 0, 18, 1, 0, VFaF1, (/0, 3/), (/nGC_1248/))

      call avCT(1690, 1, 18, 1, 0, VFaF1, (/2, 1/), (/nGC_1249/))

      allocate(vertices(1691)%branchCT(0:0))
      call avCT(1691, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1014/))

      allocate(vertices(1692)%branchCT(0:0))
      call avCT(1692, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1155/))

      allocate(vertices(1693)%branchCT(0:0))
      call avCT(1693, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1308/))

      allocate(vertices(1694)%branchCT(0:0))
      call avCT(1694, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1021/))

      allocate(vertices(3861)%branchCT(0:0))
      call avCT(3861, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_1228/))

      allocate(vertices(1697)%branchCT(0:0))
      call avCT(1697, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1020/))

      allocate(vertices(1700)%branchCT(0:0))
      call avCT(1700, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(3708)%branchCT(0:0))
      call avCT(3708, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1183/))

      allocate(vertices(1702)%branchCT(0:0))
      call avCT(1702, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(3862)%branchCT(0:0))
      call avCT(3862, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_1228/))

      allocate(vertices(1704)%branchCT(0:0))
      call avCT(1704, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1260/))

      allocate(vertices(2861)%branchCT(0:3))
      call avCT(2861, 0, 24, 3, 0, VFaF0, (/3, 0/), (/nGC_1186, nGC_1188/))

      call avCT(2861, 1, 24, 3, 0, VFaF0, (/1, 2/), (/nGC_1187, nGC_1189/))

      call avCT(2861, 2, 25, 2, 0, VFaF0, (/3, 0/), (/nGC_1186, nGC_1188/))

      call avCT(2861, 3, 25, 2, 0, VFaF0, (/1, 2/), (/nGC_1187, nGC_1189/))

      allocate(vertices(2118)%branchCT(0:0))
      call avCT(2118, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1383, nGC_1384,       &
      nGC_1384/))

      allocate(vertices(1707)%branchCT(0:0))
      call avCT(1707, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1156/))

      allocate(vertices(1708)%branchCT(0:0))
      call avCT(1708, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1183/))

      allocate(vertices(1709)%branchCT(0:0))
      call avCT(1709, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_1292/))

      allocate(vertices(1711)%branchCT(0:0))
      call avCT(1711, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1272/))

      allocate(vertices(1713)%branchCT(0:0))
      call avCT(1713, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1012/))

      allocate(vertices(1714)%branchCT(0:0))
      call avCT(1714, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(3132)%branchCT(0:0))
      call avCT(3132, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(3200)%branchCT(0:0))
      call avCT(3200, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1321/))

      allocate(vertices(1720)%branchCT(0:0))
      call avCT(1720, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1174/))

      allocate(vertices(1721)%branchCT(0:0))
      call avCT(1721, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1022/))

      allocate(vertices(1722)%branchCT(0:0))
      call avCT(1722, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(1723)%branchCT(0:0))
      call avCT(1723, 0, 1, 1, 0, SFaF1, (/0, 3/), (/nGC_1436, nGC_1437/))

      allocate(vertices(1725)%branchCT(0:0))
      call avCT(1725, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1185/))

      allocate(vertices(1648)%branchCT(0:0))
      call avCT(1648, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1247/))

      allocate(vertices(3441)%branchCT(0:0))
      call avCT(3441, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1185/))

      allocate(vertices(1729)%branchCT(0:0))
      call avCT(1729, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1208, nGC_1208,       &
      nGC_1209/))

      allocate(vertices(1731)%branchCT(0:0))
      call avCT(1731, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1011/))

      allocate(vertices(2291)%branchCT(0:0))
      call avCT(2291, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1183/))

      allocate(vertices(1733)%branchCT(0:0))
      call avCT(1733, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1211/))

      allocate(vertices(1734)%branchCT(0:0))
      call avCT(1734, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1244/))

      allocate(vertices(2112)%branchCT(0:0))
      call avCT(2112, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1384, nGC_1383,       &
      nGC_1384/))

      allocate(vertices(1739)%branchCT(0:0))
      call avCT(1739, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1156/))

      allocate(vertices(2421)%branchCT(0:1))
      call avCT(2421, 0, 21, 1, 0, FaSF0, (/0, 3/), (/nGC_1179, nGC_1179/))

      call avCT(2421, 1, 21, 1, 0, FaSF0, (/2, 1/), (/nGC_1180, nGC_1180/))

      allocate(vertices(3355)%branchCT(0:0))
      call avCT(3355, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(1745)%branchCT(0:0))
      call avCT(1745, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(2950)%branchCT(0:0))
      call avCT(2950, 0, 1, 1, 0, SFaF2, (/0, 3/), (/nGC_1391/))

      allocate(vertices(3395)%branchCT(0:0))
      call avCT(3395, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(1751)%branchCT(0:0))
      call avCT(1751, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_1398, nGC_1399/))

      allocate(vertices(3863)%branchCT(0:1))
      call avCT(3863, 0, 14, 1, 0, FFa0, (/0, 2/), (/nGC_1261, nGC_1263,       &
      nGC_1263, nGC_1265/))

      call avCT(3863, 1, 14, 1, 0, FFa0, (/2, 0/), (/nGC_1262, nGC_1264,       &
      nGC_1264, nGC_1266/))

      allocate(vertices(1754)%branchCT(0:0))
      call avCT(1754, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1156/))

      allocate(vertices(1070)%branchCT(0:0))
      call avCT(1070, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(1755)%branchCT(0:0))
      call avCT(1755, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(3453)%branchCT(0:0))
      call avCT(3453, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1276/))

      allocate(vertices(1758)%branchCT(0:0))
      call avCT(1758, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(3489)%branchCT(0:0))
      call avCT(3489, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1011/))

      allocate(vertices(3670)%branchCT(0:0))
      call avCT(3670, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(1764)%branchCT(0:0))
      call avCT(1764, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(3864)%branchCT(0:0))
      call avCT(3864, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1349/))

      allocate(vertices(1766)%branchCT(0:0))
      call avCT(1766, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1211/))

      allocate(vertices(1768)%branchCT(0:0))
      call avCT(1768, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1184/))

      allocate(vertices(1769)%branchCT(0:0))
      call avCT(1769, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(420)%branchCT(0:0))
      call avCT(420, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1022/))

      allocate(vertices(1771)%branchCT(0:0))
      call avCT(1771, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1013/))

      allocate(vertices(180)%branchCT(0:0))
      call avCT(180, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1029/))

      allocate(vertices(1773)%branchCT(0:0))
      call avCT(1773, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_1400, nGC_1401/))

      allocate(vertices(3546)%branchCT(0:0))
      call avCT(3546, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(1775)%branchCT(0:0))
      call avCT(1775, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(2289)%branchCT(0:0))
      call avCT(2289, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1161/))

      allocate(vertices(3700)%branchCT(0:0))
      call avCT(3700, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(1782)%branchCT(0:0))
      call avCT(1782, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1156/))

      allocate(vertices(115)%branchCT(0:0))
      call avCT(115, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1184/))

      allocate(vertices(3201)%branchCT(0:0))
      call avCT(3201, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1012/))

      allocate(vertices(1785)%branchCT(0:0))
      call avCT(1785, 0, 1, 1, 0, FaSF2, (/0, 3/), (/nGC_1182/))

      allocate(vertices(2388)%branchCT(0:0))
      call avCT(2388, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1012/))

      allocate(vertices(1788)%branchCT(0:1))
      call avCT(1788, 0, 21, 1, 0, FaSF0, (/0, 3/), (/nGC_1224, nGC_1224/))

      call avCT(1788, 1, 21, 1, 0, FaSF0, (/2, 1/), (/nGC_1225, nGC_1225/))

      allocate(vertices(1791)%branchCT(0:0))
      call avCT(1791, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1024/))

      allocate(vertices(3594)%branchCT(0:0))
      call avCT(3594, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(1793)%branchCT(0:0))
      call avCT(1793, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1161/))

      allocate(vertices(3717)%branchCT(0:0))
      call avCT(3717, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1011/))

      allocate(vertices(2491)%branchCT(0:0))
      call avCT(2491, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(1801)%branchCT(0:0))
      call avCT(1801, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1183/))

      allocate(vertices(1802)%branchCT(0:0))
      call avCT(1802, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1414/))

      allocate(vertices(3780)%branchCT(0:0))
      call avCT(3780, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(1804)%branchCT(0:0))
      call avCT(1804, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1155/))

      allocate(vertices(3809)%branchCT(0:3))
      call avCT(3809, 0, 27, 2, 0, FaFV0, (/1, 2/), (/nGC_1285, nGC_1287/))

      call avCT(3809, 1, 27, 2, 0, FaFV0, (/3, 0/), (/nGC_1284, nGC_1286/))

      call avCT(3809, 2, 26, 3, 0, FaFV0, (/1, 2/), (/nGC_1285, nGC_1287/))

      call avCT(3809, 3, 26, 3, 0, FaFV0, (/3, 0/), (/nGC_1284, nGC_1286/))

      allocate(vertices(1808)%branchCT(0:0))
      call avCT(1808, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1234/))

      allocate(vertices(1809)%branchCT(0:1))
      call avCT(1809, 0, 19, 1, 0, FaFV1, (/0, 3/), (/nGC_1335/))

      call avCT(1809, 1, 19, 1, 0, FaFV1, (/2, 1/), (/nGC_1336/))

      allocate(vertices(3667)%branchCT(0:0))
      call avCT(3667, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1211/))

      allocate(vertices(1812)%branchCT(0:0))
      call avCT(1812, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1276/))

      allocate(vertices(1813)%branchCT(0:0))
      call avCT(1813, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(3865)%branchCT(0:0))
      call avCT(3865, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1409/))

      allocate(vertices(2123)%branchCT(0:0))
      call avCT(2123, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(1816)%branchCT(0:0))
      call avCT(1816, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(1817)%branchCT(0:1))
      call avCT(1817, 0, 18, 1, 0, VFaF0, (/0, 3/), (/nGC_1218, nGC_1220/))

      call avCT(1817, 1, 18, 1, 0, VFaF0, (/2, 1/), (/nGC_1219, nGC_1221/))

      allocate(vertices(71)%branchCT(0:0))
      call avCT(71, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(2051)%branchCT(0:0))
      call avCT(2051, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_1207/))

      allocate(vertices(1821)%branchCT(0:0))
      call avCT(1821, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(955)%branchCT(0:0))
      call avCT(955, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(2537)%branchCT(0:0))
      call avCT(2537, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1010/))

      allocate(vertices(1826)%branchCT(0:0))
      call avCT(1826, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1022/))

      allocate(vertices(1831)%branchCT(0:0))
      call avCT(1831, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1362/))

      allocate(vertices(1834)%branchCT(0:0))
      call avCT(1834, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(1835)%branchCT(0:0))
      call avCT(1835, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_1365/))

      allocate(vertices(1837)%branchCT(0:0))
      call avCT(1837, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1020/))

      allocate(vertices(1840)%branchCT(0:0))
      call avCT(1840, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1209, nGC_1208,       &
      nGC_1208/))

      allocate(vertices(1841)%branchCT(0:0))
      call avCT(1841, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1272/))

      allocate(vertices(1844)%branchCT(0:0))
      call avCT(1844, 0, 1, 1, 0, FaFS2, (/0, 3/), (/nGC_1182/))

      allocate(vertices(1846)%branchCT(0:0))
      call avCT(1846, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(1848)%branchCT(0:0))
      call avCT(1848, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(1849)%branchCT(0:0))
      call avCT(1849, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1020/))

      allocate(vertices(1852)%branchCT(0:1))
      call avCT(1852, 0, 17, 1, 0, VFFa0, (/0, 3/), (/nGC_1229, nGC_1231/))

      call avCT(1852, 1, 17, 1, 0, VFFa0, (/2, 1/), (/nGC_1230, nGC_1232/))

      allocate(vertices(3467)%branchCT(0:0))
      call avCT(3467, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(1854)%branchCT(0:0))
      call avCT(1854, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1234/))

      allocate(vertices(68)%branchCT(0:0))
      call avCT(68, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1024/))

      allocate(vertices(2753)%branchCT(0:0))
      call avCT(2753, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1211/))

      allocate(vertices(1858)%branchCT(0:5))
      call avCT(1858, 0, 9, 4, 0, VVVV0, (/4, 0/), (/nGC_1447, nGC_1448,       &
      nGC_1447/))

      call avCT(1858, 1, 7, 4, 0, VVVV0, (/4, 0/), (/nGC_1447, nGC_1448,       &
      nGC_1447/))

      call avCT(1858, 2, 8, 4, 0, VVVV0, (/4, 0/), (/nGC_1448, nGC_1447,       &
      nGC_1447/))

      call avCT(1858, 3, 6, 4, 0, VVVV0, (/4, 0/), (/nGC_1448, nGC_1447,       &
      nGC_1447/))

      call avCT(1858, 4, 5, 5, 0, VVVV0, (/4, 0/), (/nGC_1449, nGC_1449,       &
      nGC_1450/))

      call avCT(1858, 5, 4, 5, 0, VVVV0, (/4, 0/), (/nGC_1449, nGC_1449,       &
      nGC_1450/))

      allocate(vertices(299)%branchCT(0:0))
      call avCT(299, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1021/))

      allocate(vertices(1860)%branchCT(0:0))
      call avCT(1860, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(1314)%branchCT(0:0))
      call avCT(1314, 0, 1, 1, 0, SFFa1, (/0, 3/), (/nGC_1275, nGC_1275/))

      allocate(vertices(3246)%branchCT(0:0))
      call avCT(3246, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(3399)%branchCT(0:0))
      call avCT(3399, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_1328/))

      allocate(vertices(325)%branchCT(0:0))
      call avCT(325, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(3162)%branchCT(0:0))
      call avCT(3162, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1222/))

      allocate(vertices(1866)%branchCT(0:0))
      call avCT(1866, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(1557)%branchCT(0:0))
      call avCT(1557, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_1400, nGC_1401/))

      allocate(vertices(302)%branchCT(0:0))
      call avCT(302, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1318/))

      allocate(vertices(1870)%branchCT(0:0))
      call avCT(1870, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1212/))

      allocate(vertices(1872)%branchCT(0:0))
      call avCT(1872, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1429/))

      allocate(vertices(3470)%branchCT(0:0))
      call avCT(3470, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1260/))

      allocate(vertices(377)%branchCT(0:0))
      call avCT(377, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(2469)%branchCT(0:0))
      call avCT(2469, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1244/))

      allocate(vertices(1876)%branchCT(0:0))
      call avCT(1876, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(2935)%branchCT(0:0))
      call avCT(2935, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(1880)%branchCT(0:0))
      call avCT(1880, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_1373/))

      allocate(vertices(1881)%branchCT(0:0))
      call avCT(1881, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1211/))

      allocate(vertices(3781)%branchCT(0:0))
      call avCT(3781, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1222/))

      allocate(vertices(2620)%branchCT(0:0))
      call avCT(2620, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_1451/))

      allocate(vertices(1885)%branchCT(0:0))
      call avCT(1885, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(1888)%branchCT(0:1))
      call avCT(1888, 0, 17, 1, 0, VFFa0, (/0, 3/), (/nGC_1417, nGC_1419/))

      call avCT(1888, 1, 17, 1, 0, VFFa0, (/2, 1/), (/nGC_1418, nGC_1420/))

      allocate(vertices(1887)%branchCT(0:0))
      call avCT(1887, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1174/))

      allocate(vertices(1891)%branchCT(0:0))
      call avCT(1891, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1161/))

      allocate(vertices(1892)%branchCT(0:0))
      call avCT(1892, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_1207/))

      allocate(vertices(1893)%branchCT(0:0))
      call avCT(1893, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1211/))

      allocate(vertices(1894)%branchCT(0:0))
      call avCT(1894, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(697)%branchCT(0:0))
      call avCT(697, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(923)%branchCT(0:0))
      call avCT(923, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1020/))

      allocate(vertices(735)%branchCT(0:1))
      call avCT(735, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1417, nGC_1419/))

      call avCT(735, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1418, nGC_1420/))

      allocate(vertices(1901)%branchCT(0:0))
      call avCT(1901, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1259/))

      allocate(vertices(1902)%branchCT(0:1))
      call avCT(1902, 0, 21, 1, 0, FaSF0, (/0, 3/), (/nGC_1215, nGC_1213/))

      call avCT(1902, 1, 21, 1, 0, FaSF0, (/2, 1/), (/nGC_1216, nGC_1214/))

      allocate(vertices(1903)%branchCT(0:0))
      call avCT(1903, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1183/))

      allocate(vertices(457)%branchCT(0:0))
      call avCT(457, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(1905)%branchCT(0:0))
      call avCT(1905, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(1906)%branchCT(0:0))
      call avCT(1906, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(1908)%branchCT(0:0))
      call avCT(1908, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(3624)%branchCT(0:0))
      call avCT(3624, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_1397/))

      allocate(vertices(1428)%branchCT(0:0))
      call avCT(1428, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1020/))

      allocate(vertices(1911)%branchCT(0:0))
      call avCT(1911, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_1201/))

      allocate(vertices(1914)%branchCT(0:0))
      call avCT(1914, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_1293/))

      allocate(vertices(1915)%branchCT(0:0))
      call avCT(1915, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1021/))

      allocate(vertices(1917)%branchCT(0:0))
      call avCT(1917, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1211/))

      allocate(vertices(1918)%branchCT(0:1))
      call avCT(1918, 0, 20, 1, 0, FSFa0, (/0, 3/), (/nGC_1432, nGC_1434/))

      call avCT(1918, 1, 20, 1, 0, FSFa0, (/2, 1/), (/nGC_1433, nGC_1435/))

      allocate(vertices(1919)%branchCT(0:0))
      call avCT(1919, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(1921)%branchCT(0:0))
      call avCT(1921, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(1922)%branchCT(0:0))
      call avCT(1922, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1208, nGC_1208,       &
      nGC_1209/))

      allocate(vertices(1923)%branchCT(0:0))
      call avCT(1923, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(3455)%branchCT(0:0))
      call avCT(3455, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(1926)%branchCT(0:1))
      call avCT(1926, 0, 21, 1, 0, FaSF0, (/0, 3/), (/nGC_1392, nGC_1392/))

      call avCT(1926, 1, 21, 1, 0, FaSF0, (/2, 1/), (/nGC_1393, nGC_1393/))

      allocate(vertices(1927)%branchCT(0:0))
      call avCT(1927, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1260/))

      allocate(vertices(922)%branchCT(0:0))
      call avCT(922, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1247/))

      allocate(vertices(1929)%branchCT(0:0))
      call avCT(1929, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1211/))

      allocate(vertices(668)%branchCT(0:0))
      call avCT(668, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(1933)%branchCT(0:0))
      call avCT(1933, 0, 1, 1, 0, FaFS2, (/0, 3/), (/nGC_1391/))

      allocate(vertices(1934)%branchCT(0:0))
      call avCT(1934, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1183/))

      allocate(vertices(678)%branchCT(0:0))
      call avCT(678, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1156/))

      allocate(vertices(691)%branchCT(0:0))
      call avCT(691, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(706)%branchCT(0:0))
      call avCT(706, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1162/))

      allocate(vertices(2404)%branchCT(0:0))
      call avCT(2404, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(728)%branchCT(0:0))
      call avCT(728, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1384, nGC_1384,        &
      nGC_1383/))

      allocate(vertices(3866)%branchCT(0:0))
      call avCT(3866, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_1228/))

      allocate(vertices(1945)%branchCT(0:0))
      call avCT(1945, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1011/))

      allocate(vertices(2987)%branchCT(0:0))
      call avCT(2987, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1174/))

      allocate(vertices(1947)%branchCT(0:1))
      call avCT(1947, 0, 18, 1, 0, VFaF0, (/0, 3/), (/nGC_1250, nGC_1252/))

      call avCT(1947, 1, 18, 1, 0, VFaF0, (/2, 1/), (/nGC_1251, nGC_1253/))

      allocate(vertices(1949)%branchCT(0:0))
      call avCT(1949, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1362/))

      allocate(vertices(3046)%branchCT(0:0))
      call avCT(3046, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(1952)%branchCT(0:0))
      call avCT(1952, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1011/))

      allocate(vertices(1814)%branchCT(0:0))
      call avCT(1814, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_1373/))

      allocate(vertices(3867)%branchCT(0:0))
      call avCT(3867, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1349/))

      allocate(vertices(314)%branchCT(0:0))
      call avCT(314, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(1956)%branchCT(0:0))
      call avCT(1956, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1227/))

      allocate(vertices(1958)%branchCT(0:0))
      call avCT(1958, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(1959)%branchCT(0:0))
      call avCT(1959, 0, 1, 1, 0, FFaS2, (/0, 3/), (/nGC_1182/))

      allocate(vertices(1960)%branchCT(0:0))
      call avCT(1960, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(829)%branchCT(0:0))
      call avCT(829, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1227/))

      allocate(vertices(1965)%branchCT(0:0))
      call avCT(1965, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1020/))

      allocate(vertices(3481)%branchCT(0:0))
      call avCT(3481, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(1967)%branchCT(0:0))
      call avCT(1967, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1315/))

      allocate(vertices(1969)%branchCT(0:0))
      call avCT(1969, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1197/))

      allocate(vertices(1970)%branchCT(0:0))
      call avCT(1970, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1020/))

      allocate(vertices(1971)%branchCT(0:1))
      call avCT(1971, 0, 120, 6, 0, UaVU0, (/3, 0/), (/nGC_1431/))

      call avCT(1971, 1, 121, 7, 0, UaVU0, (/3, 0/), (/nGC_1431/))

      allocate(vertices(101)%branchCT(0:0))
      call avCT(101, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(1977)%branchCT(0:0))
      call avCT(1977, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1227/))

      allocate(vertices(1978)%branchCT(0:0))
      call avCT(1978, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1260/))

      allocate(vertices(3868)%branchCT(0:0))
      call avCT(3868, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_GG/))

      allocate(vertices(1981)%branchCT(0:1))
      call avCT(1981, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_1195, nGC_1193/))

      call avCT(1981, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_1196, nGC_1194/))

      allocate(vertices(1982)%branchCT(0:0))
      call avCT(1982, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_1408/))

      allocate(vertices(1986)%branchCT(0:0))
      call avCT(1986, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(931)%branchCT(0:0))
      call avCT(931, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1375/))

      allocate(vertices(1989)%branchCT(0:0))
      call avCT(1989, 0, 1, 1, 0, SFFa1, (/0, 3/), (/nGC_1246, nGC_1246/))

      allocate(vertices(1990)%branchCT(0:0))
      call avCT(1990, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(1995)%branchCT(0:0))
      call avCT(1995, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1014/))

      allocate(vertices(1009)%branchCT(0:0))
      call avCT(1009, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_1201/))

      allocate(vertices(1017)%branchCT(0:0))
      call avCT(1017, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1020/))

      allocate(vertices(2000)%branchCT(0:0))
      call avCT(2000, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1183/))

      allocate(vertices(2002)%branchCT(0:0))
      call avCT(2002, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1234/))

      allocate(vertices(2005)%branchCT(0:5))
      call avCT(2005, 0, 44, 4, 0, UaVUV0, (/4, 0/), (/nGC_1338/))

      call avCT(2005, 1, 47, 5, 0, UaVUV0, (/4, 0/), (/nGC_1339/))

      call avCT(2005, 2, 45, 5, 0, UaVUV0, (/4, 0/), (/nGC_1339/))

      call avCT(2005, 3, 67, 4, 0, UaVUV0, (/4, 0/), (/nGC_1338/))

      call avCT(2005, 4, 66, 4, 0, UaVUV0, (/4, 0/), (/nGC_1338/))

      call avCT(2005, 5, 46, 4, 0, UaVUV0, (/4, 0/), (/nGC_1338/))

      allocate(vertices(2008)%branchCT(0:0))
      call avCT(2008, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_1167, nGC_1168/))

      allocate(vertices(2009)%branchCT(0:0))
      call avCT(2009, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1185/))

      allocate(vertices(2406)%branchCT(0:0))
      call avCT(2406, 0, 1, 1, 0, VUaU0, (/0, 3/), (/nGC_1304/))

      allocate(vertices(2015)%branchCT(0:0))
      call avCT(2015, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_1377, nGC_1378/))

      allocate(vertices(326)%branchCT(0:0))
      call avCT(326, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(1126)%branchCT(0:0))
      call avCT(1126, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(2724)%branchCT(0:0))
      call avCT(2724, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(2020)%branchCT(0:0))
      call avCT(2020, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1222/))

      allocate(vertices(2022)%branchCT(0:0))
      call avCT(2022, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(1195)%branchCT(0:0))
      call avCT(1195, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(658)%branchCT(0:0))
      call avCT(658, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(2025)%branchCT(0:0))
      call avCT(2025, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_1337, nGC_1337/))

      allocate(vertices(2877)%branchCT(0:0))
      call avCT(2877, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1161/))

      allocate(vertices(2030)%branchCT(0:0))
      call avCT(2030, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_1386/))

      allocate(vertices(2031)%branchCT(0:0))
      call avCT(2031, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(3398)%branchCT(0:0))
      call avCT(3398, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1222/))

      allocate(vertices(2037)%branchCT(0:0))
      call avCT(2037, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1260/))

      allocate(vertices(2039)%branchCT(0:0))
      call avCT(2039, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1272/))

      allocate(vertices(2040)%branchCT(0:0))
      call avCT(2040, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1308/))

      allocate(vertices(2044)%branchCT(0:0))
      call avCT(2044, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(2047)%branchCT(0:0))
      call avCT(2047, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1174/))

      allocate(vertices(2049)%branchCT(0:0))
      call avCT(2049, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1156/))

      allocate(vertices(2050)%branchCT(0:0))
      call avCT(2050, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(3501)%branchCT(0:0))
      call avCT(3501, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(2055)%branchCT(0:0))
      call avCT(2055, 0, 1, 1, 0, FFaS1, (/0, 3/), (/nGC_1436, nGC_1437/))

      allocate(vertices(2057)%branchCT(0:0))
      call avCT(2057, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(2058)%branchCT(0:0))
      call avCT(2058, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_1363, nGC_1364/))

      allocate(vertices(2059)%branchCT(0:0))
      call avCT(2059, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1272/))

      allocate(vertices(2060)%branchCT(0:0))
      call avCT(2060, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1211/))

      allocate(vertices(2062)%branchCT(0:0))
      call avCT(2062, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(2063)%branchCT(0:0))
      call avCT(2063, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(2064)%branchCT(0:0))
      call avCT(2064, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1272/))

      allocate(vertices(1446)%branchCT(0:1))
      call avCT(1446, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_1268, nGC_1270/))

      call avCT(1446, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_1269, nGC_1271/))

      allocate(vertices(2066)%branchCT(0:0))
      call avCT(2066, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(2260)%branchCT(0:0))
      call avCT(2260, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1022/))

      allocate(vertices(946)%branchCT(0:0))
      call avCT(946, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1161/))

      allocate(vertices(2072)%branchCT(0:0))
      call avCT(2072, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1227/))

      allocate(vertices(2074)%branchCT(0:1))
      call avCT(2074, 0, 21, 1, 0, FaVF0, (/0, 3/), (/nGC_1157, nGC_1159/))

      call avCT(2074, 1, 21, 1, 0, FaVF0, (/2, 1/), (/nGC_1158, nGC_1160/))

      allocate(vertices(1011)%branchCT(0:0))
      call avCT(1011, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1184/))

      allocate(vertices(2076)%branchCT(0:0))
      call avCT(2076, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1234/))

      allocate(vertices(2078)%branchCT(0:0))
      call avCT(2078, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1014/))

      allocate(vertices(1537)%branchCT(0:0))
      call avCT(1537, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1260/))

      allocate(vertices(2082)%branchCT(0:0))
      call avCT(2082, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(578)%branchCT(0:0))
      call avCT(578, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(2084)%branchCT(0:0))
      call avCT(2084, 0, 1, 1, 0, VUUa1, (/0, 3/), (/nGC_1154/))

      allocate(vertices(2085)%branchCT(0:0))
      call avCT(2085, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1012/))

      allocate(vertices(2086)%branchCT(0:0))
      call avCT(2086, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1011/))

      allocate(vertices(1575)%branchCT(0:0))
      call avCT(1575, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1183/))

      allocate(vertices(2089)%branchCT(0:1))
      call avCT(2089, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1248/))

      call avCT(2089, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1249/))

      allocate(vertices(1539)%branchCT(0:0))
      call avCT(1539, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(2091)%branchCT(0:0))
      call avCT(2091, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_1299/))

      allocate(vertices(3869)%branchCT(0:0))
      call avCT(3869, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1409/))

      allocate(vertices(3354)%branchCT(0:0))
      call avCT(3354, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_1445/))

      allocate(vertices(1608)%branchCT(0:0))
      call avCT(1608, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1156/))

      allocate(vertices(1627)%branchCT(0:0))
      call avCT(1627, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1155/))

      allocate(vertices(3432)%branchCT(0:0))
      call avCT(3432, 0, 1, 1, 0, UaUV1, (/0, 3/), (/nGC_1423/))

      allocate(vertices(257)%branchCT(0:5))
      call avCT(257, 0, 96, 4, 0, VVUUa0, (/4, 0/), (/nGC_1338/))

      call avCT(257, 1, 99, 4, 0, VVUUa0, (/4, 0/), (/nGC_1338/))

      call avCT(257, 2, 98, 4, 0, VVUUa0, (/4, 0/), (/nGC_1338/))

      call avCT(257, 3, 101, 5, 0, VVUUa0, (/4, 0/), (/nGC_1339/))

      call avCT(257, 4, 100, 5, 0, VVUUa0, (/4, 0/), (/nGC_1339/))

      call avCT(257, 5, 97, 4, 0, VVUUa0, (/4, 0/), (/nGC_1338/))

      allocate(vertices(2103)%branchCT(0:0))
      call avCT(2103, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1222/))

      allocate(vertices(1663)%branchCT(0:0))
      call avCT(1663, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1020/))

      allocate(vertices(2107)%branchCT(0:0))
      call avCT(2107, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1211/))

      allocate(vertices(2109)%branchCT(0:0))
      call avCT(2109, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1452/))

      allocate(vertices(3510)%branchCT(0:0))
      call avCT(3510, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1020/))

      allocate(vertices(2111)%branchCT(0:0))
      call avCT(2111, 0, 1, 1, 0, VUUa1, (/0, 3/), (/nGC_1445/))

      allocate(vertices(1738)%branchCT(0:0))
      call avCT(1738, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1362/))

      allocate(vertices(2113)%branchCT(0:0))
      call avCT(2113, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1024/))

      allocate(vertices(2794)%branchCT(0:0))
      call avCT(2794, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_1377, nGC_1378/))

      allocate(vertices(3870)%branchCT(0:0))
      call avCT(3870, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_1453, nGC_1454,        &
      nGC_1455/))

      allocate(vertices(2621)%branchCT(0:0))
      call avCT(2621, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(2117)%branchCT(0:3))
      call avCT(2117, 0, 56, 3, 0, FaVF0, (/3, 0/), (/nGC_1352, nGC_1354/))

      call avCT(2117, 1, 56, 3, 0, FaVF0, (/1, 2/), (/nGC_1353, nGC_1355/))

      call avCT(2117, 2, 57, 2, 0, FaVF0, (/3, 0/), (/nGC_1352, nGC_1354/))

      call avCT(2117, 3, 57, 2, 0, FaVF0, (/1, 2/), (/nGC_1353, nGC_1355/))

      allocate(vertices(2119)%branchCT(0:0))
      call avCT(2119, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1272/))

      allocate(vertices(2120)%branchCT(0:0))
      call avCT(2120, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1021/))

      allocate(vertices(3871)%branchCT(0:0))
      call avCT(3871, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1349/))

      allocate(vertices(2812)%branchCT(0:0))
      call avCT(2812, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1029/))

      allocate(vertices(2168)%branchCT(0:0))
      call avCT(2168, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1021/))

      allocate(vertices(2126)%branchCT(0:0))
      call avCT(2126, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1452/))

      allocate(vertices(2127)%branchCT(0:0))
      call avCT(2127, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(2426)%branchCT(0:0))
      call avCT(2426, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1308/))

      allocate(vertices(2246)%branchCT(0:0))
      call avCT(2246, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(2734)%branchCT(0:0))
      call avCT(2734, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1260/))

      allocate(vertices(2137)%branchCT(0:0))
      call avCT(2137, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1029/))

      allocate(vertices(2138)%branchCT(0:0))
      call avCT(2138, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1161/))

      allocate(vertices(2140)%branchCT(0:0))
      call avCT(2140, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(3872)%branchCT(0:0))
      call avCT(3872, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_1228/))

      allocate(vertices(503)%branchCT(0:0))
      call avCT(503, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1260/))

      allocate(vertices(3217)%branchCT(0:0))
      call avCT(3217, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1014/))

      allocate(vertices(2146)%branchCT(0:0))
      call avCT(2146, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1161/))

      allocate(vertices(2147)%branchCT(0:0))
      call avCT(2147, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1234/))

      allocate(vertices(2148)%branchCT(0:0))
      call avCT(2148, 0, 1, 1, 0, FaSF1, (/0, 3/), (/nGC_1182/))

      allocate(vertices(2150)%branchCT(0:0))
      call avCT(2150, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1161/))

      allocate(vertices(2151)%branchCT(0:0))
      call avCT(2151, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1024/))

      allocate(vertices(3873)%branchCT(0:0))
      call avCT(3873, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1349/))

      allocate(vertices(2508)%branchCT(0:0))
      call avCT(2508, 0, 1, 1, 0, SFFa2, (/0, 3/), (/nGC_1391/))

      allocate(vertices(2153)%branchCT(0:0))
      call avCT(2153, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(2155)%branchCT(0:0))
      call avCT(2155, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(2041)%branchCT(0:1))
      call avCT(2041, 0, 20, 1, 0, FVFa1, (/0, 3/), (/nGC_1255/))

      call avCT(2041, 1, 20, 1, 0, FVFa1, (/2, 1/), (/nGC_1256/))

      allocate(vertices(1192)%branchCT(0:0))
      call avCT(1192, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(1829)%branchCT(0:0))
      call avCT(1829, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1452/))

      allocate(vertices(2160)%branchCT(0:0))
      call avCT(2160, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(2161)%branchCT(0:1))
      call avCT(2161, 0, 19, 1, 0, FaFS0, (/0, 3/), (/nGC_1432, nGC_1434/))

      call avCT(2161, 1, 19, 1, 0, FaFS0, (/2, 1/), (/nGC_1433, nGC_1435/))

      allocate(vertices(3874)%branchCT(0:0))
      call avCT(3874, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_1228/))

      allocate(vertices(1513)%branchCT(0:0))
      call avCT(1513, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(2164)%branchCT(0:0))
      call avCT(2164, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1234/))

      allocate(vertices(2106)%branchCT(0:0))
      call avCT(2106, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(2167)%branchCT(0:0))
      call avCT(2167, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1156/))

      allocate(vertices(2125)%branchCT(0:0))
      call avCT(2125, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(3039)%branchCT(0:0))
      call avCT(3039, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1174/))

      allocate(vertices(2171)%branchCT(0:0))
      call avCT(2171, 0, 1, 1, 0, VUaU0, (/0, 3/), (/nGC_1198/))

      allocate(vertices(3875)%branchCT(0:0))
      call avCT(3875, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1349/))

      allocate(vertices(2173)%branchCT(0:0))
      call avCT(2173, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1162/))

      allocate(vertices(339)%branchCT(0:0))
      call avCT(339, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1020/))

      allocate(vertices(2175)%branchCT(0:0))
      call avCT(2175, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1456/))

      allocate(vertices(2177)%branchCT(0:1))
      call avCT(2177, 0, 19, 1, 0, FaFS0, (/0, 3/), (/nGC_1306, nGC_1306/))

      call avCT(2177, 1, 19, 1, 0, FaFS0, (/2, 1/), (/nGC_1307, nGC_1307/))

      allocate(vertices(2179)%branchCT(0:0))
      call avCT(2179, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_1398, nGC_1399/))

      allocate(vertices(2181)%branchCT(0:0))
      call avCT(2181, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1227/))

      allocate(vertices(2183)%branchCT(0:0))
      call avCT(2183, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1452/))

      allocate(vertices(2184)%branchCT(0:0))
      call avCT(2184, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_1376/))

      allocate(vertices(2185)%branchCT(0:0))
      call avCT(2185, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1022/))

      allocate(vertices(2079)%branchCT(0:0))
      call avCT(2079, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1276/))

      allocate(vertices(2187)%branchCT(0:0))
      call avCT(2187, 0, 1, 1, 0, VUaU0, (/0, 3/), (/nGC_1397/))

      allocate(vertices(2191)%branchCT(0:0))
      call avCT(2191, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1184/))

      allocate(vertices(2197)%branchCT(0:0))
      call avCT(2197, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(2200)%branchCT(0:0))
      call avCT(2200, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1020/))

      allocate(vertices(2202)%branchCT(0:0))
      call avCT(2202, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1021/))

      allocate(vertices(2210)%branchCT(0:0))
      call avCT(2210, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1234/))

      allocate(vertices(2212)%branchCT(0:0))
      call avCT(2212, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(3062)%branchCT(0:0))
      call avCT(3062, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(3055)%branchCT(0:0))
      call avCT(3055, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(3876)%branchCT(0:0))
      call avCT(3876, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1349/))

      allocate(vertices(2378)%branchCT(0:0))
      call avCT(2378, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_1299/))

      allocate(vertices(2216)%branchCT(0:1))
      call avCT(2216, 0, 19, 1, 0, FaFV0, (/0, 3/), (/nGC_1175, nGC_1177/))

      call avCT(2216, 1, 19, 1, 0, FaFV0, (/2, 1/), (/nGC_1176, nGC_1178/))

      allocate(vertices(2218)%branchCT(0:0))
      call avCT(2218, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1011/))

      allocate(vertices(2219)%branchCT(0:0))
      call avCT(2219, 0, 1, 1, 0, FaSF1, (/0, 3/), (/nGC_1391/))

      allocate(vertices(2220)%branchCT(0:0))
      call avCT(2220, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1012/))

      allocate(vertices(2221)%branchCT(0:1))
      call avCT(2221, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1322, nGC_1324/))

      call avCT(2221, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1323, nGC_1325/))

      allocate(vertices(968)%branchCT(0:0))
      call avCT(968, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(2223)%branchCT(0:0))
      call avCT(2223, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1155/))

      allocate(vertices(2224)%branchCT(0:0))
      call avCT(2224, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1021/))

      allocate(vertices(1441)%branchCT(0:0))
      call avCT(1441, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1222/))

      allocate(vertices(2229)%branchCT(0:1))
      call avCT(2229, 0, 17, 1, 0, VFFa1, (/0, 3/), (/nGC_1335/))

      call avCT(2229, 1, 17, 1, 0, VFFa1, (/2, 1/), (/nGC_1336/))

      allocate(vertices(2452)%branchCT(0:0))
      call avCT(2452, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(2232)%branchCT(0:0))
      call avCT(2232, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(2233)%branchCT(0:0))
      call avCT(2233, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_1245/))

      allocate(vertices(2484)%branchCT(0:0))
      call avCT(2484, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1272/))

      allocate(vertices(2236)%branchCT(0:0))
      call avCT(2236, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1161/))

      allocate(vertices(2237)%branchCT(0:0))
      call avCT(2237, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1321/))

      allocate(vertices(1568)%branchCT(0:1))
      call avCT(1568, 0, 17, 1, 0, VFFa1, (/0, 3/), (/nGC_1248/))

      call avCT(1568, 1, 17, 1, 0, VFFa1, (/2, 1/), (/nGC_1249/))

      allocate(vertices(2240)%branchCT(0:0))
      call avCT(2240, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1206, nGC_1205,       &
      nGC_1206/))

      allocate(vertices(2241)%branchCT(0:0))
      call avCT(2241, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_1154/))

      allocate(vertices(2243)%branchCT(0:0))
      call avCT(2243, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(971)%branchCT(0:0))
      call avCT(971, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1021/))

      allocate(vertices(2249)%branchCT(0:0))
      call avCT(2249, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(2251)%branchCT(0:0))
      call avCT(2251, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_1239/))

      allocate(vertices(2011)%branchCT(0:0))
      call avCT(2011, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1024/))

      allocate(vertices(2256)%branchCT(0:0))
      call avCT(2256, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1012/))

      allocate(vertices(635)%branchCT(0:0))
      call avCT(635, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(2258)%branchCT(0:0))
      call avCT(2258, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1156/))

      allocate(vertices(2456)%branchCT(0:0))
      call avCT(2456, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(11)%branchCT(0:0))
      call avCT(11, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1200/))

      allocate(vertices(2263)%branchCT(0:0))
      call avCT(2263, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1206, nGC_1206,       &
      nGC_1205/))

      allocate(vertices(1461)%branchCT(0:0))
      call avCT(1461, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(2266)%branchCT(0:0))
      call avCT(2266, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(2267)%branchCT(0:0))
      call avCT(2267, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1183/))

      allocate(vertices(310)%branchCT(0:1))
      call avCT(310, 0, 19, 1, 0, FaFV0, (/0, 3/), (/nGC_1229, nGC_1231/))

      call avCT(310, 1, 19, 1, 0, FaFV0, (/2, 1/), (/nGC_1230, nGC_1232/))

      allocate(vertices(2271)%branchCT(0:0))
      call avCT(2271, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1414/))

      allocate(vertices(2273)%branchCT(0:0))
      call avCT(2273, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(2723)%branchCT(0:0))
      call avCT(2723, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1247/))

      allocate(vertices(2124)%branchCT(0:1))
      call avCT(2124, 0, 21, 1, 0, FaVF0, (/0, 3/), (/nGC_1417, nGC_1419/))

      call avCT(2124, 1, 21, 1, 0, FaVF0, (/2, 1/), (/nGC_1418, nGC_1420/))

      allocate(vertices(1833)%branchCT(0:0))
      call avCT(1833, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(2278)%branchCT(0:0))
      call avCT(2278, 0, 1, 1, 0, UaUV1, (/0, 3/), (/nGC_1370/))

      allocate(vertices(2280)%branchCT(0:0))
      call avCT(2280, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1185/))

      allocate(vertices(2281)%branchCT(0:1))
      call avCT(2281, 0, 20, 1, 0, FVFa1, (/0, 3/), (/nGC_1335/))

      call avCT(2281, 1, 20, 1, 0, FVFa1, (/2, 1/), (/nGC_1336/))

      allocate(vertices(2779)%branchCT(0:0))
      call avCT(2779, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(3877)%branchCT(0:0))
      call avCT(3877, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1409/))

      allocate(vertices(2284)%branchCT(0:0))
      call avCT(2284, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(2285)%branchCT(0:0))
      call avCT(2285, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1029/))

      allocate(vertices(2759)%branchCT(0:0))
      call avCT(2759, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(471)%branchCT(0:0))
      call avCT(471, 0, 1, 1, 0, VUUa1, (/0, 3/), (/nGC_1412/))

      allocate(vertices(2288)%branchCT(0:0))
      call avCT(2288, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1020/))

      allocate(vertices(3878)%branchCT(0:1))
      call avCT(3878, 0, 124, 1, 0, FaF0, (/0, 2/), (/nGC_1329, nGC_1331,      &
      nGC_1331, nGC_1333/))

      call avCT(3878, 1, 124, 1, 0, FaF0, (/2, 0/), (/nGC_1330, nGC_1332,      &
      nGC_1332, nGC_1334/))

      allocate(vertices(2292)%branchCT(0:0))
      call avCT(2292, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(2293)%branchCT(0:0))
      call avCT(2293, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1024/))

      allocate(vertices(1578)%branchCT(0:0))
      call avCT(1578, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(3879)%branchCT(0:0))
      call avCT(3879, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_1453, nGC_1454,        &
      nGC_1455/))

      allocate(vertices(2864)%branchCT(0:0))
      call avCT(2864, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1197/))

      allocate(vertices(2299)%branchCT(0:0))
      call avCT(2299, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1260/))

      allocate(vertices(2301)%branchCT(0:0))
      call avCT(2301, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1010/))

      allocate(vertices(2302)%branchCT(0:1))
      call avCT(2302, 0, 18, 1, 0, VFaF1, (/0, 3/), (/nGC_1255/))

      call avCT(2302, 1, 18, 1, 0, VFaF1, (/2, 1/), (/nGC_1256/))

      allocate(vertices(3554)%branchCT(0:0))
      call avCT(3554, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(2557)%branchCT(0:1))
      call avCT(2557, 0, 19, 1, 0, FaFV1, (/0, 3/), (/nGC_1255/))

      call avCT(2557, 1, 19, 1, 0, FaFV1, (/2, 1/), (/nGC_1256/))

      allocate(vertices(2306)%branchCT(0:0))
      call avCT(2306, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(81)%branchCT(0:0))
      call avCT(81, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1260/))

      allocate(vertices(2310)%branchCT(0:0))
      call avCT(2310, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(2313)%branchCT(0:0))
      call avCT(2313, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1208, nGC_1208,       &
      nGC_1209/))

      allocate(vertices(1583)%branchCT(0:0))
      call avCT(1583, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1260/))

      allocate(vertices(2318)%branchCT(0:0))
      call avCT(2318, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(3025)%branchCT(0:0))
      call avCT(3025, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1011/))

      allocate(vertices(2324)%branchCT(0:0))
      call avCT(2324, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1155/))

      allocate(vertices(460)%branchCT(0:0))
      call avCT(460, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1260/))

      allocate(vertices(986)%branchCT(0:0))
      call avCT(986, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(2328)%branchCT(0:0))
      call avCT(2328, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1227/))

      allocate(vertices(3079)%branchCT(0:0))
      call avCT(3079, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1021/))

      allocate(vertices(2331)%branchCT(0:0))
      call avCT(2331, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(2332)%branchCT(0:0))
      call avCT(2332, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1234/))

      allocate(vertices(2336)%branchCT(0:0))
      call avCT(2336, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1021/))

      allocate(vertices(3035)%branchCT(0:0))
      call avCT(3035, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1362/))

      allocate(vertices(3133)%branchCT(0:1))
      call avCT(3133, 0, 17, 1, 0, VFFa1, (/0, 3/), (/nGC_1335/))

      call avCT(3133, 1, 17, 1, 0, VFFa1, (/2, 1/), (/nGC_1336/))

      allocate(vertices(2340)%branchCT(0:0))
      call avCT(2340, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1222/))

      allocate(vertices(3880)%branchCT(0:0))
      call avCT(3880, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_1457, nGC_1458,        &
      nGC_1459/))

      allocate(vertices(2342)%branchCT(0:1))
      call avCT(2342, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1157, nGC_1159/))

      call avCT(2342, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1158, nGC_1160/))

      allocate(vertices(2344)%branchCT(0:0))
      call avCT(2344, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1362/))

      allocate(vertices(3210)%branchCT(0:0))
      call avCT(3210, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1011/))

      allocate(vertices(2348)%branchCT(0:1))
      call avCT(2348, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_1224, nGC_1224/))

      call avCT(2348, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_1225, nGC_1225/))

      allocate(vertices(2349)%branchCT(0:0))
      call avCT(2349, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(2351)%branchCT(0:0))
      call avCT(2351, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1234/))

      allocate(vertices(3815)%branchCT(0:0))
      call avCT(3815, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(2354)%branchCT(0:0))
      call avCT(2354, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(2357)%branchCT(0:0))
      call avCT(2357, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1234/))

      allocate(vertices(2358)%branchCT(0:0))
      call avCT(2358, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(362)%branchCT(0:0))
      call avCT(362, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1020/))

      allocate(vertices(2361)%branchCT(0:0))
      call avCT(2361, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(3450)%branchCT(0:0))
      call avCT(3450, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(2363)%branchCT(0:1))
      call avCT(2363, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_1379, nGC_1381/))

      call avCT(2363, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_1380, nGC_1382/))

      allocate(vertices(2364)%branchCT(0:0))
      call avCT(2364, 0, 1, 1, 0, SFFa1, (/0, 3/), (/nGC_1436, nGC_1437/))

      allocate(vertices(2367)%branchCT(0:1))
      call avCT(2367, 0, 21, 1, 0, FaVF0, (/0, 3/), (/nGC_1356, nGC_1358/))

      call avCT(2367, 1, 21, 1, 0, FaVF0, (/2, 1/), (/nGC_1357, nGC_1359/))

      allocate(vertices(2368)%branchCT(0:0))
      call avCT(2368, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1247/))

      allocate(vertices(2369)%branchCT(0:0))
      call avCT(2369, 0, 1, 1, 0, FSFa1, (/0, 3/), (/nGC_1391/))

      allocate(vertices(2955)%branchCT(0:0))
      call avCT(2955, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1022/))

      allocate(vertices(2371)%branchCT(0:0))
      call avCT(2371, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1211/))

      allocate(vertices(3881)%branchCT(0:0))
      call avCT(3881, 0, 13, 1, 0, FaF0, (/0, 2/), (/nGC_1460, nGC_1461,       &
      nGC_1461, nGC_1462/))

      allocate(vertices(2006)%branchCT(0:0))
      call avCT(2006, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1161/))

      allocate(vertices(2375)%branchCT(0:0))
      call avCT(2375, 0, 1, 1, 0, VUaU0, (/0, 3/), (/nGC_1293/))

      allocate(vertices(2376)%branchCT(0:0))
      call avCT(2376, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1211/))

      allocate(vertices(2379)%branchCT(0:0))
      call avCT(2379, 0, 1, 1, 0, SFaF2, (/0, 3/), (/nGC_1182/))

      allocate(vertices(3882)%branchCT(0:0))
      call avCT(3882, 0, 13, 1, 0, SV0, (/0, 2/), (/nGC_1463/))

      allocate(vertices(2385)%branchCT(0:0))
      call avCT(2385, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(2386)%branchCT(0:0))
      call avCT(2386, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1024/))

      allocate(vertices(2389)%branchCT(0:0))
      call avCT(2389, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(2392)%branchCT(0:0))
      call avCT(2392, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(3563)%branchCT(0:0))
      call avCT(3563, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(3297)%branchCT(0:0))
      call avCT(3297, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1011/))

      allocate(vertices(2397)%branchCT(0:0))
      call avCT(2397, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_1154/))

      allocate(vertices(2401)%branchCT(0:0))
      call avCT(2401, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1183/))

      allocate(vertices(2402)%branchCT(0:0))
      call avCT(2402, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(2403)%branchCT(0:0))
      call avCT(2403, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_1245/))

      allocate(vertices(3609)%branchCT(0:0))
      call avCT(3609, 0, 1, 1, 0, VVV1, (/0, 3/), (/nGC_1386/))

      allocate(vertices(997)%branchCT(0:5))
      call avCT(997, 0, 85, 4, 0, VUaUV0, (/4, 0/), (/nGC_1338/))

      call avCT(997, 1, 84, 4, 0, VUaUV0, (/4, 0/), (/nGC_1338/))

      call avCT(997, 2, 89, 5, 0, VUaUV0, (/4, 0/), (/nGC_1339/))

      call avCT(997, 3, 88, 5, 0, VUaUV0, (/4, 0/), (/nGC_1339/))

      call avCT(997, 4, 87, 4, 0, VUaUV0, (/4, 0/), (/nGC_1338/))

      call avCT(997, 5, 86, 4, 0, VUaUV0, (/4, 0/), (/nGC_1338/))

      allocate(vertices(2408)%branchCT(0:0))
      call avCT(2408, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1011/))

      allocate(vertices(2410)%branchCT(0:0))
      call avCT(2410, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(2412)%branchCT(0:0))
      call avCT(2412, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(2413)%branchCT(0:0))
      call avCT(2413, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1315/))

      allocate(vertices(2334)%branchCT(0:0))
      call avCT(2334, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1318/))

      allocate(vertices(2418)%branchCT(0:0))
      call avCT(2418, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(3715)%branchCT(0:0))
      call avCT(3715, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1021/))

      allocate(vertices(2422)%branchCT(0:0))
      call avCT(2422, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(2424)%branchCT(0:0))
      call avCT(2424, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(1602)%branchCT(0:0))
      call avCT(1602, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(3753)%branchCT(0:0))
      call avCT(3753, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1020/))

      allocate(vertices(3883)%branchCT(0:0))
      call avCT(3883, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_1199/))

      allocate(vertices(2427)%branchCT(0:0))
      call avCT(2427, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(502)%branchCT(0:0))
      call avCT(502, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1156/))

      allocate(vertices(2428)%branchCT(0:0))
      call avCT(2428, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1162/))

      allocate(vertices(3884)%branchCT(0:0))
      call avCT(3884, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1349/))

      allocate(vertices(212)%branchCT(0:0))
      call avCT(212, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1227/))

      allocate(vertices(1393)%branchCT(0:0))
      call avCT(1393, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(23)%branchCT(0:0))
      call avCT(23, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1021/))

      allocate(vertices(2435)%branchCT(0:0))
      call avCT(2435, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_1245/))

      allocate(vertices(1003)%branchCT(0:0))
      call avCT(1003, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1021/))

      allocate(vertices(2437)%branchCT(0:0))
      call avCT(2437, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1244/))

      allocate(vertices(2439)%branchCT(0:0))
      call avCT(2439, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1014/))

      allocate(vertices(3278)%branchCT(0:0))
      call avCT(3278, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_1245/))

      allocate(vertices(2441)%branchCT(0:0))
      call avCT(2441, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(56)%branchCT(0:0))
      call avCT(56, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(2443)%branchCT(0:1))
      call avCT(2443, 0, 19, 1, 0, FaFV0, (/0, 3/), (/nGC_1311, nGC_1313/))

      call avCT(2443, 1, 19, 1, 0, FaFV0, (/2, 1/), (/nGC_1312, nGC_1314/))

      allocate(vertices(2445)%branchCT(0:0))
      call avCT(2445, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1384, nGC_1384,       &
      nGC_1383/))

      allocate(vertices(2447)%branchCT(0:1))
      call avCT(2447, 0, 21, 1, 0, FaVF0, (/0, 3/), (/nGC_1175, nGC_1177/))

      call avCT(2447, 1, 21, 1, 0, FaVF0, (/2, 1/), (/nGC_1176, nGC_1178/))

      allocate(vertices(2448)%branchCT(0:0))
      call avCT(2448, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1272/))

      allocate(vertices(2449)%branchCT(0:0))
      call avCT(2449, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(2451)%branchCT(0:0))
      call avCT(2451, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1161/))

      allocate(vertices(2453)%branchCT(0:0))
      call avCT(2453, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1211/))

      allocate(vertices(2458)%branchCT(0:0))
      call avCT(2458, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1174/))

      allocate(vertices(2460)%branchCT(0:0))
      call avCT(2460, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1308/))

      allocate(vertices(2462)%branchCT(0:1))
      call avCT(2462, 0, 21, 1, 0, FaVF0, (/0, 3/), (/nGC_1322, nGC_1324/))

      call avCT(2462, 1, 21, 1, 0, FaVF0, (/2, 1/), (/nGC_1323, nGC_1325/))

      allocate(vertices(2463)%branchCT(0:0))
      call avCT(2463, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1156/))

      allocate(vertices(2464)%branchCT(0:1))
      call avCT(2464, 0, 18, 1, 0, SFaF1, (/0, 3/), (/nGC_1224, nGC_1224/))

      call avCT(2464, 1, 18, 1, 0, SFaF1, (/2, 1/), (/nGC_1225, nGC_1225/))

      allocate(vertices(2465)%branchCT(0:0))
      call avCT(2465, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(2466)%branchCT(0:0))
      call avCT(2466, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_1363, nGC_1364/))

      allocate(vertices(435)%branchCT(0:0))
      call avCT(435, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(2471)%branchCT(0:0))
      call avCT(2471, 0, 1, 1, 0, FFaS1, (/0, 3/), (/nGC_1275, nGC_1275/))

      allocate(vertices(2474)%branchCT(0:0))
      call avCT(2474, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(2477)%branchCT(0:0))
      call avCT(2477, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1029/))

      allocate(vertices(2478)%branchCT(0:0))
      call avCT(2478, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1185/))

      allocate(vertices(2479)%branchCT(0:0))
      call avCT(2479, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(2480)%branchCT(0:3))
      call avCT(2480, 0, 56, 3, 0, FaVF0, (/3, 0/), (/nGC_1186, nGC_1188/))

      call avCT(2480, 1, 56, 3, 0, FaVF0, (/1, 2/), (/nGC_1187, nGC_1189/))

      call avCT(2480, 2, 57, 2, 0, FaVF0, (/3, 0/), (/nGC_1186, nGC_1188/))

      call avCT(2480, 3, 57, 2, 0, FaVF0, (/1, 2/), (/nGC_1187, nGC_1189/))

      allocate(vertices(2481)%branchCT(0:0))
      call avCT(2481, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(2483)%branchCT(0:0))
      call avCT(2483, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(2234)%branchCT(0:0))
      call avCT(2234, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1020/))

      allocate(vertices(3885)%branchCT(0:0))
      call avCT(3885, 0, 13, 1, 0, VS0, (/0, 2/), (/nGC_1464/))

      allocate(vertices(2486)%branchCT(0:1))
      call avCT(2486, 0, 21, 1, 0, FaSF0, (/0, 3/), (/nGC_1387, nGC_1389/))

      call avCT(2486, 1, 21, 1, 0, FaSF0, (/2, 1/), (/nGC_1388, nGC_1390/))

      allocate(vertices(2488)%branchCT(0:1))
      call avCT(2488, 0, 17, 1, 0, VFFa0, (/0, 3/), (/nGC_1425, nGC_1427/))

      call avCT(2488, 1, 17, 1, 0, VFFa0, (/2, 1/), (/nGC_1426, nGC_1428/))

      allocate(vertices(2490)%branchCT(0:0))
      call avCT(2490, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1227/))

      allocate(vertices(335)%branchCT(0:0))
      call avCT(335, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(364)%branchCT(0:0))
      call avCT(364, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1209, nGC_1208,        &
      nGC_1208/))

      allocate(vertices(383)%branchCT(0:0))
      call avCT(383, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1155/))

      allocate(vertices(2500)%branchCT(0:1))
      call avCT(2500, 0, 10, 1, 0, FFaS1, (/0, 3/), (/nGC_1179, nGC_1179/))

      call avCT(2500, 1, 10, 1, 0, FFaS1, (/2, 1/), (/nGC_1180, nGC_1180/))

      allocate(vertices(1072)%branchCT(0:0))
      call avCT(1072, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1024/))

      allocate(vertices(3886)%branchCT(0:1))
      call avCT(3886, 0, 16, 8, 0, VV1, (/2, 0/), (/nGC_1465, nGC_1466/))

      call avCT(3886, 1, 15, 1, 0, VV1, (/2, 0/), (/nGC_1465, nGC_1466/))

      allocate(vertices(2507)%branchCT(0:3))
      call avCT(2507, 0, 27, 2, 0, FaFV0, (/1, 2/), (/nGC_1367, nGC_1369/))

      call avCT(2507, 1, 27, 2, 0, FaFV0, (/3, 0/), (/nGC_1366, nGC_1368/))

      call avCT(2507, 2, 26, 3, 0, FaFV0, (/1, 2/), (/nGC_1367, nGC_1369/))

      call avCT(2507, 3, 26, 3, 0, FaFV0, (/3, 0/), (/nGC_1366, nGC_1368/))

      allocate(vertices(1324)%branchCT(0:0))
      call avCT(1324, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1321/))

      allocate(vertices(2509)%branchCT(0:0))
      call avCT(2509, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(469)%branchCT(0:0))
      call avCT(469, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1234/))

      allocate(vertices(490)%branchCT(0:0))
      call avCT(490, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(2514)%branchCT(0:1))
      call avCT(2514, 0, 18, 1, 0, SFaF1, (/0, 3/), (/nGC_1387, nGC_1389/))

      call avCT(2514, 1, 18, 1, 0, SFaF1, (/2, 1/), (/nGC_1388, nGC_1390/))

      allocate(vertices(2209)%branchCT(0:0))
      call avCT(2209, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1254/))

      allocate(vertices(2646)%branchCT(0:0))
      call avCT(2646, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1272/))

      allocate(vertices(2520)%branchCT(0:0))
      call avCT(2520, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1184/))

      allocate(vertices(544)%branchCT(0:0))
      call avCT(544, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1183/))

      allocate(vertices(2522)%branchCT(0:0))
      call avCT(2522, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1010/))

      allocate(vertices(2523)%branchCT(0:0))
      call avCT(2523, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(2525)%branchCT(0:0))
      call avCT(2525, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1183/))

      allocate(vertices(579)%branchCT(0:0))
      call avCT(579, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1272/))

      allocate(vertices(2529)%branchCT(0:0))
      call avCT(2529, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(597)%branchCT(0:0))
      call avCT(597, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(2532)%branchCT(0:0))
      call avCT(2532, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(3811)%branchCT(0:1))
      call avCT(3811, 0, 18, 1, 0, SFaF1, (/0, 3/), (/nGC_1213, nGC_1215/))

      call avCT(3811, 1, 18, 1, 0, SFaF1, (/2, 1/), (/nGC_1214, nGC_1216/))

      allocate(vertices(2534)%branchCT(0:0))
      call avCT(2534, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1375/))

      allocate(vertices(2535)%branchCT(0:0))
      call avCT(2535, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1318/))

      allocate(vertices(1619)%branchCT(0:0))
      call avCT(1619, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(1706)%branchCT(0:0))
      call avCT(1706, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(2539)%branchCT(0:0))
      call avCT(2539, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1024/))

      allocate(vertices(2541)%branchCT(0:0))
      call avCT(2541, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1254/))

      allocate(vertices(313)%branchCT(0:0))
      call avCT(313, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(2543)%branchCT(0:0))
      call avCT(2543, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_1422/))

      allocate(vertices(702)%branchCT(0:0))
      call avCT(702, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(2547)%branchCT(0:0))
      call avCT(2547, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(2548)%branchCT(0:1))
      call avCT(2548, 0, 17, 1, 0, SFFa1, (/0, 3/), (/nGC_1163, nGC_1165/))

      call avCT(2548, 1, 17, 1, 0, SFFa1, (/2, 1/), (/nGC_1164, nGC_1166/))

      allocate(vertices(2549)%branchCT(0:1))
      call avCT(2549, 0, 17, 1, 0, VFFa1, (/0, 3/), (/nGC_1255/))

      call avCT(2549, 1, 17, 1, 0, VFFa1, (/2, 1/), (/nGC_1256/))

      allocate(vertices(2551)%branchCT(0:0))
      call avCT(2551, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1197/))

      allocate(vertices(2552)%branchCT(0:1))
      call avCT(2552, 0, 21, 1, 0, FaSF0, (/0, 3/), (/nGC_1240, nGC_1242/))

      call avCT(2552, 1, 21, 1, 0, FaSF0, (/2, 1/), (/nGC_1241, nGC_1243/))

      allocate(vertices(2556)%branchCT(0:0))
      call avCT(2556, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1414/))

      allocate(vertices(2559)%branchCT(0:3))
      call avCT(2559, 0, 11, 3, 0, FFaV0, (/3, 0/), (/nGC_1186, nGC_1188/))

      call avCT(2559, 1, 11, 3, 0, FFaV0, (/1, 2/), (/nGC_1187, nGC_1189/))

      call avCT(2559, 2, 12, 2, 0, FFaV0, (/3, 0/), (/nGC_1186, nGC_1188/))

      call avCT(2559, 3, 12, 2, 0, FFaV0, (/1, 2/), (/nGC_1187, nGC_1189/))

      allocate(vertices(2560)%branchCT(0:0))
      call avCT(2560, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1156/))

      allocate(vertices(2562)%branchCT(0:0))
      call avCT(2562, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1013/))

      allocate(vertices(3783)%branchCT(0:0))
      call avCT(3783, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1021/))

      allocate(vertices(1371)%branchCT(0:0))
      call avCT(1371, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1308/))

      allocate(vertices(2566)%branchCT(0:0))
      call avCT(2566, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1183/))

      allocate(vertices(2570)%branchCT(0:0))
      call avCT(2570, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_1394/))

      allocate(vertices(2571)%branchCT(0:0))
      call avCT(2571, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(2071)%branchCT(0:0))
      call avCT(2071, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(2574)%branchCT(0:0))
      call avCT(2574, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_1377, nGC_1378/))

      allocate(vertices(520)%branchCT(0:0))
      call avCT(520, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1011/))

      allocate(vertices(2576)%branchCT(0:0))
      call avCT(2576, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_1394/))

      allocate(vertices(2577)%branchCT(0:0))
      call avCT(2577, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1174/))

      allocate(vertices(1930)%branchCT(0:0))
      call avCT(1930, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1254/))

      allocate(vertices(2580)%branchCT(0:0))
      call avCT(2580, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(2581)%branchCT(0:0))
      call avCT(2581, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(2582)%branchCT(0:1))
      call avCT(2582, 0, 21, 1, 0, FaVF0, (/0, 3/), (/nGC_1250, nGC_1252/))

      call avCT(2582, 1, 21, 1, 0, FaVF0, (/2, 1/), (/nGC_1251, nGC_1253/))

      allocate(vertices(911)%branchCT(0:0))
      call avCT(911, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1260/))

      allocate(vertices(2584)%branchCT(0:0))
      call avCT(2584, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_1239/))

      allocate(vertices(2883)%branchCT(0:0))
      call avCT(2883, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1260/))

      allocate(vertices(2586)%branchCT(0:0))
      call avCT(2586, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(2587)%branchCT(0:0))
      call avCT(2587, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1283/))

      allocate(vertices(487)%branchCT(0:0))
      call avCT(487, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1014/))

      allocate(vertices(2594)%branchCT(0:0))
      call avCT(2594, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(2323)%branchCT(0:1))
      call avCT(2323, 0, 19, 1, 0, FaFS0, (/0, 3/), (/nGC_1387, nGC_1389/))

      call avCT(2323, 1, 19, 1, 0, FaFS0, (/2, 1/), (/nGC_1388, nGC_1390/))

      allocate(vertices(2597)%branchCT(0:0))
      call avCT(2597, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1011/))

      allocate(vertices(1004)%branchCT(0:0))
      call avCT(1004, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(2601)%branchCT(0:0))
      call avCT(2601, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1156/))

      allocate(vertices(2603)%branchCT(0:0))
      call avCT(2603, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1029/))

      allocate(vertices(2606)%branchCT(0:0))
      call avCT(2606, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(1066)%branchCT(0:0))
      call avCT(1066, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1206, nGC_1206,       &
      nGC_1205/))

      allocate(vertices(2609)%branchCT(0:1))
      call avCT(2609, 0, 20, 1, 0, FSFa0, (/0, 3/), (/nGC_1306, nGC_1306/))

      call avCT(2609, 1, 20, 1, 0, FSFa0, (/2, 1/), (/nGC_1307, nGC_1307/))

      allocate(vertices(1295)%branchCT(0:0))
      call avCT(1295, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1022/))

      allocate(vertices(2611)%branchCT(0:1))
      call avCT(2611, 0, 21, 1, 0, FaVF0, (/0, 3/), (/nGC_1229, nGC_1231/))

      call avCT(2611, 1, 21, 1, 0, FaVF0, (/2, 1/), (/nGC_1230, nGC_1232/))

      allocate(vertices(2613)%branchCT(0:0))
      call avCT(2613, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1259/))

      allocate(vertices(2617)%branchCT(0:0))
      call avCT(2617, 0, 1, 1, 0, FaFS1, (/0, 3/), (/nGC_1223/))

      allocate(vertices(2618)%branchCT(0:0))
      call avCT(2618, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1156/))

      allocate(vertices(2619)%branchCT(0:0))
      call avCT(2619, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(2622)%branchCT(0:0))
      call avCT(2622, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1244/))

      allocate(vertices(2624)%branchCT(0:1))
      call avCT(2624, 0, 21, 1, 0, FaVF1, (/0, 3/), (/nGC_1335/))

      call avCT(2624, 1, 21, 1, 0, FaVF1, (/2, 1/), (/nGC_1336/))

      allocate(vertices(2625)%branchCT(0:0))
      call avCT(2625, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1011/))

      allocate(vertices(2627)%branchCT(0:0))
      call avCT(2627, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1029/))

      allocate(vertices(363)%branchCT(0:0))
      call avCT(363, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(2630)%branchCT(0:0))
      call avCT(2630, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1208, nGC_1208,       &
      nGC_1209/))

      allocate(vertices(3155)%branchCT(0:0))
      call avCT(3155, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1021/))

      allocate(vertices(1480)%branchCT(0:0))
      call avCT(1480, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(2639)%branchCT(0:0))
      call avCT(2639, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(3531)%branchCT(0:0))
      call avCT(3531, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(2642)%branchCT(0:0))
      call avCT(2642, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(2643)%branchCT(0:0))
      call avCT(2643, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_1275, nGC_1275/))

      allocate(vertices(2644)%branchCT(0:0))
      call avCT(2644, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(1258)%branchCT(0:0))
      call avCT(1258, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(1048)%branchCT(0:0))
      call avCT(1048, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1183/))

      allocate(vertices(1839)%branchCT(0:0))
      call avCT(1839, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1183/))

      allocate(vertices(2650)%branchCT(0:0))
      call avCT(2650, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1222/))

      allocate(vertices(1285)%branchCT(0:0))
      call avCT(1285, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1021/))

      allocate(vertices(2652)%branchCT(0:1))
      call avCT(2652, 0, 2, 6, 0, UaUV1, (/3, 0/), (/nGC_1320/))

      call avCT(2652, 1, 3, 7, 0, UaUV1, (/3, 0/), (/nGC_1320/))

      allocate(vertices(2485)%branchCT(0:0))
      call avCT(2485, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1321/))

      allocate(vertices(2895)%branchCT(0:0))
      call avCT(2895, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_1398, nGC_1399/))

      allocate(vertices(2657)%branchCT(0:0))
      call avCT(2657, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1272/))

      allocate(vertices(3660)%branchCT(0:0))
      call avCT(3660, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(2660)%branchCT(0:0))
      call avCT(2660, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_1391/))

      allocate(vertices(2661)%branchCT(0:0))
      call avCT(2661, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(2662)%branchCT(0:0))
      call avCT(2662, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_1422/))

      allocate(vertices(2665)%branchCT(0:0))
      call avCT(2665, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1161/))

      allocate(vertices(2666)%branchCT(0:0))
      call avCT(2666, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1156/))

      allocate(vertices(2669)%branchCT(0:0))
      call avCT(2669, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(2671)%branchCT(0:0))
      call avCT(2671, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(2674)%branchCT(0:1))
      call avCT(2674, 0, 21, 1, 0, FaSF0, (/0, 3/), (/nGC_1163, nGC_1165/))

      call avCT(2674, 1, 21, 1, 0, FaSF0, (/2, 1/), (/nGC_1164, nGC_1166/))

      allocate(vertices(2675)%branchCT(0:5))
      call avCT(2675, 0, 109, 4, 0, VUVUa0, (/4, 0/), (/nGC_1338/))

      call avCT(2675, 1, 108, 4, 0, VUVUa0, (/4, 0/), (/nGC_1338/))

      call avCT(2675, 2, 111, 4, 0, VUVUa0, (/4, 0/), (/nGC_1338/))

      call avCT(2675, 3, 110, 4, 0, VUVUa0, (/4, 0/), (/nGC_1338/))

      call avCT(2675, 4, 113, 5, 0, VUVUa0, (/4, 0/), (/nGC_1339/))

      call avCT(2675, 5, 112, 5, 0, VUVUa0, (/4, 0/), (/nGC_1339/))

      allocate(vertices(3759)%branchCT(0:0))
      call avCT(3759, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1024/))

      allocate(vertices(308)%branchCT(0:0))
      call avCT(308, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1011/))

      allocate(vertices(2680)%branchCT(0:0))
      call avCT(2680, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(2683)%branchCT(0:0))
      call avCT(2683, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1276/))

      allocate(vertices(2891)%branchCT(0:1))
      call avCT(2891, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1255/))

      call avCT(2891, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1256/))

      allocate(vertices(1491)%branchCT(0:0))
      call avCT(1491, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(2687)%branchCT(0:0))
      call avCT(2687, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1155/))

      allocate(vertices(2689)%branchCT(0:0))
      call avCT(2689, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1022/))

      allocate(vertices(2690)%branchCT(0:0))
      call avCT(2690, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1156/))

      allocate(vertices(3011)%branchCT(0:0))
      call avCT(3011, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(1968)%branchCT(0:0))
      call avCT(1968, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_1398, nGC_1399/))

      allocate(vertices(2695)%branchCT(0:0))
      call avCT(2695, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1260/))

      allocate(vertices(2696)%branchCT(0:0))
      call avCT(2696, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1184/))

      allocate(vertices(2700)%branchCT(0:0))
      call avCT(2700, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1010/))

      allocate(vertices(3553)%branchCT(0:0))
      call avCT(3553, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_1257, nGC_1258/))

      allocate(vertices(2702)%branchCT(0:0))
      call avCT(2702, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_1408/))

      allocate(vertices(3887)%branchCT(0:0))
      call avCT(3887, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1349/))

      allocate(vertices(1596)%branchCT(0:0))
      call avCT(1596, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(2708)%branchCT(0:1))
      call avCT(2708, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1425, nGC_1427/))

      call avCT(2708, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1426, nGC_1428/))

      allocate(vertices(2709)%branchCT(0:0))
      call avCT(2709, 0, 1, 1, 0, SFaF1, (/0, 3/), (/nGC_1309, nGC_1310/))

      allocate(vertices(3728)%branchCT(0:0))
      call avCT(3728, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(2715)%branchCT(0:1))
      call avCT(2715, 0, 17, 1, 0, SFFa1, (/0, 3/), (/nGC_1165, nGC_1163/))

      call avCT(2715, 1, 17, 1, 0, SFFa1, (/2, 1/), (/nGC_1166, nGC_1164/))

      allocate(vertices(1641)%branchCT(0:0))
      call avCT(1641, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1156/))

      allocate(vertices(2717)%branchCT(0:0))
      call avCT(2717, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1162/))

      allocate(vertices(2718)%branchCT(0:0))
      call avCT(2718, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_1223/))

      allocate(vertices(1658)%branchCT(0:0))
      call avCT(1658, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1019/))

      allocate(vertices(2720)%branchCT(0:0))
      call avCT(2720, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1010/))

      allocate(vertices(1685)%branchCT(0:0))
      call avCT(1685, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1021/))

      allocate(vertices(1687)%branchCT(0:0))
      call avCT(1687, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_1446/))

      allocate(vertices(1696)%branchCT(0:0))
      call avCT(1696, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(3308)%branchCT(0:1))
      call avCT(3308, 0, 20, 1, 0, FSFa0, (/0, 3/), (/nGC_1392, nGC_1392/))

      call avCT(3308, 1, 20, 1, 0, FSFa0, (/2, 1/), (/nGC_1393, nGC_1393/))

      allocate(vertices(2731)%branchCT(0:0))
      call avCT(2731, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(2732)%branchCT(0:0))
      call avCT(2732, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1244/))

      allocate(vertices(2733)%branchCT(0:1))
      call avCT(2733, 0, 18, 1, 0, VFaF0, (/0, 3/), (/nGC_1175, nGC_1177/))

      call avCT(2733, 1, 18, 1, 0, VFaF0, (/2, 1/), (/nGC_1176, nGC_1178/))

      allocate(vertices(2736)%branchCT(0:0))
      call avCT(2736, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1174/))

      allocate(vertices(2737)%branchCT(0:3))
      call avCT(2737, 0, 24, 3, 0, VFaF0, (/1, 2/), (/nGC_1301, nGC_1303/))

      call avCT(2737, 1, 24, 3, 0, VFaF0, (/3, 0/), (/nGC_1300, nGC_1302/))

      call avCT(2737, 2, 25, 2, 0, VFaF0, (/1, 2/), (/nGC_1301, nGC_1303/))

      call avCT(2737, 3, 25, 2, 0, VFaF0, (/3, 0/), (/nGC_1300, nGC_1302/))

      allocate(vertices(2739)%branchCT(0:0))
      call avCT(2739, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1227/))

      allocate(vertices(2740)%branchCT(0:1))
      call avCT(2740, 0, 18, 1, 0, SFaF1, (/0, 3/), (/nGC_1316, nGC_1316/))

      call avCT(2740, 1, 18, 1, 0, SFaF1, (/2, 1/), (/nGC_1317, nGC_1317/))

      allocate(vertices(2741)%branchCT(0:0))
      call avCT(2741, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1192/))

      allocate(vertices(2742)%branchCT(0:1))
      call avCT(2742, 0, 20, 1, 0, FVFa0, (/0, 3/), (/nGC_1417, nGC_1419/))

      call avCT(2742, 1, 20, 1, 0, FVFa0, (/2, 1/), (/nGC_1418, nGC_1420/))

      allocate(vertices(2743)%branchCT(0:0))
      call avCT(2743, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1185/))

      allocate(vertices(2745)%branchCT(0:0))
      call avCT(2745, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1161/))

      allocate(vertices(2746)%branchCT(0:0))
      call avCT(2746, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_1446/))

      allocate(vertices(2748)%branchCT(0:0))
      call avCT(2748, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(2134)%branchCT(0:0))
      call avCT(2134, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1183/))

      allocate(vertices(2751)%branchCT(0:0))
      call avCT(2751, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1211/))

      allocate(vertices(1856)%branchCT(0:0))
      call avCT(1856, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(530)%branchCT(0:0))
      call avCT(530, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1191/))

      allocate(vertices(2758)%branchCT(0:1))
      call avCT(2758, 0, 19, 1, 0, FaFV1, (/0, 3/), (/nGC_1248/))

      call avCT(2758, 1, 19, 1, 0, FaFV1, (/2, 1/), (/nGC_1249/))

      allocate(vertices(2762)%branchCT(0:0))
      call avCT(2762, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(1942)%branchCT(0:0))
      call avCT(1942, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1022/))

      allocate(vertices(2765)%branchCT(0:0))
      call avCT(2765, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1152/))

      allocate(vertices(1951)%branchCT(0:0))
      call avCT(1951, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1185/))

      allocate(vertices(2768)%branchCT(0:1))
      call avCT(2768, 0, 18, 1, 0, VFaF1, (/0, 3/), (/nGC_1248/))

      call avCT(2768, 1, 18, 1, 0, VFaF1, (/2, 1/), (/nGC_1249/))

      allocate(vertices(1964)%branchCT(0:0))
      call avCT(1964, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1181/))

      allocate(vertices(2771)%branchCT(0:0))
      call avCT(2771, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1226/))

      allocate(vertices(3888)%branchCT(0:0))
      call avCT(3888, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_1199/))

      allocate(vertices(2774)%branchCT(0:0))
      call avCT(2774, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1169/))

      allocate(vertices(2775)%branchCT(0:0))
      call avCT(2775, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1020/))

    end subroutine fill_vertices_mdl7
end module vertices_info7
